#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1398
#define LARGE_STATE_COUNT 28
#define SYMBOL_COUNT 211
#define ALIAS_COUNT 5
#define TOKEN_COUNT 94
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 35
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 108

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_LF = 2,
  anon_sym_SEMI = 3,
  anon_sym_NULL = 4,
  anon_sym_package = 5,
  anon_sym_import = 6,
  anon_sym_DOT = 7,
  sym_blank_identifier = 8,
  anon_sym_LPAREN = 9,
  anon_sym_RPAREN = 10,
  anon_sym_const = 11,
  anon_sym_COMMA = 12,
  anon_sym_EQ = 13,
  anon_sym_var = 14,
  anon_sym_func = 15,
  anon_sym_LBRACK = 16,
  anon_sym_RBRACK = 17,
  anon_sym_DOT_DOT_DOT = 18,
  anon_sym_type = 19,
  anon_sym_STAR = 20,
  anon_sym_struct = 21,
  anon_sym_TILDE = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_interface = 25,
  anon_sym_PIPE = 26,
  anon_sym_map = 27,
  anon_sym_chan = 28,
  anon_sym_LT_DASH = 29,
  anon_sym_COLON_EQ = 30,
  anon_sym_PLUS_PLUS = 31,
  anon_sym_DASH_DASH = 32,
  anon_sym_STAR_EQ = 33,
  anon_sym_SLASH_EQ = 34,
  anon_sym_PERCENT_EQ = 35,
  anon_sym_LT_LT_EQ = 36,
  anon_sym_GT_GT_EQ = 37,
  anon_sym_AMP_EQ = 38,
  anon_sym_AMP_CARET_EQ = 39,
  anon_sym_PLUS_EQ = 40,
  anon_sym_DASH_EQ = 41,
  anon_sym_PIPE_EQ = 42,
  anon_sym_CARET_EQ = 43,
  anon_sym_COLON = 44,
  anon_sym_fallthrough = 45,
  anon_sym_break = 46,
  anon_sym_continue = 47,
  anon_sym_goto = 48,
  anon_sym_return = 49,
  anon_sym_go = 50,
  anon_sym_defer = 51,
  anon_sym_if = 52,
  anon_sym_else = 53,
  anon_sym_for = 54,
  anon_sym_range = 55,
  anon_sym_switch = 56,
  anon_sym_case = 57,
  anon_sym_default = 58,
  anon_sym_select = 59,
  anon_sym_new = 60,
  anon_sym_make = 61,
  anon_sym_PLUS = 62,
  anon_sym_DASH = 63,
  anon_sym_BANG = 64,
  anon_sym_CARET = 65,
  anon_sym_AMP = 66,
  anon_sym_SLASH = 67,
  anon_sym_PERCENT = 68,
  anon_sym_LT_LT = 69,
  anon_sym_GT_GT = 70,
  anon_sym_AMP_CARET = 71,
  anon_sym_EQ_EQ = 72,
  anon_sym_BANG_EQ = 73,
  anon_sym_LT = 74,
  anon_sym_LT_EQ = 75,
  anon_sym_GT = 76,
  anon_sym_GT_EQ = 77,
  anon_sym_AMP_AMP = 78,
  anon_sym_PIPE_PIPE = 79,
  sym_raw_string_literal = 80,
  anon_sym_DQUOTE = 81,
  anon_sym_DQUOTE2 = 82,
  sym__interpreted_string_literal_basic_content = 83,
  sym_escape_sequence = 84,
  sym_int_literal = 85,
  sym_float_literal = 86,
  sym_imaginary_literal = 87,
  sym_rune_literal = 88,
  sym_nil = 89,
  sym_true = 90,
  sym_false = 91,
  sym_iota = 92,
  sym_comment = 93,
  sym_source_file = 94,
  sym_package_clause = 95,
  sym_import_declaration = 96,
  sym_import_spec = 97,
  sym_dot = 98,
  sym_import_spec_list = 99,
  sym__declaration = 100,
  sym_const_declaration = 101,
  sym_const_spec = 102,
  sym_var_declaration = 103,
  sym_var_spec = 104,
  sym_function_declaration = 105,
  sym_method_declaration = 106,
  sym_type_parameter_list = 107,
  sym_type_parameter_declaration = 108,
  sym_parameter_list = 109,
  sym_parameter_declaration = 110,
  sym_variadic_parameter_declaration = 111,
  sym_type_alias = 112,
  sym_type_declaration = 113,
  sym_type_spec = 114,
  sym_expression_list = 115,
  sym_parenthesized_type = 116,
  sym__simple_type = 117,
  sym_generic_type = 118,
  sym_type_arguments = 119,
  sym_pointer_type = 120,
  sym_array_type = 121,
  sym_implicit_length_array_type = 122,
  sym_slice_type = 123,
  sym_struct_type = 124,
  sym_negated_type = 125,
  sym_field_declaration_list = 126,
  sym_field_declaration = 127,
  sym_interface_type = 128,
  sym_method_elem = 129,
  sym_type_elem = 130,
  sym_map_type = 131,
  sym_channel_type = 132,
  sym_function_type = 133,
  sym_block = 134,
  sym__statement_list = 135,
  sym__statement = 136,
  sym_empty_statement = 137,
  sym__simple_statement = 138,
  sym_expression_statement = 139,
  sym_send_statement = 140,
  sym_receive_statement = 141,
  sym_inc_statement = 142,
  sym_dec_statement = 143,
  sym_assignment_statement = 144,
  sym_short_var_declaration = 145,
  sym_labeled_statement = 146,
  sym_empty_labeled_statement = 147,
  sym_fallthrough_statement = 148,
  sym_break_statement = 149,
  sym_continue_statement = 150,
  sym_goto_statement = 151,
  sym_return_statement = 152,
  sym_go_statement = 153,
  sym_defer_statement = 154,
  sym_if_statement = 155,
  sym_for_statement = 156,
  sym_for_clause = 157,
  sym_range_clause = 158,
  sym_expression_switch_statement = 159,
  sym_expression_case = 160,
  sym_default_case = 161,
  sym_type_switch_statement = 162,
  sym__type_switch_header = 163,
  sym_type_case = 164,
  sym_select_statement = 165,
  sym_communication_case = 166,
  sym__expression = 167,
  sym_parenthesized_expression = 168,
  sym_call_expression = 169,
  sym_variadic_argument = 170,
  sym_special_argument_list = 171,
  sym_argument_list = 172,
  sym_selector_expression = 173,
  sym_index_expression = 174,
  sym_slice_expression = 175,
  sym_type_assertion_expression = 176,
  sym_type_conversion_expression = 177,
  sym_type_instantiation_expression = 178,
  sym_composite_literal = 179,
  sym_literal_value = 180,
  sym_literal_element = 181,
  sym_keyed_element = 182,
  sym_func_literal = 183,
  sym_unary_expression = 184,
  sym_binary_expression = 185,
  sym_qualified_type = 186,
  sym_interpreted_string_literal = 187,
  aux_sym_source_file_repeat1 = 188,
  aux_sym_import_spec_list_repeat1 = 189,
  aux_sym_const_declaration_repeat1 = 190,
  aux_sym_const_spec_repeat1 = 191,
  aux_sym_var_declaration_repeat1 = 192,
  aux_sym_type_parameter_list_repeat1 = 193,
  aux_sym_type_parameter_declaration_repeat1 = 194,
  aux_sym_parameter_list_repeat1 = 195,
  aux_sym_type_declaration_repeat1 = 196,
  aux_sym_expression_list_repeat1 = 197,
  aux_sym_type_arguments_repeat1 = 198,
  aux_sym_field_declaration_list_repeat1 = 199,
  aux_sym_field_declaration_repeat1 = 200,
  aux_sym_interface_type_repeat1 = 201,
  aux_sym_type_elem_repeat1 = 202,
  aux_sym__statement_list_repeat1 = 203,
  aux_sym_expression_switch_statement_repeat1 = 204,
  aux_sym_type_switch_statement_repeat1 = 205,
  aux_sym_type_case_repeat1 = 206,
  aux_sym_select_statement_repeat1 = 207,
  aux_sym_argument_list_repeat1 = 208,
  aux_sym_literal_value_repeat1 = 209,
  aux_sym_interpreted_string_literal_repeat1 = 210,
  alias_sym_field_identifier = 211,
  alias_sym_label_name = 212,
  alias_sym_package_identifier = 213,
  alias_sym_type_constraint = 214,
  alias_sym_type_identifier = 215,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_NULL] = "\0",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_struct] = "struct",
  [anon_sym_TILDE] = "~",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_PIPE] = "|",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_select] = "select",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE2] = "\"",
  [sym__interpreted_string_literal_basic_content] = "_interpreted_string_literal_basic_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_iota] = "iota",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_type_parameter_list] = "type_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_generic_type] = "generic_type",
  [sym_type_arguments] = "type_arguments",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_negated_type] = "negated_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym_method_elem] = "method_elem",
  [sym_type_elem] = "type_elem",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym__type_switch_header] = "_type_switch_header",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_type_instantiation_expression] = "type_instantiation_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_literal_element] = "literal_element",
  [sym_keyed_element] = "keyed_element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_declaration_repeat1] = "var_declaration_repeat1",
  [aux_sym_type_parameter_list_repeat1] = "type_parameter_list_repeat1",
  [aux_sym_type_parameter_declaration_repeat1] = "type_parameter_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_interface_type_repeat1] = "interface_type_repeat1",
  [aux_sym_type_elem_repeat1] = "type_elem_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_type_case_repeat1] = "type_case_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_constraint] = "type_constraint",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_blank_identifier] = sym_blank_identifier,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_func] = anon_sym_func,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_chan] = anon_sym_chan,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_AMP_CARET_EQ] = anon_sym_AMP_CARET_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_range] = anon_sym_range,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_new] = sym_identifier,
  [anon_sym_make] = sym_identifier,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_CARET] = anon_sym_AMP_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__interpreted_string_literal_basic_content] = sym__interpreted_string_literal_basic_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_int_literal] = sym_int_literal,
  [sym_float_literal] = sym_float_literal,
  [sym_imaginary_literal] = sym_imaginary_literal,
  [sym_rune_literal] = sym_rune_literal,
  [sym_nil] = sym_nil,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_iota] = sym_iota,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_package_clause] = sym_package_clause,
  [sym_import_declaration] = sym_import_declaration,
  [sym_import_spec] = sym_import_spec,
  [sym_dot] = sym_dot,
  [sym_import_spec_list] = sym_import_spec_list,
  [sym__declaration] = sym__declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_spec] = sym_const_spec,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_spec] = sym_var_spec,
  [sym_function_declaration] = sym_function_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_type_parameter_list] = sym_type_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_type_alias] = sym_type_alias,
  [sym_type_declaration] = sym_type_declaration,
  [sym_type_spec] = sym_type_spec,
  [sym_expression_list] = sym_expression_list,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_type] = sym__simple_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_implicit_length_array_type] = sym_implicit_length_array_type,
  [sym_slice_type] = sym_slice_type,
  [sym_struct_type] = sym_struct_type,
  [sym_negated_type] = sym_negated_type,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_interface_type] = sym_interface_type,
  [sym_method_elem] = sym_method_elem,
  [sym_type_elem] = sym_type_elem,
  [sym_map_type] = sym_map_type,
  [sym_channel_type] = sym_channel_type,
  [sym_function_type] = sym_function_type,
  [sym_block] = sym_block,
  [sym__statement_list] = sym__statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym__simple_statement] = sym__simple_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_send_statement] = sym_send_statement,
  [sym_receive_statement] = sym_receive_statement,
  [sym_inc_statement] = sym_inc_statement,
  [sym_dec_statement] = sym_dec_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_short_var_declaration] = sym_short_var_declaration,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_empty_labeled_statement] = sym_labeled_statement,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_go_statement] = sym_go_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_clause] = sym_for_clause,
  [sym_range_clause] = sym_range_clause,
  [sym_expression_switch_statement] = sym_expression_switch_statement,
  [sym_expression_case] = sym_expression_case,
  [sym_default_case] = sym_default_case,
  [sym_type_switch_statement] = sym_type_switch_statement,
  [sym__type_switch_header] = sym__type_switch_header,
  [sym_type_case] = sym_type_case,
  [sym_select_statement] = sym_select_statement,
  [sym_communication_case] = sym_communication_case,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_variadic_argument] = sym_variadic_argument,
  [sym_special_argument_list] = sym_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_selector_expression] = sym_selector_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_type_assertion_expression] = sym_type_assertion_expression,
  [sym_type_conversion_expression] = sym_type_conversion_expression,
  [sym_type_instantiation_expression] = sym_type_instantiation_expression,
  [sym_composite_literal] = sym_composite_literal,
  [sym_literal_value] = sym_literal_value,
  [sym_literal_element] = sym_literal_element,
  [sym_keyed_element] = sym_keyed_element,
  [sym_func_literal] = sym_func_literal,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_qualified_type] = sym_qualified_type,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_import_spec_list_repeat1] = aux_sym_import_spec_list_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_const_spec_repeat1] = aux_sym_const_spec_repeat1,
  [aux_sym_var_declaration_repeat1] = aux_sym_var_declaration_repeat1,
  [aux_sym_type_parameter_list_repeat1] = aux_sym_type_parameter_list_repeat1,
  [aux_sym_type_parameter_declaration_repeat1] = aux_sym_type_parameter_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_expression_list_repeat1] = aux_sym_expression_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_interface_type_repeat1] = aux_sym_interface_type_repeat1,
  [aux_sym_type_elem_repeat1] = aux_sym_type_elem_repeat1,
  [aux_sym__statement_list_repeat1] = aux_sym__statement_list_repeat1,
  [aux_sym_expression_switch_statement_repeat1] = aux_sym_expression_switch_statement_repeat1,
  [aux_sym_type_switch_statement_repeat1] = aux_sym_type_switch_statement_repeat1,
  [aux_sym_type_case_repeat1] = aux_sym_type_case_repeat1,
  [aux_sym_select_statement_repeat1] = aux_sym_select_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_literal_value_repeat1] = aux_sym_literal_value_repeat1,
  [aux_sym_interpreted_string_literal_repeat1] = aux_sym_interpreted_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_package_identifier] = alias_sym_package_identifier,
  [alias_sym_type_constraint] = alias_sym_type_constraint,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__interpreted_string_literal_basic_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_iota] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_type_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_switch_header] = {
    .visible = false,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_element] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_elem_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_body = 4,
  field_capacity = 5,
  field_channel = 6,
  field_communication = 7,
  field_condition = 8,
  field_consequence = 9,
  field_element = 10,
  field_end = 11,
  field_field = 12,
  field_function = 13,
  field_index = 14,
  field_initializer = 15,
  field_key = 16,
  field_label = 17,
  field_left = 18,
  field_length = 19,
  field_name = 20,
  field_operand = 21,
  field_operator = 22,
  field_package = 23,
  field_parameters = 24,
  field_path = 25,
  field_receiver = 26,
  field_result = 27,
  field_right = 28,
  field_start = 29,
  field_tag = 30,
  field_type = 31,
  field_type_arguments = 32,
  field_type_parameters = 33,
  field_update = 34,
  field_value = 35,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_capacity] = "capacity",
  [field_channel] = "channel",
  [field_communication] = "communication",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_receiver] = "receiver",
  [field_result] = "result",
  [field_right] = "right",
  [field_start] = "start",
  [field_tag] = "tag",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 2},
  [7] = {.index = 5, .length = 1},
  [9] = {.index = 6, .length = 1},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 9, .length = 2},
  [15] = {.index = 13, .length = 2},
  [16] = {.index = 13, .length = 2},
  [17] = {.index = 15, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 1},
  [20] = {.index = 20, .length = 2},
  [21] = {.index = 22, .length = 2},
  [22] = {.index = 24, .length = 2},
  [23] = {.index = 26, .length = 1},
  [24] = {.index = 17, .length = 2},
  [25] = {.index = 19, .length = 1},
  [26] = {.index = 27, .length = 1},
  [27] = {.index = 28, .length = 1},
  [28] = {.index = 29, .length = 2},
  [29] = {.index = 31, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [32] = {.index = 35, .length = 3},
  [33] = {.index = 38, .length = 2},
  [34] = {.index = 40, .length = 2},
  [35] = {.index = 42, .length = 2},
  [36] = {.index = 44, .length = 3},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 3},
  [39] = {.index = 52, .length = 1},
  [40] = {.index = 53, .length = 3},
  [41] = {.index = 56, .length = 3},
  [42] = {.index = 59, .length = 3},
  [43] = {.index = 62, .length = 3},
  [44] = {.index = 65, .length = 3},
  [45] = {.index = 68, .length = 1},
  [46] = {.index = 69, .length = 2},
  [47] = {.index = 71, .length = 2},
  [48] = {.index = 73, .length = 3},
  [49] = {.index = 52, .length = 1},
  [50] = {.index = 76, .length = 2},
  [51] = {.index = 17, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 82, .length = 1},
  [57] = {.index = 83, .length = 3},
  [58] = {.index = 86, .length = 1},
  [59] = {.index = 87, .length = 2},
  [60] = {.index = 89, .length = 1},
  [61] = {.index = 90, .length = 2},
  [62] = {.index = 92, .length = 3},
  [63] = {.index = 95, .length = 3},
  [64] = {.index = 98, .length = 1},
  [65] = {.index = 71, .length = 2},
  [66] = {.index = 99, .length = 3},
  [67] = {.index = 102, .length = 2},
  [68] = {.index = 17, .length = 2},
  [69] = {.index = 104, .length = 4},
  [70] = {.index = 108, .length = 4},
  [71] = {.index = 112, .length = 4},
  [72] = {.index = 116, .length = 4},
  [73] = {.index = 120, .length = 4},
  [74] = {.index = 124, .length = 2},
  [75] = {.index = 124, .length = 2},
  [76] = {.index = 98, .length = 1},
  [77] = {.index = 126, .length = 3},
  [78] = {.index = 99, .length = 3},
  [79] = {.index = 129, .length = 3},
  [80] = {.index = 132, .length = 2},
  [81] = {.index = 134, .length = 3},
  [82] = {.index = 137, .length = 3},
  [83] = {.index = 140, .length = 2},
  [84] = {.index = 142, .length = 2},
  [85] = {.index = 144, .length = 2},
  [86] = {.index = 146, .length = 2},
  [87] = {.index = 148, .length = 1},
  [88] = {.index = 149, .length = 1},
  [89] = {.index = 150, .length = 2},
  [90] = {.index = 152, .length = 2},
  [91] = {.index = 154, .length = 2},
  [92] = {.index = 156, .length = 4},
  [93] = {.index = 99, .length = 3},
  [94] = {.index = 160, .length = 5},
  [95] = {.index = 165, .length = 5},
  [96] = {.index = 170, .length = 4},
  [97] = {.index = 174, .length = 3},
  [98] = {.index = 177, .length = 2},
  [99] = {.index = 179, .length = 1},
  [100] = {.index = 180, .length = 3},
  [101] = {.index = 183, .length = 4},
  [102] = {.index = 187, .length = 2},
  [103] = {.index = 189, .length = 3},
  [104] = {.index = 192, .length = 2},
  [105] = {.index = 194, .length = 2},
  [106] = {.index = 196, .length = 4},
  [107] = {.index = 200, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_path, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_parameters, 1},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_value, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_type, 0},
    {field_type_arguments, 1},
  [11] =
    {field_body, 1},
    {field_type, 0},
  [13] =
    {field_name, 0},
    {field_path, 1},
  [15] =
    {field_name, 0},
    {field_name, 1},
  [17] =
    {field_name, 0},
    {field_type, 1},
  [19] =
    {field_type, 0},
  [20] =
    {field_name, 1},
    {field_parameters, 2},
  [22] =
    {field_parameters, 1},
    {field_result, 2},
  [24] =
    {field_body, 2},
    {field_parameters, 1},
  [26] =
    {field_element, 2},
  [27] =
    {field_label, 0},
  [28] =
    {field_value, 2},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_right, 1},
  [32] =
    {field_body, 2},
  [33] =
    {field_name, 2},
    {field_package, 0},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_left, 0},
    {field_right, 2},
  [40] =
    {field_field, 2},
    {field_operand, 0},
  [42] =
    {field_channel, 0},
    {field_value, 2},
  [44] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [47] =
    {field_name, 0},
    {field_value, 2},
  [49] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
  [52] =
    {field_type, 1},
  [53] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [56] =
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [59] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [62] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [65] =
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [68] =
    {field_element, 3},
  [69] =
    {field_element, 3},
    {field_length, 1},
  [71] =
    {field_name, 0},
    {field_type, 2},
  [73] =
    {field_name, 0},
    {field_type, 2},
    {field_type_parameters, 1},
  [76] =
    {field_tag, 1},
    {field_type, 0},
  [78] =
    {field_name, 0},
    {field_parameters, 1},
  [80] =
    {field_update, 2},
  [81] =
    {field_condition, 1},
  [82] =
    {field_initializer, 0},
  [83] =
    {field_alias, 1, .inherited = true},
    {field_initializer, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [86] =
    {field_right, 0},
  [87] =
    {field_operand, 2},
    {field_type, 0},
  [89] =
    {field_operand, 0},
  [90] =
    {field_index, 2},
    {field_operand, 0},
  [92] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 3},
  [95] =
    {field_name, 0},
    {field_name, 1},
    {field_value, 3},
  [98] =
    {field_name, 1},
  [99] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 2},
  [102] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [104] =
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [108] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [112] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [116] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [120] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [124] =
    {field_tag, 2},
    {field_type, 1},
  [126] =
    {field_name, 0},
    {field_tag, 2},
    {field_type, 1},
  [129] =
    {field_name, 0},
    {field_parameters, 1},
    {field_result, 2},
  [132] =
    {field_key, 2},
    {field_value, 4},
  [134] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [137] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [140] =
    {field_condition, 1},
    {field_update, 3},
  [142] =
    {field_left, 0},
    {field_right, 3},
  [144] =
    {field_initializer, 0},
    {field_update, 3},
  [146] =
    {field_condition, 2},
    {field_initializer, 0},
  [148] =
    {field_initializer, 1},
  [149] =
    {field_communication, 1},
  [150] =
    {field_operand, 0},
    {field_type, 3},
  [152] =
    {field_end, 3},
    {field_operand, 0},
  [154] =
    {field_operand, 0},
    {field_start, 2},
  [156] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_value, 4},
  [160] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [165] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [170] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_tag, 3},
    {field_type, 2},
  [174] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [177] =
    {field_initializer, 1},
    {field_value, 3},
  [179] =
    {field_value, 0},
  [180] =
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [183] =
    {field_alternative, 6},
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [187] =
    {field_type, 1},
    {field_type, 2},
  [189] =
    {field_capacity, 5},
    {field_end, 3},
    {field_operand, 0},
  [192] =
    {field_alias, 0},
    {field_value, 2},
  [194] =
    {field_initializer, 0},
    {field_value, 2},
  [196] =
    {field_capacity, 6},
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [200] =
    {field_alias, 2},
    {field_initializer, 0},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [2] = {
    [1] = alias_sym_package_identifier,
  },
  [8] = {
    [1] = alias_sym_label_name,
  },
  [11] = {
    [0] = alias_sym_type_identifier,
  },
  [12] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_package_identifier,
  },
  [24] = {
    [0] = alias_sym_type_identifier,
  },
  [25] = {
    [0] = alias_sym_type_identifier,
  },
  [26] = {
    [0] = alias_sym_label_name,
  },
  [31] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [34] = {
    [2] = alias_sym_field_identifier,
  },
  [43] = {
    [2] = alias_sym_field_identifier,
  },
  [47] = {
    [0] = alias_sym_type_identifier,
  },
  [48] = {
    [0] = alias_sym_type_identifier,
  },
  [49] = {
    [1] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_field_identifier,
  },
  [53] = {
    [0] = alias_sym_field_identifier,
  },
  [68] = {
    [1] = alias_sym_type_constraint,
  },
  [72] = {
    [2] = alias_sym_field_identifier,
  },
  [73] = {
    [2] = alias_sym_field_identifier,
  },
  [74] = {
    [1] = alias_sym_type_identifier,
  },
  [76] = {
    [1] = alias_sym_field_identifier,
  },
  [77] = {
    [0] = alias_sym_field_identifier,
  },
  [78] = {
    [0] = alias_sym_field_identifier,
  },
  [79] = {
    [0] = alias_sym_field_identifier,
  },
  [93] = {
    [2] = alias_sym_type_constraint,
  },
  [95] = {
    [2] = alias_sym_field_identifier,
  },
  [96] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_type_elem, 2,
    sym_type_elem,
    alias_sym_type_constraint,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 11,
  [13] = 11,
  [14] = 11,
  [15] = 11,
  [16] = 11,
  [17] = 11,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 29,
  [31] = 29,
  [32] = 29,
  [33] = 29,
  [34] = 29,
  [35] = 35,
  [36] = 35,
  [37] = 37,
  [38] = 35,
  [39] = 35,
  [40] = 37,
  [41] = 37,
  [42] = 37,
  [43] = 37,
  [44] = 35,
  [45] = 37,
  [46] = 35,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 50,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 54,
  [58] = 58,
  [59] = 54,
  [60] = 50,
  [61] = 55,
  [62] = 51,
  [63] = 55,
  [64] = 64,
  [65] = 55,
  [66] = 55,
  [67] = 54,
  [68] = 54,
  [69] = 55,
  [70] = 51,
  [71] = 54,
  [72] = 72,
  [73] = 73,
  [74] = 50,
  [75] = 50,
  [76] = 52,
  [77] = 50,
  [78] = 51,
  [79] = 51,
  [80] = 51,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 81,
  [86] = 86,
  [87] = 82,
  [88] = 88,
  [89] = 82,
  [90] = 82,
  [91] = 91,
  [92] = 91,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 88,
  [97] = 93,
  [98] = 93,
  [99] = 91,
  [100] = 83,
  [101] = 88,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 83,
  [107] = 91,
  [108] = 83,
  [109] = 82,
  [110] = 91,
  [111] = 84,
  [112] = 93,
  [113] = 88,
  [114] = 93,
  [115] = 91,
  [116] = 116,
  [117] = 117,
  [118] = 82,
  [119] = 93,
  [120] = 88,
  [121] = 121,
  [122] = 88,
  [123] = 123,
  [124] = 83,
  [125] = 125,
  [126] = 126,
  [127] = 83,
  [128] = 84,
  [129] = 81,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 130,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 136,
  [148] = 134,
  [149] = 137,
  [150] = 135,
  [151] = 137,
  [152] = 137,
  [153] = 137,
  [154] = 142,
  [155] = 135,
  [156] = 141,
  [157] = 135,
  [158] = 137,
  [159] = 130,
  [160] = 137,
  [161] = 142,
  [162] = 162,
  [163] = 132,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 141,
  [168] = 132,
  [169] = 141,
  [170] = 135,
  [171] = 136,
  [172] = 130,
  [173] = 140,
  [174] = 174,
  [175] = 138,
  [176] = 136,
  [177] = 139,
  [178] = 137,
  [179] = 138,
  [180] = 145,
  [181] = 139,
  [182] = 144,
  [183] = 143,
  [184] = 139,
  [185] = 138,
  [186] = 135,
  [187] = 143,
  [188] = 144,
  [189] = 145,
  [190] = 141,
  [191] = 140,
  [192] = 137,
  [193] = 132,
  [194] = 142,
  [195] = 145,
  [196] = 135,
  [197] = 138,
  [198] = 141,
  [199] = 143,
  [200] = 144,
  [201] = 138,
  [202] = 139,
  [203] = 145,
  [204] = 135,
  [205] = 144,
  [206] = 143,
  [207] = 144,
  [208] = 145,
  [209] = 143,
  [210] = 139,
  [211] = 138,
  [212] = 134,
  [213] = 134,
  [214] = 134,
  [215] = 136,
  [216] = 139,
  [217] = 142,
  [218] = 143,
  [219] = 144,
  [220] = 141,
  [221] = 132,
  [222] = 130,
  [223] = 142,
  [224] = 141,
  [225] = 145,
  [226] = 134,
  [227] = 138,
  [228] = 145,
  [229] = 144,
  [230] = 132,
  [231] = 139,
  [232] = 143,
  [233] = 130,
  [234] = 137,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 243,
  [289] = 238,
  [290] = 240,
  [291] = 244,
  [292] = 242,
  [293] = 246,
  [294] = 239,
  [295] = 245,
  [296] = 248,
  [297] = 249,
  [298] = 273,
  [299] = 250,
  [300] = 247,
  [301] = 284,
  [302] = 269,
  [303] = 255,
  [304] = 261,
  [305] = 253,
  [306] = 286,
  [307] = 254,
  [308] = 270,
  [309] = 275,
  [310] = 281,
  [311] = 263,
  [312] = 283,
  [313] = 285,
  [314] = 268,
  [315] = 256,
  [316] = 280,
  [317] = 267,
  [318] = 272,
  [319] = 251,
  [320] = 264,
  [321] = 258,
  [322] = 259,
  [323] = 266,
  [324] = 262,
  [325] = 252,
  [326] = 260,
  [327] = 274,
  [328] = 265,
  [329] = 257,
  [330] = 271,
  [331] = 278,
  [332] = 282,
  [333] = 276,
  [334] = 239,
  [335] = 243,
  [336] = 244,
  [337] = 337,
  [338] = 246,
  [339] = 242,
  [340] = 245,
  [341] = 240,
  [342] = 248,
  [343] = 278,
  [344] = 272,
  [345] = 269,
  [346] = 255,
  [347] = 261,
  [348] = 253,
  [349] = 263,
  [350] = 273,
  [351] = 249,
  [352] = 285,
  [353] = 268,
  [354] = 247,
  [355] = 256,
  [356] = 280,
  [357] = 267,
  [358] = 251,
  [359] = 264,
  [360] = 254,
  [361] = 258,
  [362] = 259,
  [363] = 284,
  [364] = 266,
  [365] = 262,
  [366] = 270,
  [367] = 252,
  [368] = 274,
  [369] = 275,
  [370] = 265,
  [371] = 257,
  [372] = 271,
  [373] = 281,
  [374] = 282,
  [375] = 276,
  [376] = 260,
  [377] = 250,
  [378] = 286,
  [379] = 283,
  [380] = 380,
  [381] = 381,
  [382] = 381,
  [383] = 246,
  [384] = 244,
  [385] = 385,
  [386] = 239,
  [387] = 387,
  [388] = 248,
  [389] = 255,
  [390] = 270,
  [391] = 239,
  [392] = 250,
  [393] = 284,
  [394] = 263,
  [395] = 269,
  [396] = 396,
  [397] = 249,
  [398] = 261,
  [399] = 253,
  [400] = 273,
  [401] = 285,
  [402] = 268,
  [403] = 254,
  [404] = 247,
  [405] = 275,
  [406] = 256,
  [407] = 281,
  [408] = 280,
  [409] = 267,
  [410] = 283,
  [411] = 286,
  [412] = 272,
  [413] = 251,
  [414] = 260,
  [415] = 264,
  [416] = 258,
  [417] = 259,
  [418] = 276,
  [419] = 266,
  [420] = 262,
  [421] = 252,
  [422] = 274,
  [423] = 265,
  [424] = 257,
  [425] = 271,
  [426] = 278,
  [427] = 282,
  [428] = 244,
  [429] = 242,
  [430] = 381,
  [431] = 246,
  [432] = 337,
  [433] = 245,
  [434] = 245,
  [435] = 243,
  [436] = 242,
  [437] = 243,
  [438] = 381,
  [439] = 240,
  [440] = 240,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 239,
  [448] = 248,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 256,
  [453] = 270,
  [454] = 454,
  [455] = 280,
  [456] = 381,
  [457] = 454,
  [458] = 246,
  [459] = 268,
  [460] = 285,
  [461] = 244,
  [462] = 264,
  [463] = 263,
  [464] = 242,
  [465] = 258,
  [466] = 259,
  [467] = 243,
  [468] = 266,
  [469] = 262,
  [470] = 381,
  [471] = 252,
  [472] = 274,
  [473] = 265,
  [474] = 257,
  [475] = 271,
  [476] = 240,
  [477] = 245,
  [478] = 278,
  [479] = 282,
  [480] = 276,
  [481] = 260,
  [482] = 272,
  [483] = 286,
  [484] = 283,
  [485] = 281,
  [486] = 275,
  [487] = 267,
  [488] = 254,
  [489] = 454,
  [490] = 449,
  [491] = 450,
  [492] = 273,
  [493] = 253,
  [494] = 261,
  [495] = 255,
  [496] = 249,
  [497] = 269,
  [498] = 284,
  [499] = 337,
  [500] = 247,
  [501] = 443,
  [502] = 250,
  [503] = 251,
  [504] = 504,
  [505] = 505,
  [506] = 504,
  [507] = 507,
  [508] = 396,
  [509] = 504,
  [510] = 510,
  [511] = 505,
  [512] = 507,
  [513] = 507,
  [514] = 504,
  [515] = 239,
  [516] = 505,
  [517] = 239,
  [518] = 504,
  [519] = 519,
  [520] = 504,
  [521] = 248,
  [522] = 254,
  [523] = 523,
  [524] = 285,
  [525] = 249,
  [526] = 239,
  [527] = 263,
  [528] = 528,
  [529] = 529,
  [530] = 528,
  [531] = 531,
  [532] = 242,
  [533] = 243,
  [534] = 240,
  [535] = 535,
  [536] = 256,
  [537] = 245,
  [538] = 538,
  [539] = 539,
  [540] = 280,
  [541] = 267,
  [542] = 251,
  [543] = 264,
  [544] = 539,
  [545] = 539,
  [546] = 258,
  [547] = 259,
  [548] = 266,
  [549] = 549,
  [550] = 262,
  [551] = 252,
  [552] = 274,
  [553] = 396,
  [554] = 265,
  [555] = 257,
  [556] = 271,
  [557] = 278,
  [558] = 282,
  [559] = 538,
  [560] = 268,
  [561] = 276,
  [562] = 260,
  [563] = 272,
  [564] = 538,
  [565] = 565,
  [566] = 286,
  [567] = 283,
  [568] = 281,
  [569] = 275,
  [570] = 270,
  [571] = 250,
  [572] = 273,
  [573] = 253,
  [574] = 574,
  [575] = 261,
  [576] = 255,
  [577] = 269,
  [578] = 284,
  [579] = 242,
  [580] = 243,
  [581] = 240,
  [582] = 245,
  [583] = 583,
  [584] = 528,
  [585] = 247,
  [586] = 586,
  [587] = 587,
  [588] = 445,
  [589] = 587,
  [590] = 590,
  [591] = 587,
  [592] = 592,
  [593] = 593,
  [594] = 592,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 587,
  [599] = 596,
  [600] = 445,
  [601] = 597,
  [602] = 337,
  [603] = 595,
  [604] = 597,
  [605] = 586,
  [606] = 586,
  [607] = 607,
  [608] = 595,
  [609] = 596,
  [610] = 610,
  [611] = 611,
  [612] = 337,
  [613] = 596,
  [614] = 595,
  [615] = 597,
  [616] = 442,
  [617] = 445,
  [618] = 595,
  [619] = 587,
  [620] = 445,
  [621] = 610,
  [622] = 445,
  [623] = 596,
  [624] = 595,
  [625] = 596,
  [626] = 610,
  [627] = 627,
  [628] = 597,
  [629] = 587,
  [630] = 597,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 636,
  [639] = 636,
  [640] = 633,
  [641] = 631,
  [642] = 633,
  [643] = 632,
  [644] = 644,
  [645] = 637,
  [646] = 634,
  [647] = 637,
  [648] = 637,
  [649] = 634,
  [650] = 634,
  [651] = 631,
  [652] = 633,
  [653] = 644,
  [654] = 632,
  [655] = 644,
  [656] = 656,
  [657] = 657,
  [658] = 631,
  [659] = 659,
  [660] = 644,
  [661] = 632,
  [662] = 631,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 633,
  [667] = 667,
  [668] = 442,
  [669] = 637,
  [670] = 634,
  [671] = 631,
  [672] = 632,
  [673] = 634,
  [674] = 644,
  [675] = 644,
  [676] = 676,
  [677] = 677,
  [678] = 632,
  [679] = 633,
  [680] = 637,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 683,
  [692] = 682,
  [693] = 681,
  [694] = 685,
  [695] = 686,
  [696] = 687,
  [697] = 681,
  [698] = 682,
  [699] = 685,
  [700] = 700,
  [701] = 684,
  [702] = 686,
  [703] = 687,
  [704] = 682,
  [705] = 685,
  [706] = 686,
  [707] = 707,
  [708] = 687,
  [709] = 700,
  [710] = 710,
  [711] = 682,
  [712] = 707,
  [713] = 688,
  [714] = 714,
  [715] = 715,
  [716] = 685,
  [717] = 717,
  [718] = 718,
  [719] = 684,
  [720] = 683,
  [721] = 710,
  [722] = 686,
  [723] = 684,
  [724] = 683,
  [725] = 683,
  [726] = 707,
  [727] = 684,
  [728] = 687,
  [729] = 717,
  [730] = 715,
  [731] = 682,
  [732] = 714,
  [733] = 688,
  [734] = 715,
  [735] = 687,
  [736] = 686,
  [737] = 737,
  [738] = 685,
  [739] = 710,
  [740] = 707,
  [741] = 710,
  [742] = 714,
  [743] = 717,
  [744] = 744,
  [745] = 745,
  [746] = 714,
  [747] = 715,
  [748] = 689,
  [749] = 707,
  [750] = 681,
  [751] = 717,
  [752] = 714,
  [753] = 710,
  [754] = 689,
  [755] = 715,
  [756] = 710,
  [757] = 757,
  [758] = 715,
  [759] = 707,
  [760] = 681,
  [761] = 717,
  [762] = 762,
  [763] = 763,
  [764] = 683,
  [765] = 684,
  [766] = 717,
  [767] = 714,
  [768] = 681,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 771,
  [776] = 772,
  [777] = 770,
  [778] = 769,
  [779] = 772,
  [780] = 769,
  [781] = 771,
  [782] = 770,
  [783] = 783,
  [784] = 784,
  [785] = 773,
  [786] = 786,
  [787] = 786,
  [788] = 788,
  [789] = 788,
  [790] = 774,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 792,
  [795] = 792,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 786,
  [831] = 786,
  [832] = 832,
  [833] = 832,
  [834] = 788,
  [835] = 835,
  [836] = 836,
  [837] = 816,
  [838] = 800,
  [839] = 810,
  [840] = 840,
  [841] = 806,
  [842] = 842,
  [843] = 804,
  [844] = 844,
  [845] = 826,
  [846] = 803,
  [847] = 824,
  [848] = 811,
  [849] = 814,
  [850] = 808,
  [851] = 822,
  [852] = 817,
  [853] = 788,
  [854] = 815,
  [855] = 820,
  [856] = 798,
  [857] = 807,
  [858] = 812,
  [859] = 801,
  [860] = 802,
  [861] = 819,
  [862] = 825,
  [863] = 863,
  [864] = 823,
  [865] = 865,
  [866] = 844,
  [867] = 805,
  [868] = 799,
  [869] = 869,
  [870] = 821,
  [871] = 863,
  [872] = 842,
  [873] = 818,
  [874] = 783,
  [875] = 784,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 876,
  [881] = 786,
  [882] = 878,
  [883] = 883,
  [884] = 876,
  [885] = 879,
  [886] = 786,
  [887] = 887,
  [888] = 879,
  [889] = 878,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 788,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 788,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 821,
  [911] = 818,
  [912] = 808,
  [913] = 807,
  [914] = 804,
  [915] = 803,
  [916] = 815,
  [917] = 805,
  [918] = 812,
  [919] = 820,
  [920] = 822,
  [921] = 799,
  [922] = 784,
  [923] = 811,
  [924] = 806,
  [925] = 823,
  [926] = 798,
  [927] = 927,
  [928] = 819,
  [929] = 929,
  [930] = 826,
  [931] = 817,
  [932] = 800,
  [933] = 783,
  [934] = 810,
  [935] = 802,
  [936] = 814,
  [937] = 937,
  [938] = 816,
  [939] = 825,
  [940] = 801,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 824,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 988,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 869,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1020,
  [1024] = 1024,
  [1025] = 1018,
  [1026] = 1021,
  [1027] = 869,
  [1028] = 869,
  [1029] = 1029,
  [1030] = 1002,
  [1031] = 1020,
  [1032] = 1021,
  [1033] = 985,
  [1034] = 869,
  [1035] = 1011,
  [1036] = 1024,
  [1037] = 1012,
  [1038] = 989,
  [1039] = 1012,
  [1040] = 1040,
  [1041] = 869,
  [1042] = 1024,
  [1043] = 887,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 883,
  [1048] = 1045,
  [1049] = 1045,
  [1050] = 887,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1051,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 883,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1054,
  [1068] = 1068,
  [1069] = 1045,
  [1070] = 883,
  [1071] = 1071,
  [1072] = 1054,
  [1073] = 1073,
  [1074] = 883,
  [1075] = 1045,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1051,
  [1089] = 887,
  [1090] = 1054,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1051,
  [1098] = 1054,
  [1099] = 887,
  [1100] = 1051,
  [1101] = 1051,
  [1102] = 1054,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 247,
  [1106] = 1054,
  [1107] = 1093,
  [1108] = 1085,
  [1109] = 1091,
  [1110] = 978,
  [1111] = 250,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 883,
  [1115] = 1115,
  [1116] = 968,
  [1117] = 1103,
  [1118] = 1118,
  [1119] = 887,
  [1120] = 999,
  [1121] = 1045,
  [1122] = 1122,
  [1123] = 1051,
  [1124] = 249,
  [1125] = 251,
  [1126] = 1126,
  [1127] = 784,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1138,
  [1140] = 1137,
  [1141] = 1061,
  [1142] = 1136,
  [1143] = 1133,
  [1144] = 1059,
  [1145] = 1145,
  [1146] = 1128,
  [1147] = 1044,
  [1148] = 1013,
  [1149] = 1084,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1086,
  [1154] = 1154,
  [1155] = 1087,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1068,
  [1160] = 1053,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1092,
  [1164] = 1115,
  [1165] = 784,
  [1166] = 1118,
  [1167] = 1167,
  [1168] = 1135,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1157,
  [1172] = 1158,
  [1173] = 1173,
  [1174] = 1128,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1133,
  [1179] = 1179,
  [1180] = 1137,
  [1181] = 1136,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1126,
  [1185] = 1151,
  [1186] = 1134,
  [1187] = 1145,
  [1188] = 1145,
  [1189] = 1151,
  [1190] = 1134,
  [1191] = 1154,
  [1192] = 1126,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1130,
  [1196] = 1136,
  [1197] = 783,
  [1198] = 1137,
  [1199] = 1199,
  [1200] = 1154,
  [1201] = 1133,
  [1202] = 1202,
  [1203] = 1151,
  [1204] = 1128,
  [1205] = 1150,
  [1206] = 1145,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1126,
  [1210] = 1134,
  [1211] = 1128,
  [1212] = 1128,
  [1213] = 1136,
  [1214] = 1214,
  [1215] = 1151,
  [1216] = 1133,
  [1217] = 1126,
  [1218] = 1218,
  [1219] = 1058,
  [1220] = 1130,
  [1221] = 1137,
  [1222] = 1134,
  [1223] = 1145,
  [1224] = 1138,
  [1225] = 1137,
  [1226] = 1134,
  [1227] = 1136,
  [1228] = 1150,
  [1229] = 1126,
  [1230] = 1145,
  [1231] = 1231,
  [1232] = 1151,
  [1233] = 1233,
  [1234] = 1133,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1238,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1238,
  [1245] = 1238,
  [1246] = 1236,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1238,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1238,
  [1257] = 1251,
  [1258] = 1258,
  [1259] = 1240,
  [1260] = 1260,
  [1261] = 1247,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1236,
  [1265] = 1251,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1251,
  [1273] = 1240,
  [1274] = 937,
  [1275] = 941,
  [1276] = 1276,
  [1277] = 983,
  [1278] = 1242,
  [1279] = 1247,
  [1280] = 1271,
  [1281] = 982,
  [1282] = 1251,
  [1283] = 1283,
  [1284] = 1236,
  [1285] = 1236,
  [1286] = 1286,
  [1287] = 1247,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1240,
  [1291] = 1291,
  [1292] = 1242,
  [1293] = 946,
  [1294] = 1242,
  [1295] = 1251,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1250,
  [1299] = 1242,
  [1300] = 1300,
  [1301] = 1240,
  [1302] = 1302,
  [1303] = 1242,
  [1304] = 1247,
  [1305] = 1305,
  [1306] = 1250,
  [1307] = 1240,
  [1308] = 1247,
  [1309] = 1236,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1313,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1316,
  [1324] = 1314,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1314,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1314,
  [1342] = 1316,
  [1343] = 1343,
  [1344] = 1330,
  [1345] = 1345,
  [1346] = 1329,
  [1347] = 1332,
  [1348] = 1322,
  [1349] = 1314,
  [1350] = 1350,
  [1351] = 1316,
  [1352] = 1316,
  [1353] = 1310,
  [1354] = 1312,
  [1355] = 1355,
  [1356] = 1314,
  [1357] = 1335,
  [1358] = 1313,
  [1359] = 1329,
  [1360] = 1322,
  [1361] = 1311,
  [1362] = 1362,
  [1363] = 1330,
  [1364] = 1364,
  [1365] = 1329,
  [1366] = 1335,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1329,
  [1371] = 1371,
  [1372] = 1313,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1330,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1313,
  [1379] = 1312,
  [1380] = 1380,
  [1381] = 1332,
  [1382] = 1330,
  [1383] = 1311,
  [1384] = 1312,
  [1385] = 1312,
  [1386] = 1313,
  [1387] = 1338,
  [1388] = 1380,
  [1389] = 1330,
  [1390] = 1380,
  [1391] = 1329,
  [1392] = 1380,
  [1393] = 1314,
  [1394] = 1380,
  [1395] = 1316,
  [1396] = 1380,
  [1397] = 1312,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? (c >= 'A' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_rune_literal_character_set_1(int32_t c) {
  return (c < 'f'
    ? (c < '\\'
      ? (c < '\''
        ? c == '"'
        : c <= '\'')
      : (c <= '\\' || (c >= 'a' && c <= 'b')))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(60);
      if (!eof && (lookahead == 0)) ADVANCE(63);
      if (lookahead == '!') ADVANCE(107);
      if (lookahead == '"') ADVANCE(138);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == '0') ADVANCE(147);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(81);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '~') ADVANCE(77);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(135);
      END_STATE();
    case 1:
      if (!eof && (lookahead == 0)) ADVANCE(63);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(112);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(19);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(82);
      if (lookahead == '}') ADVANCE(79);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1)
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(135);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(16)
      if (lookahead == '"') ADVANCE(138);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(20);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(112);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == '<') ADVANCE(126);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(82);
      if (lookahead == '~') ADVANCE(77);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == ':') ADVANCE(18);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(81);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(102);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(105);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == ':') ADVANCE(18);
      if (lookahead == '<') ADVANCE(127);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(81);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(115);
      if (lookahead == '&') ADVANCE(112);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(113);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(131);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(82);
      if (lookahead == '}') ADVANCE(79);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\'') ADVANCE(157);
      END_STATE();
    case 8:
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 10:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(83);
      END_STATE();
    case 12:
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(74);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '_') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 16:
      if (lookahead == '/') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16)
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 20:
      if (lookahead == 'U') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 21:
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(7);
      END_STATE();
    case 22:
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 24:
      if (lookahead == '`') ADVANCE(136);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 26:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (lookahead == '_') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 28:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 29:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(7);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(30);
      END_STATE();
    case 33:
      if (sym_rune_literal_character_set_1(lookahead)) ADVANCE(7);
      if (lookahead == 'U') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(32);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(7);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 56:
      if (eof) ADVANCE(60);
      if (!eof && (lookahead == 0)) ADVANCE(63);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(106);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(35);
      if (lookahead == '/') ADVANCE(8);
      if (lookahead == '0') ADVANCE(147);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(80);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '~') ADVANCE(77);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 57:
      if (eof) ADVANCE(60);
      if (!eof && (lookahead == 0)) ADVANCE(63);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(81);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '~') ADVANCE(77);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 58:
      if (eof) ADVANCE(60);
      if (!eof && (lookahead == 0)) ADVANCE(63);
      if (lookahead == '!') ADVANCE(107);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '%') ADVANCE(116);
      if (lookahead == '&') ADVANCE(111);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(101);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(104);
      if (lookahead == '.') ADVANCE(66);
      if (lookahead == '/') ADVANCE(114);
      if (lookahead == '0') ADVANCE(147);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(130);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(109);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '|') ADVANCE(81);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '~') ADVANCE(77);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 59:
      if (eof) ADVANCE(60);
      if (lookahead == '!') ADVANCE(106);
      if (lookahead == '"') ADVANCE(137);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(67);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(100);
      if (lookahead == ',') ADVANCE(69);
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(12);
      if (lookahead == '/') ADVANCE(8);
      if (lookahead == '0') ADVANCE(147);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '[') ADVANCE(72);
      if (lookahead == ']') ADVANCE(73);
      if (lookahead == '^') ADVANCE(108);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (lookahead == '~') ADVANCE(77);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(135);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '|') ADVANCE(134);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(134);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(85);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '=') ADVANCE(92);
      if (lookahead == '^') ADVANCE(122);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '^') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(91);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '>') ADVANCE(120);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '>') ADVANCE(119);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(22);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(23);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(15);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(159);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'm') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'v') ADVANCE(15);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'm') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(30);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      if (lookahead == 'w') ADVANCE(38);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'f') ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't') ADVANCE(51);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'k') ADVANCE(55);
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(71);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 51:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(84);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 'u') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 68:
      if (lookahead == 'k') ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_iota);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(104);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(107);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 97:
      if (lookahead == 'h') ADVANCE(109);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 100:
      if (lookahead == 'f') ADVANCE(111);
      END_STATE();
    case 101:
      if (lookahead == 'g') ADVANCE(112);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(116);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(117);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 119:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(125);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 125:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 127:
      if (lookahead == 'h') ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 59},
  [2] = {.lex_state = 59},
  [3] = {.lex_state = 59},
  [4] = {.lex_state = 59},
  [5] = {.lex_state = 59},
  [6] = {.lex_state = 59},
  [7] = {.lex_state = 59},
  [8] = {.lex_state = 59},
  [9] = {.lex_state = 59},
  [10] = {.lex_state = 59},
  [11] = {.lex_state = 59},
  [12] = {.lex_state = 59},
  [13] = {.lex_state = 59},
  [14] = {.lex_state = 59},
  [15] = {.lex_state = 59},
  [16] = {.lex_state = 59},
  [17] = {.lex_state = 59},
  [18] = {.lex_state = 59},
  [19] = {.lex_state = 59},
  [20] = {.lex_state = 59},
  [21] = {.lex_state = 59},
  [22] = {.lex_state = 59},
  [23] = {.lex_state = 59},
  [24] = {.lex_state = 59},
  [25] = {.lex_state = 59},
  [26] = {.lex_state = 59},
  [27] = {.lex_state = 59},
  [28] = {.lex_state = 56},
  [29] = {.lex_state = 59},
  [30] = {.lex_state = 59},
  [31] = {.lex_state = 59},
  [32] = {.lex_state = 59},
  [33] = {.lex_state = 59},
  [34] = {.lex_state = 59},
  [35] = {.lex_state = 59},
  [36] = {.lex_state = 59},
  [37] = {.lex_state = 59},
  [38] = {.lex_state = 59},
  [39] = {.lex_state = 59},
  [40] = {.lex_state = 59},
  [41] = {.lex_state = 59},
  [42] = {.lex_state = 59},
  [43] = {.lex_state = 59},
  [44] = {.lex_state = 59},
  [45] = {.lex_state = 59},
  [46] = {.lex_state = 59},
  [47] = {.lex_state = 59},
  [48] = {.lex_state = 59},
  [49] = {.lex_state = 59},
  [50] = {.lex_state = 59},
  [51] = {.lex_state = 59},
  [52] = {.lex_state = 59},
  [53] = {.lex_state = 59},
  [54] = {.lex_state = 59},
  [55] = {.lex_state = 59},
  [56] = {.lex_state = 59},
  [57] = {.lex_state = 59},
  [58] = {.lex_state = 59},
  [59] = {.lex_state = 59},
  [60] = {.lex_state = 59},
  [61] = {.lex_state = 59},
  [62] = {.lex_state = 59},
  [63] = {.lex_state = 59},
  [64] = {.lex_state = 59},
  [65] = {.lex_state = 59},
  [66] = {.lex_state = 59},
  [67] = {.lex_state = 59},
  [68] = {.lex_state = 59},
  [69] = {.lex_state = 59},
  [70] = {.lex_state = 59},
  [71] = {.lex_state = 59},
  [72] = {.lex_state = 59},
  [73] = {.lex_state = 59},
  [74] = {.lex_state = 59},
  [75] = {.lex_state = 59},
  [76] = {.lex_state = 59},
  [77] = {.lex_state = 59},
  [78] = {.lex_state = 59},
  [79] = {.lex_state = 59},
  [80] = {.lex_state = 59},
  [81] = {.lex_state = 59},
  [82] = {.lex_state = 59},
  [83] = {.lex_state = 59},
  [84] = {.lex_state = 59},
  [85] = {.lex_state = 59},
  [86] = {.lex_state = 59},
  [87] = {.lex_state = 59},
  [88] = {.lex_state = 59},
  [89] = {.lex_state = 59},
  [90] = {.lex_state = 59},
  [91] = {.lex_state = 59},
  [92] = {.lex_state = 59},
  [93] = {.lex_state = 59},
  [94] = {.lex_state = 59},
  [95] = {.lex_state = 59},
  [96] = {.lex_state = 59},
  [97] = {.lex_state = 59},
  [98] = {.lex_state = 59},
  [99] = {.lex_state = 59},
  [100] = {.lex_state = 59},
  [101] = {.lex_state = 59},
  [102] = {.lex_state = 59},
  [103] = {.lex_state = 59},
  [104] = {.lex_state = 59},
  [105] = {.lex_state = 59},
  [106] = {.lex_state = 59},
  [107] = {.lex_state = 59},
  [108] = {.lex_state = 59},
  [109] = {.lex_state = 59},
  [110] = {.lex_state = 59},
  [111] = {.lex_state = 59},
  [112] = {.lex_state = 59},
  [113] = {.lex_state = 59},
  [114] = {.lex_state = 59},
  [115] = {.lex_state = 59},
  [116] = {.lex_state = 59},
  [117] = {.lex_state = 59},
  [118] = {.lex_state = 59},
  [119] = {.lex_state = 59},
  [120] = {.lex_state = 59},
  [121] = {.lex_state = 59},
  [122] = {.lex_state = 59},
  [123] = {.lex_state = 59},
  [124] = {.lex_state = 59},
  [125] = {.lex_state = 59},
  [126] = {.lex_state = 59},
  [127] = {.lex_state = 59},
  [128] = {.lex_state = 59},
  [129] = {.lex_state = 59},
  [130] = {.lex_state = 59},
  [131] = {.lex_state = 59},
  [132] = {.lex_state = 59},
  [133] = {.lex_state = 59},
  [134] = {.lex_state = 59},
  [135] = {.lex_state = 59},
  [136] = {.lex_state = 59},
  [137] = {.lex_state = 59},
  [138] = {.lex_state = 59},
  [139] = {.lex_state = 59},
  [140] = {.lex_state = 59},
  [141] = {.lex_state = 59},
  [142] = {.lex_state = 59},
  [143] = {.lex_state = 59},
  [144] = {.lex_state = 59},
  [145] = {.lex_state = 59},
  [146] = {.lex_state = 59},
  [147] = {.lex_state = 59},
  [148] = {.lex_state = 59},
  [149] = {.lex_state = 59},
  [150] = {.lex_state = 59},
  [151] = {.lex_state = 59},
  [152] = {.lex_state = 59},
  [153] = {.lex_state = 59},
  [154] = {.lex_state = 59},
  [155] = {.lex_state = 59},
  [156] = {.lex_state = 59},
  [157] = {.lex_state = 59},
  [158] = {.lex_state = 59},
  [159] = {.lex_state = 59},
  [160] = {.lex_state = 59},
  [161] = {.lex_state = 59},
  [162] = {.lex_state = 59},
  [163] = {.lex_state = 59},
  [164] = {.lex_state = 59},
  [165] = {.lex_state = 59},
  [166] = {.lex_state = 59},
  [167] = {.lex_state = 59},
  [168] = {.lex_state = 59},
  [169] = {.lex_state = 59},
  [170] = {.lex_state = 59},
  [171] = {.lex_state = 59},
  [172] = {.lex_state = 59},
  [173] = {.lex_state = 59},
  [174] = {.lex_state = 59},
  [175] = {.lex_state = 59},
  [176] = {.lex_state = 59},
  [177] = {.lex_state = 59},
  [178] = {.lex_state = 59},
  [179] = {.lex_state = 59},
  [180] = {.lex_state = 59},
  [181] = {.lex_state = 59},
  [182] = {.lex_state = 59},
  [183] = {.lex_state = 59},
  [184] = {.lex_state = 59},
  [185] = {.lex_state = 59},
  [186] = {.lex_state = 59},
  [187] = {.lex_state = 59},
  [188] = {.lex_state = 59},
  [189] = {.lex_state = 59},
  [190] = {.lex_state = 59},
  [191] = {.lex_state = 59},
  [192] = {.lex_state = 59},
  [193] = {.lex_state = 59},
  [194] = {.lex_state = 59},
  [195] = {.lex_state = 59},
  [196] = {.lex_state = 59},
  [197] = {.lex_state = 59},
  [198] = {.lex_state = 59},
  [199] = {.lex_state = 59},
  [200] = {.lex_state = 59},
  [201] = {.lex_state = 59},
  [202] = {.lex_state = 59},
  [203] = {.lex_state = 59},
  [204] = {.lex_state = 59},
  [205] = {.lex_state = 59},
  [206] = {.lex_state = 59},
  [207] = {.lex_state = 59},
  [208] = {.lex_state = 59},
  [209] = {.lex_state = 59},
  [210] = {.lex_state = 59},
  [211] = {.lex_state = 59},
  [212] = {.lex_state = 59},
  [213] = {.lex_state = 59},
  [214] = {.lex_state = 59},
  [215] = {.lex_state = 59},
  [216] = {.lex_state = 59},
  [217] = {.lex_state = 59},
  [218] = {.lex_state = 59},
  [219] = {.lex_state = 59},
  [220] = {.lex_state = 59},
  [221] = {.lex_state = 59},
  [222] = {.lex_state = 59},
  [223] = {.lex_state = 59},
  [224] = {.lex_state = 59},
  [225] = {.lex_state = 59},
  [226] = {.lex_state = 59},
  [227] = {.lex_state = 59},
  [228] = {.lex_state = 59},
  [229] = {.lex_state = 59},
  [230] = {.lex_state = 59},
  [231] = {.lex_state = 59},
  [232] = {.lex_state = 59},
  [233] = {.lex_state = 59},
  [234] = {.lex_state = 59},
  [235] = {.lex_state = 3},
  [236] = {.lex_state = 57},
  [237] = {.lex_state = 57},
  [238] = {.lex_state = 57},
  [239] = {.lex_state = 57},
  [240] = {.lex_state = 57},
  [241] = {.lex_state = 59},
  [242] = {.lex_state = 57},
  [243] = {.lex_state = 57},
  [244] = {.lex_state = 57},
  [245] = {.lex_state = 57},
  [246] = {.lex_state = 57},
  [247] = {.lex_state = 57},
  [248] = {.lex_state = 57},
  [249] = {.lex_state = 57},
  [250] = {.lex_state = 57},
  [251] = {.lex_state = 57},
  [252] = {.lex_state = 57},
  [253] = {.lex_state = 57},
  [254] = {.lex_state = 57},
  [255] = {.lex_state = 57},
  [256] = {.lex_state = 57},
  [257] = {.lex_state = 57},
  [258] = {.lex_state = 57},
  [259] = {.lex_state = 57},
  [260] = {.lex_state = 57},
  [261] = {.lex_state = 57},
  [262] = {.lex_state = 57},
  [263] = {.lex_state = 57},
  [264] = {.lex_state = 57},
  [265] = {.lex_state = 57},
  [266] = {.lex_state = 57},
  [267] = {.lex_state = 57},
  [268] = {.lex_state = 57},
  [269] = {.lex_state = 57},
  [270] = {.lex_state = 57},
  [271] = {.lex_state = 57},
  [272] = {.lex_state = 57},
  [273] = {.lex_state = 57},
  [274] = {.lex_state = 57},
  [275] = {.lex_state = 57},
  [276] = {.lex_state = 57},
  [277] = {.lex_state = 4},
  [278] = {.lex_state = 57},
  [279] = {.lex_state = 4},
  [280] = {.lex_state = 57},
  [281] = {.lex_state = 57},
  [282] = {.lex_state = 57},
  [283] = {.lex_state = 57},
  [284] = {.lex_state = 57},
  [285] = {.lex_state = 57},
  [286] = {.lex_state = 57},
  [287] = {.lex_state = 4},
  [288] = {.lex_state = 4},
  [289] = {.lex_state = 4},
  [290] = {.lex_state = 4},
  [291] = {.lex_state = 4},
  [292] = {.lex_state = 4},
  [293] = {.lex_state = 4},
  [294] = {.lex_state = 4},
  [295] = {.lex_state = 4},
  [296] = {.lex_state = 4},
  [297] = {.lex_state = 4},
  [298] = {.lex_state = 4},
  [299] = {.lex_state = 4},
  [300] = {.lex_state = 4},
  [301] = {.lex_state = 4},
  [302] = {.lex_state = 4},
  [303] = {.lex_state = 4},
  [304] = {.lex_state = 4},
  [305] = {.lex_state = 4},
  [306] = {.lex_state = 4},
  [307] = {.lex_state = 4},
  [308] = {.lex_state = 4},
  [309] = {.lex_state = 4},
  [310] = {.lex_state = 4},
  [311] = {.lex_state = 4},
  [312] = {.lex_state = 4},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 4},
  [315] = {.lex_state = 4},
  [316] = {.lex_state = 4},
  [317] = {.lex_state = 4},
  [318] = {.lex_state = 4},
  [319] = {.lex_state = 4},
  [320] = {.lex_state = 4},
  [321] = {.lex_state = 4},
  [322] = {.lex_state = 4},
  [323] = {.lex_state = 4},
  [324] = {.lex_state = 4},
  [325] = {.lex_state = 4},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 4},
  [328] = {.lex_state = 4},
  [329] = {.lex_state = 4},
  [330] = {.lex_state = 4},
  [331] = {.lex_state = 4},
  [332] = {.lex_state = 4},
  [333] = {.lex_state = 4},
  [334] = {.lex_state = 5},
  [335] = {.lex_state = 5},
  [336] = {.lex_state = 5},
  [337] = {.lex_state = 5},
  [338] = {.lex_state = 5},
  [339] = {.lex_state = 5},
  [340] = {.lex_state = 5},
  [341] = {.lex_state = 5},
  [342] = {.lex_state = 5},
  [343] = {.lex_state = 5},
  [344] = {.lex_state = 5},
  [345] = {.lex_state = 5},
  [346] = {.lex_state = 5},
  [347] = {.lex_state = 5},
  [348] = {.lex_state = 5},
  [349] = {.lex_state = 5},
  [350] = {.lex_state = 5},
  [351] = {.lex_state = 5},
  [352] = {.lex_state = 5},
  [353] = {.lex_state = 5},
  [354] = {.lex_state = 5},
  [355] = {.lex_state = 5},
  [356] = {.lex_state = 5},
  [357] = {.lex_state = 5},
  [358] = {.lex_state = 5},
  [359] = {.lex_state = 5},
  [360] = {.lex_state = 5},
  [361] = {.lex_state = 5},
  [362] = {.lex_state = 5},
  [363] = {.lex_state = 5},
  [364] = {.lex_state = 5},
  [365] = {.lex_state = 5},
  [366] = {.lex_state = 5},
  [367] = {.lex_state = 5},
  [368] = {.lex_state = 5},
  [369] = {.lex_state = 5},
  [370] = {.lex_state = 5},
  [371] = {.lex_state = 5},
  [372] = {.lex_state = 5},
  [373] = {.lex_state = 5},
  [374] = {.lex_state = 5},
  [375] = {.lex_state = 5},
  [376] = {.lex_state = 5},
  [377] = {.lex_state = 5},
  [378] = {.lex_state = 5},
  [379] = {.lex_state = 5},
  [380] = {.lex_state = 57},
  [381] = {.lex_state = 56},
  [382] = {.lex_state = 56},
  [383] = {.lex_state = 6},
  [384] = {.lex_state = 6},
  [385] = {.lex_state = 56},
  [386] = {.lex_state = 6},
  [387] = {.lex_state = 56},
  [388] = {.lex_state = 6},
  [389] = {.lex_state = 6},
  [390] = {.lex_state = 6},
  [391] = {.lex_state = 1},
  [392] = {.lex_state = 6},
  [393] = {.lex_state = 6},
  [394] = {.lex_state = 6},
  [395] = {.lex_state = 6},
  [396] = {.lex_state = 1},
  [397] = {.lex_state = 6},
  [398] = {.lex_state = 6},
  [399] = {.lex_state = 6},
  [400] = {.lex_state = 6},
  [401] = {.lex_state = 6},
  [402] = {.lex_state = 6},
  [403] = {.lex_state = 6},
  [404] = {.lex_state = 6},
  [405] = {.lex_state = 6},
  [406] = {.lex_state = 6},
  [407] = {.lex_state = 6},
  [408] = {.lex_state = 6},
  [409] = {.lex_state = 6},
  [410] = {.lex_state = 6},
  [411] = {.lex_state = 6},
  [412] = {.lex_state = 6},
  [413] = {.lex_state = 6},
  [414] = {.lex_state = 6},
  [415] = {.lex_state = 6},
  [416] = {.lex_state = 6},
  [417] = {.lex_state = 6},
  [418] = {.lex_state = 6},
  [419] = {.lex_state = 6},
  [420] = {.lex_state = 6},
  [421] = {.lex_state = 6},
  [422] = {.lex_state = 6},
  [423] = {.lex_state = 6},
  [424] = {.lex_state = 6},
  [425] = {.lex_state = 6},
  [426] = {.lex_state = 6},
  [427] = {.lex_state = 6},
  [428] = {.lex_state = 1},
  [429] = {.lex_state = 6},
  [430] = {.lex_state = 0},
  [431] = {.lex_state = 1},
  [432] = {.lex_state = 1},
  [433] = {.lex_state = 1},
  [434] = {.lex_state = 6},
  [435] = {.lex_state = 1},
  [436] = {.lex_state = 1},
  [437] = {.lex_state = 6},
  [438] = {.lex_state = 0},
  [439] = {.lex_state = 1},
  [440] = {.lex_state = 6},
  [441] = {.lex_state = 1},
  [442] = {.lex_state = 1},
  [443] = {.lex_state = 56},
  [444] = {.lex_state = 3},
  [445] = {.lex_state = 0},
  [446] = {.lex_state = 1},
  [447] = {.lex_state = 3},
  [448] = {.lex_state = 1},
  [449] = {.lex_state = 56},
  [450] = {.lex_state = 56},
  [451] = {.lex_state = 3},
  [452] = {.lex_state = 1},
  [453] = {.lex_state = 1},
  [454] = {.lex_state = 0},
  [455] = {.lex_state = 1},
  [456] = {.lex_state = 56},
  [457] = {.lex_state = 0},
  [458] = {.lex_state = 3},
  [459] = {.lex_state = 1},
  [460] = {.lex_state = 1},
  [461] = {.lex_state = 3},
  [462] = {.lex_state = 1},
  [463] = {.lex_state = 1},
  [464] = {.lex_state = 3},
  [465] = {.lex_state = 1},
  [466] = {.lex_state = 1},
  [467] = {.lex_state = 3},
  [468] = {.lex_state = 1},
  [469] = {.lex_state = 1},
  [470] = {.lex_state = 56},
  [471] = {.lex_state = 1},
  [472] = {.lex_state = 1},
  [473] = {.lex_state = 1},
  [474] = {.lex_state = 1},
  [475] = {.lex_state = 1},
  [476] = {.lex_state = 3},
  [477] = {.lex_state = 3},
  [478] = {.lex_state = 1},
  [479] = {.lex_state = 1},
  [480] = {.lex_state = 1},
  [481] = {.lex_state = 1},
  [482] = {.lex_state = 1},
  [483] = {.lex_state = 1},
  [484] = {.lex_state = 1},
  [485] = {.lex_state = 1},
  [486] = {.lex_state = 1},
  [487] = {.lex_state = 1},
  [488] = {.lex_state = 1},
  [489] = {.lex_state = 0},
  [490] = {.lex_state = 56},
  [491] = {.lex_state = 56},
  [492] = {.lex_state = 1},
  [493] = {.lex_state = 1},
  [494] = {.lex_state = 1},
  [495] = {.lex_state = 1},
  [496] = {.lex_state = 1},
  [497] = {.lex_state = 1},
  [498] = {.lex_state = 1},
  [499] = {.lex_state = 6},
  [500] = {.lex_state = 1},
  [501] = {.lex_state = 56},
  [502] = {.lex_state = 1},
  [503] = {.lex_state = 1},
  [504] = {.lex_state = 6},
  [505] = {.lex_state = 0},
  [506] = {.lex_state = 6},
  [507] = {.lex_state = 0},
  [508] = {.lex_state = 6},
  [509] = {.lex_state = 6},
  [510] = {.lex_state = 56},
  [511] = {.lex_state = 0},
  [512] = {.lex_state = 0},
  [513] = {.lex_state = 0},
  [514] = {.lex_state = 6},
  [515] = {.lex_state = 6},
  [516] = {.lex_state = 0},
  [517] = {.lex_state = 6},
  [518] = {.lex_state = 6},
  [519] = {.lex_state = 6},
  [520] = {.lex_state = 6},
  [521] = {.lex_state = 3},
  [522] = {.lex_state = 3},
  [523] = {.lex_state = 0},
  [524] = {.lex_state = 3},
  [525] = {.lex_state = 3},
  [526] = {.lex_state = 6},
  [527] = {.lex_state = 3},
  [528] = {.lex_state = 0},
  [529] = {.lex_state = 0},
  [530] = {.lex_state = 0},
  [531] = {.lex_state = 0},
  [532] = {.lex_state = 6},
  [533] = {.lex_state = 6},
  [534] = {.lex_state = 6},
  [535] = {.lex_state = 0},
  [536] = {.lex_state = 3},
  [537] = {.lex_state = 6},
  [538] = {.lex_state = 0},
  [539] = {.lex_state = 0},
  [540] = {.lex_state = 3},
  [541] = {.lex_state = 3},
  [542] = {.lex_state = 3},
  [543] = {.lex_state = 3},
  [544] = {.lex_state = 0},
  [545] = {.lex_state = 0},
  [546] = {.lex_state = 3},
  [547] = {.lex_state = 3},
  [548] = {.lex_state = 3},
  [549] = {.lex_state = 6},
  [550] = {.lex_state = 3},
  [551] = {.lex_state = 3},
  [552] = {.lex_state = 3},
  [553] = {.lex_state = 6},
  [554] = {.lex_state = 3},
  [555] = {.lex_state = 3},
  [556] = {.lex_state = 3},
  [557] = {.lex_state = 3},
  [558] = {.lex_state = 3},
  [559] = {.lex_state = 0},
  [560] = {.lex_state = 3},
  [561] = {.lex_state = 3},
  [562] = {.lex_state = 3},
  [563] = {.lex_state = 3},
  [564] = {.lex_state = 0},
  [565] = {.lex_state = 6},
  [566] = {.lex_state = 3},
  [567] = {.lex_state = 3},
  [568] = {.lex_state = 3},
  [569] = {.lex_state = 3},
  [570] = {.lex_state = 3},
  [571] = {.lex_state = 3},
  [572] = {.lex_state = 3},
  [573] = {.lex_state = 3},
  [574] = {.lex_state = 0},
  [575] = {.lex_state = 3},
  [576] = {.lex_state = 3},
  [577] = {.lex_state = 3},
  [578] = {.lex_state = 3},
  [579] = {.lex_state = 6},
  [580] = {.lex_state = 6},
  [581] = {.lex_state = 6},
  [582] = {.lex_state = 6},
  [583] = {.lex_state = 6},
  [584] = {.lex_state = 0},
  [585] = {.lex_state = 3},
  [586] = {.lex_state = 0},
  [587] = {.lex_state = 6},
  [588] = {.lex_state = 0},
  [589] = {.lex_state = 6},
  [590] = {.lex_state = 0},
  [591] = {.lex_state = 6},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 0},
  [594] = {.lex_state = 0},
  [595] = {.lex_state = 6},
  [596] = {.lex_state = 6},
  [597] = {.lex_state = 6},
  [598] = {.lex_state = 6},
  [599] = {.lex_state = 6},
  [600] = {.lex_state = 0},
  [601] = {.lex_state = 6},
  [602] = {.lex_state = 6},
  [603] = {.lex_state = 6},
  [604] = {.lex_state = 6},
  [605] = {.lex_state = 0},
  [606] = {.lex_state = 0},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 6},
  [609] = {.lex_state = 6},
  [610] = {.lex_state = 0},
  [611] = {.lex_state = 0},
  [612] = {.lex_state = 6},
  [613] = {.lex_state = 6},
  [614] = {.lex_state = 6},
  [615] = {.lex_state = 6},
  [616] = {.lex_state = 6},
  [617] = {.lex_state = 0},
  [618] = {.lex_state = 6},
  [619] = {.lex_state = 6},
  [620] = {.lex_state = 0},
  [621] = {.lex_state = 0},
  [622] = {.lex_state = 0},
  [623] = {.lex_state = 6},
  [624] = {.lex_state = 6},
  [625] = {.lex_state = 6},
  [626] = {.lex_state = 0},
  [627] = {.lex_state = 6},
  [628] = {.lex_state = 6},
  [629] = {.lex_state = 6},
  [630] = {.lex_state = 6},
  [631] = {.lex_state = 6},
  [632] = {.lex_state = 0},
  [633] = {.lex_state = 6},
  [634] = {.lex_state = 6},
  [635] = {.lex_state = 0},
  [636] = {.lex_state = 0},
  [637] = {.lex_state = 6},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 0},
  [640] = {.lex_state = 6},
  [641] = {.lex_state = 6},
  [642] = {.lex_state = 6},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 0},
  [645] = {.lex_state = 6},
  [646] = {.lex_state = 6},
  [647] = {.lex_state = 6},
  [648] = {.lex_state = 6},
  [649] = {.lex_state = 6},
  [650] = {.lex_state = 6},
  [651] = {.lex_state = 6},
  [652] = {.lex_state = 6},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 0},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 6},
  [658] = {.lex_state = 6},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 6},
  [663] = {.lex_state = 6},
  [664] = {.lex_state = 0},
  [665] = {.lex_state = 6},
  [666] = {.lex_state = 6},
  [667] = {.lex_state = 6},
  [668] = {.lex_state = 6},
  [669] = {.lex_state = 6},
  [670] = {.lex_state = 6},
  [671] = {.lex_state = 6},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 6},
  [674] = {.lex_state = 0},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 6},
  [678] = {.lex_state = 0},
  [679] = {.lex_state = 6},
  [680] = {.lex_state = 6},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 0},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 0},
  [689] = {.lex_state = 0},
  [690] = {.lex_state = 6},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 0},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 56},
  [770] = {.lex_state = 56},
  [771] = {.lex_state = 56},
  [772] = {.lex_state = 56},
  [773] = {.lex_state = 56},
  [774] = {.lex_state = 56},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0},
  [779] = {.lex_state = 56},
  [780] = {.lex_state = 56},
  [781] = {.lex_state = 56},
  [782] = {.lex_state = 56},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 0},
  [786] = {.lex_state = 57},
  [787] = {.lex_state = 57},
  [788] = {.lex_state = 56},
  [789] = {.lex_state = 56},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 0},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 0},
  [795] = {.lex_state = 0},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 56},
  [799] = {.lex_state = 56},
  [800] = {.lex_state = 56},
  [801] = {.lex_state = 56},
  [802] = {.lex_state = 56},
  [803] = {.lex_state = 56},
  [804] = {.lex_state = 56},
  [805] = {.lex_state = 56},
  [806] = {.lex_state = 56},
  [807] = {.lex_state = 56},
  [808] = {.lex_state = 56},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 56},
  [811] = {.lex_state = 56},
  [812] = {.lex_state = 56},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 56},
  [815] = {.lex_state = 56},
  [816] = {.lex_state = 56},
  [817] = {.lex_state = 56},
  [818] = {.lex_state = 56},
  [819] = {.lex_state = 56},
  [820] = {.lex_state = 56},
  [821] = {.lex_state = 56},
  [822] = {.lex_state = 56},
  [823] = {.lex_state = 56},
  [824] = {.lex_state = 56},
  [825] = {.lex_state = 56},
  [826] = {.lex_state = 56},
  [827] = {.lex_state = 0},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 3},
  [831] = {.lex_state = 3},
  [832] = {.lex_state = 3},
  [833] = {.lex_state = 3},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 57},
  [836] = {.lex_state = 57},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 56},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 3},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 3},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 3},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 56},
  [866] = {.lex_state = 3},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 3},
  [872] = {.lex_state = 3},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 56},
  [875] = {.lex_state = 56},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 3},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 57},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 57},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 56},
  [891] = {.lex_state = 56},
  [892] = {.lex_state = 56},
  [893] = {.lex_state = 56},
  [894] = {.lex_state = 56},
  [895] = {.lex_state = 56},
  [896] = {.lex_state = 56},
  [897] = {.lex_state = 56},
  [898] = {.lex_state = 56},
  [899] = {.lex_state = 56},
  [900] = {.lex_state = 56},
  [901] = {.lex_state = 56},
  [902] = {.lex_state = 56},
  [903] = {.lex_state = 56},
  [904] = {.lex_state = 56},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 56},
  [907] = {.lex_state = 56},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 56},
  [910] = {.lex_state = 56},
  [911] = {.lex_state = 56},
  [912] = {.lex_state = 56},
  [913] = {.lex_state = 56},
  [914] = {.lex_state = 56},
  [915] = {.lex_state = 56},
  [916] = {.lex_state = 56},
  [917] = {.lex_state = 56},
  [918] = {.lex_state = 56},
  [919] = {.lex_state = 56},
  [920] = {.lex_state = 56},
  [921] = {.lex_state = 56},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 56},
  [924] = {.lex_state = 56},
  [925] = {.lex_state = 56},
  [926] = {.lex_state = 56},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 56},
  [929] = {.lex_state = 56},
  [930] = {.lex_state = 56},
  [931] = {.lex_state = 56},
  [932] = {.lex_state = 56},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 56},
  [935] = {.lex_state = 56},
  [936] = {.lex_state = 56},
  [937] = {.lex_state = 56},
  [938] = {.lex_state = 56},
  [939] = {.lex_state = 56},
  [940] = {.lex_state = 56},
  [941] = {.lex_state = 56},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 56},
  [944] = {.lex_state = 56},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 56},
  [947] = {.lex_state = 56},
  [948] = {.lex_state = 56},
  [949] = {.lex_state = 56},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 56},
  [952] = {.lex_state = 56},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 56},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 56},
  [957] = {.lex_state = 56},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 56},
  [960] = {.lex_state = 56},
  [961] = {.lex_state = 56},
  [962] = {.lex_state = 56},
  [963] = {.lex_state = 56},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 56},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 56},
  [969] = {.lex_state = 56},
  [970] = {.lex_state = 56},
  [971] = {.lex_state = 56},
  [972] = {.lex_state = 56},
  [973] = {.lex_state = 56},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 56},
  [977] = {.lex_state = 56},
  [978] = {.lex_state = 56},
  [979] = {.lex_state = 56},
  [980] = {.lex_state = 56},
  [981] = {.lex_state = 56},
  [982] = {.lex_state = 56},
  [983] = {.lex_state = 56},
  [984] = {.lex_state = 56},
  [985] = {.lex_state = 56},
  [986] = {.lex_state = 56},
  [987] = {.lex_state = 56},
  [988] = {.lex_state = 3},
  [989] = {.lex_state = 56},
  [990] = {.lex_state = 56},
  [991] = {.lex_state = 56},
  [992] = {.lex_state = 56},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 56},
  [995] = {.lex_state = 56},
  [996] = {.lex_state = 56},
  [997] = {.lex_state = 56},
  [998] = {.lex_state = 56},
  [999] = {.lex_state = 56},
  [1000] = {.lex_state = 56},
  [1001] = {.lex_state = 56},
  [1002] = {.lex_state = 56},
  [1003] = {.lex_state = 56},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 56},
  [1006] = {.lex_state = 3},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 56},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 56},
  [1011] = {.lex_state = 56},
  [1012] = {.lex_state = 56},
  [1013] = {.lex_state = 56},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 56},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 56},
  [1019] = {.lex_state = 56},
  [1020] = {.lex_state = 56},
  [1021] = {.lex_state = 56},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 56},
  [1024] = {.lex_state = 56},
  [1025] = {.lex_state = 56},
  [1026] = {.lex_state = 56},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 56},
  [1031] = {.lex_state = 56},
  [1032] = {.lex_state = 56},
  [1033] = {.lex_state = 56},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 56},
  [1036] = {.lex_state = 56},
  [1037] = {.lex_state = 56},
  [1038] = {.lex_state = 56},
  [1039] = {.lex_state = 56},
  [1040] = {.lex_state = 56},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 56},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 56},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 2},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 2},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 56},
  [1054] = {.lex_state = 2},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 2},
  [1058] = {.lex_state = 56},
  [1059] = {.lex_state = 56},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 56},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 56},
  [1064] = {.lex_state = 56},
  [1065] = {.lex_state = 56},
  [1066] = {.lex_state = 56},
  [1067] = {.lex_state = 2},
  [1068] = {.lex_state = 56},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 2},
  [1073] = {.lex_state = 56},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 56},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 56},
  [1080] = {.lex_state = 56},
  [1081] = {.lex_state = 56},
  [1082] = {.lex_state = 56},
  [1083] = {.lex_state = 56},
  [1084] = {.lex_state = 56},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 56},
  [1087] = {.lex_state = 56},
  [1088] = {.lex_state = 2},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 2},
  [1091] = {.lex_state = 56},
  [1092] = {.lex_state = 56},
  [1093] = {.lex_state = 56},
  [1094] = {.lex_state = 56},
  [1095] = {.lex_state = 56},
  [1096] = {.lex_state = 56},
  [1097] = {.lex_state = 2},
  [1098] = {.lex_state = 2},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 2},
  [1101] = {.lex_state = 2},
  [1102] = {.lex_state = 2},
  [1103] = {.lex_state = 56},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 56},
  [1106] = {.lex_state = 2},
  [1107] = {.lex_state = 56},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 56},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 56},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 56},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 56},
  [1118] = {.lex_state = 56},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 56},
  [1123] = {.lex_state = 2},
  [1124] = {.lex_state = 56},
  [1125] = {.lex_state = 56},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 56},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 56},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 56},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 56},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 56},
  [1153] = {.lex_state = 56},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 56},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 59},
  [1158] = {.lex_state = 59},
  [1159] = {.lex_state = 56},
  [1160] = {.lex_state = 56},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 56},
  [1164] = {.lex_state = 56},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 56},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 59},
  [1172] = {.lex_state = 59},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 56},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 56},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 56},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 56},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 59},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 0},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 0},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 0},
  [1379] = {.lex_state = 0},
  [1380] = {.lex_state = 0},
  [1381] = {.lex_state = 0},
  [1382] = {.lex_state = 0},
  [1383] = {.lex_state = 0},
  [1384] = {.lex_state = 0},
  [1385] = {.lex_state = 0},
  [1386] = {.lex_state = 0},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 0},
  [1389] = {.lex_state = 0},
  [1390] = {.lex_state = 0},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 0},
  [1393] = {.lex_state = 0},
  [1394] = {.lex_state = 0},
  [1395] = {.lex_state = 0},
  [1396] = {.lex_state = 0},
  [1397] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_blank_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_iota] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1374),
    [sym_package_clause] = STATE(1122),
    [sym_import_declaration] = STATE(1122),
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_function_declaration] = STATE(1122),
    [sym_method_declaration] = STATE(1122),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement] = STATE(1152),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [aux_sym_source_file_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_package_clause] = STATE(1094),
    [sym_import_declaration] = STATE(1094),
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_function_declaration] = STATE(1094),
    [sym_method_declaration] = STATE(1094),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement] = STATE(1152),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(75),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_package_clause] = STATE(1152),
    [sym_import_declaration] = STATE(1152),
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_function_declaration] = STATE(1152),
    [sym_method_declaration] = STATE(1152),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement] = STATE(1152),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(82),
    [anon_sym_package] = ACTIONS(85),
    [anon_sym_import] = ACTIONS(88),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(94),
    [anon_sym_var] = ACTIONS(97),
    [anon_sym_func] = ACTIONS(100),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(106),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_struct] = ACTIONS(112),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(121),
    [anon_sym_map] = ACTIONS(124),
    [anon_sym_chan] = ACTIONS(127),
    [anon_sym_LT_DASH] = ACTIONS(130),
    [anon_sym_fallthrough] = ACTIONS(133),
    [anon_sym_break] = ACTIONS(136),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_goto] = ACTIONS(142),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_go] = ACTIONS(148),
    [anon_sym_defer] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(154),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(160),
    [anon_sym_select] = ACTIONS(163),
    [anon_sym_new] = ACTIONS(166),
    [anon_sym_make] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_CARET] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(169),
    [sym_raw_string_literal] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_int_literal] = ACTIONS(178),
    [sym_float_literal] = ACTIONS(178),
    [sym_imaginary_literal] = ACTIONS(172),
    [sym_rune_literal] = ACTIONS(172),
    [sym_nil] = ACTIONS(178),
    [sym_true] = ACTIONS(178),
    [sym_false] = ACTIONS(178),
    [sym_iota] = ACTIONS(178),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1169),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1169),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(187),
    [anon_sym_default] = ACTIONS(187),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1173),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1173),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(191),
    [anon_sym_default] = ACTIONS(191),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1167),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1167),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1179),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1179),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1193),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1193),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(203),
    [anon_sym_default] = ACTIONS(203),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement] = STATE(976),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1162),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(207),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement] = STATE(976),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1183),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(211),
    [anon_sym_default] = ACTIONS(211),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1356),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1356),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1393),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1393),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1341),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1341),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1314),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1314),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1331),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1331),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1324),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1324),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement_list] = STATE(1349),
    [sym__statement] = STATE(894),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_empty_labeled_statement] = STATE(1349),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement] = STATE(947),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(229),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement] = STATE(976),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__declaration] = STATE(943),
    [sym_const_declaration] = STATE(943),
    [sym_var_declaration] = STATE(943),
    [sym_type_declaration] = STATE(943),
    [sym_expression_list] = STATE(792),
    [sym_parenthesized_type] = STATE(1256),
    [sym__simple_type] = STATE(1256),
    [sym_generic_type] = STATE(1119),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1119),
    [sym_implicit_length_array_type] = STATE(1259),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(943),
    [sym__statement] = STATE(947),
    [sym_empty_statement] = STATE(943),
    [sym__simple_statement] = STATE(943),
    [sym_expression_statement] = STATE(946),
    [sym_send_statement] = STATE(946),
    [sym_inc_statement] = STATE(946),
    [sym_dec_statement] = STATE(946),
    [sym_assignment_statement] = STATE(946),
    [sym_short_var_declaration] = STATE(946),
    [sym_labeled_statement] = STATE(943),
    [sym_fallthrough_statement] = STATE(943),
    [sym_break_statement] = STATE(943),
    [sym_continue_statement] = STATE(943),
    [sym_goto_statement] = STATE(943),
    [sym_return_statement] = STATE(943),
    [sym_go_statement] = STATE(943),
    [sym_defer_statement] = STATE(943),
    [sym_if_statement] = STATE(943),
    [sym_for_statement] = STATE(943),
    [sym_expression_switch_statement] = STATE(943),
    [sym_type_switch_statement] = STATE(943),
    [sym_select_statement] = STATE(943),
    [sym__expression] = STATE(238),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_type_instantiation_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1034),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_expression_list] = STATE(796),
    [sym_parenthesized_type] = STATE(1244),
    [sym__simple_type] = STATE(1244),
    [sym_generic_type] = STATE(1099),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1099),
    [sym_implicit_length_array_type] = STATE(1290),
    [sym_slice_type] = STATE(1099),
    [sym_struct_type] = STATE(1099),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym_block] = STATE(973),
    [sym__simple_statement] = STATE(1333),
    [sym_expression_statement] = STATE(1293),
    [sym_send_statement] = STATE(1293),
    [sym_inc_statement] = STATE(1293),
    [sym_dec_statement] = STATE(1293),
    [sym_assignment_statement] = STATE(1293),
    [sym_short_var_declaration] = STATE(1293),
    [sym_for_clause] = STATE(1297),
    [sym_range_clause] = STATE(1297),
    [sym__expression] = STATE(279),
    [sym_parenthesized_expression] = STATE(311),
    [sym_call_expression] = STATE(311),
    [sym_selector_expression] = STATE(311),
    [sym_index_expression] = STATE(311),
    [sym_slice_expression] = STATE(311),
    [sym_type_assertion_expression] = STATE(311),
    [sym_type_conversion_expression] = STATE(311),
    [sym_type_instantiation_expression] = STATE(311),
    [sym_composite_literal] = STATE(311),
    [sym_func_literal] = STATE(311),
    [sym_unary_expression] = STATE(311),
    [sym_binary_expression] = STATE(311),
    [sym_qualified_type] = STATE(1028),
    [sym_interpreted_string_literal] = STATE(311),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_range] = ACTIONS(243),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_expression_list] = STATE(797),
    [sym_parenthesized_type] = STATE(1244),
    [sym__simple_type] = STATE(1244),
    [sym_generic_type] = STATE(1099),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1099),
    [sym_implicit_length_array_type] = STATE(1290),
    [sym_slice_type] = STATE(1099),
    [sym_struct_type] = STATE(1099),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1328),
    [sym_expression_statement] = STATE(1293),
    [sym_send_statement] = STATE(1293),
    [sym_inc_statement] = STATE(1293),
    [sym_dec_statement] = STATE(1293),
    [sym_assignment_statement] = STATE(1293),
    [sym_short_var_declaration] = STATE(1293),
    [sym__type_switch_header] = STATE(1327),
    [sym__expression] = STATE(287),
    [sym_parenthesized_expression] = STATE(311),
    [sym_call_expression] = STATE(311),
    [sym_selector_expression] = STATE(311),
    [sym_index_expression] = STATE(311),
    [sym_slice_expression] = STATE(311),
    [sym_type_assertion_expression] = STATE(311),
    [sym_type_conversion_expression] = STATE(311),
    [sym_type_instantiation_expression] = STATE(311),
    [sym_composite_literal] = STATE(311),
    [sym_func_literal] = STATE(311),
    [sym_unary_expression] = STATE(311),
    [sym_binary_expression] = STATE(311),
    [sym_qualified_type] = STATE(1028),
    [sym_interpreted_string_literal] = STATE(311),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_expression_list] = STATE(794),
    [sym_parenthesized_type] = STATE(1244),
    [sym__simple_type] = STATE(1244),
    [sym_generic_type] = STATE(1099),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1099),
    [sym_implicit_length_array_type] = STATE(1290),
    [sym_slice_type] = STATE(1099),
    [sym_struct_type] = STATE(1099),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1343),
    [sym_expression_statement] = STATE(1293),
    [sym_send_statement] = STATE(1293),
    [sym_inc_statement] = STATE(1293),
    [sym_dec_statement] = STATE(1293),
    [sym_assignment_statement] = STATE(1293),
    [sym_short_var_declaration] = STATE(1293),
    [sym__expression] = STATE(289),
    [sym_parenthesized_expression] = STATE(311),
    [sym_call_expression] = STATE(311),
    [sym_selector_expression] = STATE(311),
    [sym_index_expression] = STATE(311),
    [sym_slice_expression] = STATE(311),
    [sym_type_assertion_expression] = STATE(311),
    [sym_type_conversion_expression] = STATE(311),
    [sym_type_instantiation_expression] = STATE(311),
    [sym_composite_literal] = STATE(311),
    [sym_func_literal] = STATE(311),
    [sym_unary_expression] = STATE(311),
    [sym_binary_expression] = STATE(311),
    [sym_qualified_type] = STATE(1028),
    [sym_interpreted_string_literal] = STATE(311),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(257),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_expression_list] = STATE(794),
    [sym_parenthesized_type] = STATE(1244),
    [sym__simple_type] = STATE(1244),
    [sym_generic_type] = STATE(1099),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1099),
    [sym_implicit_length_array_type] = STATE(1290),
    [sym_slice_type] = STATE(1099),
    [sym_struct_type] = STATE(1099),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1334),
    [sym_expression_statement] = STATE(1293),
    [sym_send_statement] = STATE(1293),
    [sym_inc_statement] = STATE(1293),
    [sym_dec_statement] = STATE(1293),
    [sym_assignment_statement] = STATE(1293),
    [sym_short_var_declaration] = STATE(1293),
    [sym__expression] = STATE(289),
    [sym_parenthesized_expression] = STATE(311),
    [sym_call_expression] = STATE(311),
    [sym_selector_expression] = STATE(311),
    [sym_index_expression] = STATE(311),
    [sym_slice_expression] = STATE(311),
    [sym_type_assertion_expression] = STATE(311),
    [sym_type_conversion_expression] = STATE(311),
    [sym_type_instantiation_expression] = STATE(311),
    [sym_composite_literal] = STATE(311),
    [sym_func_literal] = STATE(311),
    [sym_unary_expression] = STATE(311),
    [sym_binary_expression] = STATE(311),
    [sym_qualified_type] = STATE(1028),
    [sym_interpreted_string_literal] = STATE(311),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(259),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_expression_list] = STATE(794),
    [sym_parenthesized_type] = STATE(1244),
    [sym__simple_type] = STATE(1244),
    [sym_generic_type] = STATE(1099),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1099),
    [sym_implicit_length_array_type] = STATE(1290),
    [sym_slice_type] = STATE(1099),
    [sym_struct_type] = STATE(1099),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1345),
    [sym_expression_statement] = STATE(1293),
    [sym_send_statement] = STATE(1293),
    [sym_inc_statement] = STATE(1293),
    [sym_dec_statement] = STATE(1293),
    [sym_assignment_statement] = STATE(1293),
    [sym_short_var_declaration] = STATE(1293),
    [sym__expression] = STATE(289),
    [sym_parenthesized_expression] = STATE(311),
    [sym_call_expression] = STATE(311),
    [sym_selector_expression] = STATE(311),
    [sym_index_expression] = STATE(311),
    [sym_slice_expression] = STATE(311),
    [sym_type_assertion_expression] = STATE(311),
    [sym_type_conversion_expression] = STATE(311),
    [sym_type_instantiation_expression] = STATE(311),
    [sym_composite_literal] = STATE(311),
    [sym_func_literal] = STATE(311),
    [sym_unary_expression] = STATE(311),
    [sym_binary_expression] = STATE(311),
    [sym_qualified_type] = STATE(1028),
    [sym_interpreted_string_literal] = STATE(311),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(261),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_expression_list] = STATE(794),
    [sym_parenthesized_type] = STATE(1244),
    [sym__simple_type] = STATE(1244),
    [sym_generic_type] = STATE(1099),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1099),
    [sym_implicit_length_array_type] = STATE(1290),
    [sym_slice_type] = STATE(1099),
    [sym_struct_type] = STATE(1099),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1362),
    [sym_expression_statement] = STATE(1293),
    [sym_send_statement] = STATE(1293),
    [sym_inc_statement] = STATE(1293),
    [sym_dec_statement] = STATE(1293),
    [sym_assignment_statement] = STATE(1293),
    [sym_short_var_declaration] = STATE(1293),
    [sym__expression] = STATE(289),
    [sym_parenthesized_expression] = STATE(311),
    [sym_call_expression] = STATE(311),
    [sym_selector_expression] = STATE(311),
    [sym_index_expression] = STATE(311),
    [sym_slice_expression] = STATE(311),
    [sym_type_assertion_expression] = STATE(311),
    [sym_type_conversion_expression] = STATE(311),
    [sym_type_instantiation_expression] = STATE(311),
    [sym_composite_literal] = STATE(311),
    [sym_func_literal] = STATE(311),
    [sym_unary_expression] = STATE(311),
    [sym_binary_expression] = STATE(311),
    [sym_qualified_type] = STATE(1028),
    [sym_interpreted_string_literal] = STATE(311),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_expression_list] = STATE(795),
    [sym_parenthesized_type] = STATE(1244),
    [sym__simple_type] = STATE(1244),
    [sym_generic_type] = STATE(1099),
    [sym_pointer_type] = STATE(859),
    [sym_array_type] = STATE(1099),
    [sym_implicit_length_array_type] = STATE(1290),
    [sym_slice_type] = STATE(1099),
    [sym_struct_type] = STATE(1099),
    [sym_negated_type] = STATE(834),
    [sym_interface_type] = STATE(859),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(859),
    [sym_function_type] = STATE(859),
    [sym__simple_statement] = STATE(1336),
    [sym_expression_statement] = STATE(1293),
    [sym_send_statement] = STATE(1293),
    [sym_inc_statement] = STATE(1293),
    [sym_dec_statement] = STATE(1293),
    [sym_assignment_statement] = STATE(1293),
    [sym_short_var_declaration] = STATE(1293),
    [sym__expression] = STATE(277),
    [sym_parenthesized_expression] = STATE(311),
    [sym_call_expression] = STATE(311),
    [sym_selector_expression] = STATE(311),
    [sym_index_expression] = STATE(311),
    [sym_slice_expression] = STATE(311),
    [sym_type_assertion_expression] = STATE(311),
    [sym_type_conversion_expression] = STATE(311),
    [sym_type_instantiation_expression] = STATE(311),
    [sym_composite_literal] = STATE(311),
    [sym_func_literal] = STATE(311),
    [sym_unary_expression] = STATE(311),
    [sym_binary_expression] = STATE(311),
    [sym_qualified_type] = STATE(1028),
    [sym_interpreted_string_literal] = STATE(311),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 27,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LF,
    ACTIONS(271), 1,
      anon_sym_LPAREN,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(275), 1,
      anon_sym_LBRACK,
    ACTIONS(277), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(281), 1,
      anon_sym_LT_DASH,
    ACTIONS(289), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      sym_comment,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(972), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(269), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(285), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 9,
      sym_raw_string_literal,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [119] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(297), 1,
      anon_sym_COMMA,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_RBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1049), 1,
      sym_literal_element,
    STATE(1206), 1,
      sym_keyed_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [245] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(319), 1,
      anon_sym_COMMA,
    ACTIONS(321), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1069), 1,
      sym_literal_element,
    STATE(1188), 1,
      sym_keyed_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [371] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(323), 1,
      anon_sym_COMMA,
    ACTIONS(325), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1075), 1,
      sym_literal_element,
    STATE(1187), 1,
      sym_keyed_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [497] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_COMMA,
    ACTIONS(329), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1048), 1,
      sym_literal_element,
    STATE(1230), 1,
      sym_keyed_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [623] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_COMMA,
    ACTIONS(333), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1045), 1,
      sym_literal_element,
    STATE(1223), 1,
      sym_keyed_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [749] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(335), 1,
      anon_sym_COMMA,
    ACTIONS(337), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1121), 1,
      sym_literal_element,
    STATE(1145), 1,
      sym_keyed_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [875] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(339), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [998] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(341), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1121] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(343), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1244] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1367] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(347), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1490] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1613] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1736] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(353), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1859] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1982] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2105] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(359), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2228] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(361), 1,
      anon_sym_RBRACE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2351] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1218), 1,
      sym_literal_element,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1241), 1,
      sym_keyed_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2471] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(444), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1014), 1,
      sym_qualified_type,
    STATE(1254), 1,
      sym_expression_list,
    STATE(1273), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1373), 2,
      sym_send_statement,
      sym_receive_statement,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1043), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(527), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2586] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(583), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1235), 1,
      sym_literal_value,
    STATE(1243), 1,
      sym_literal_element,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2703] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_STAR,
    ACTIONS(387), 1,
      anon_sym_COLON,
    STATE(604), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1228), 1,
      sym_type_elem,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(927), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2817] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(391), 1,
      anon_sym_RPAREN,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(518), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1229), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2931] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_STAR,
    ACTIONS(399), 1,
      anon_sym_RBRACK,
    STATE(645), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1205), 1,
      sym_type_elem,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(927), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3045] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_STAR,
    ACTIONS(401), 1,
      anon_sym_COLON,
    STATE(630), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1228), 1,
      sym_type_elem,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(927), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3159] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(403), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3273] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(405), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3387] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      anon_sym_range,
    STATE(508), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1274), 1,
      sym_expression_list,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3501] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(409), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3615] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      anon_sym_range,
    STATE(508), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1275), 1,
      sym_expression_list,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3729] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(411), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3843] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_STAR,
    ACTIONS(413), 1,
      anon_sym_COLON,
    STATE(601), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1228), 1,
      sym_type_elem,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(927), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3957] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(415), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4071] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(417), 1,
      anon_sym_RPAREN,
    STATE(520), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1192), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4185] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(419), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4299] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(425), 1,
      anon_sym_LBRACE,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(519), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    STATE(1367), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4413] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(431), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4527] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(433), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4641] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(435), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4755] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(437), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4869] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(439), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4983] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(441), 1,
      anon_sym_RPAREN,
    STATE(514), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1209), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5097] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(443), 1,
      anon_sym_RPAREN,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5211] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(445), 1,
      anon_sym_RBRACK,
    ACTIONS(447), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(637), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5325] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_RBRACK,
    ACTIONS(449), 1,
      sym_identifier,
    STATE(645), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1194), 1,
      sym_type_parameter_declaration,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5439] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_STAR,
    ACTIONS(451), 1,
      anon_sym_COLON,
    STATE(615), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1228), 1,
      sym_type_elem,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(927), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5553] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_STAR,
    ACTIONS(453), 1,
      anon_sym_COLON,
    STATE(597), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1228), 1,
      sym_type_elem,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(927), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5667] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_STAR,
    ACTIONS(455), 1,
      anon_sym_RBRACK,
    STATE(669), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1228), 1,
      sym_type_elem,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(927), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5781] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_STAR,
    ACTIONS(457), 1,
      anon_sym_COLON,
    STATE(628), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1228), 1,
      sym_type_elem,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(927), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5895] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(459), 1,
      anon_sym_RPAREN,
    STATE(506), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1126), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6009] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(461), 1,
      anon_sym_RPAREN,
    STATE(504), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1217), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6123] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(463), 1,
      anon_sym_RPAREN,
    STATE(509), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1184), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6237] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(508), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1274), 1,
      sym_expression_list,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6348] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(455), 1,
      anon_sym_RBRACK,
    STATE(669), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6459] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(465), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6570] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(553), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1275), 1,
      sym_expression_list,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6681] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(553), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1274), 1,
      sym_expression_list,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6792] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(565), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1248), 1,
      sym_variadic_argument,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6903] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(467), 1,
      anon_sym_RBRACK,
    STATE(648), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      anon_sym_RBRACK,
    STATE(624), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7125] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(471), 1,
      anon_sym_RBRACK,
    STATE(647), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7236] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(445), 1,
      anon_sym_RBRACK,
    STATE(637), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7347] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(473), 1,
      anon_sym_RBRACK,
    STATE(623), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7458] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(475), 1,
      anon_sym_RBRACK,
    STATE(613), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7569] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(477), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7680] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7791] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1005), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7902] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      anon_sym_RBRACK,
    STATE(608), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8013] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(495), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8124] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(497), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8235] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      anon_sym_RBRACK,
    STATE(596), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8346] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(501), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8457] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(503), 1,
      anon_sym_RBRACK,
    STATE(603), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8568] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(508), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    STATE(1364), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8679] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(549), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1274), 1,
      sym_expression_list,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8790] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      anon_sym_SEMI,
    STATE(667), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8901] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(992), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9012] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(507), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9123] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(509), 1,
      anon_sym_RBRACK,
    STATE(625), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9234] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(511), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9345] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      anon_sym_RBRACK,
    STATE(680), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9456] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      anon_sym_RBRACK,
    STATE(599), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9567] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(508), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1275), 1,
      sym_expression_list,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9678] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(517), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9789] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(519), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9900] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(521), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10011] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(523), 1,
      anon_sym_RBRACK,
    STATE(609), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10122] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(957), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10233] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(959), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10344] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_RBRACK,
    STATE(645), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(525), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10566] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(527), 1,
      anon_sym_RBRACK,
    STATE(618), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10677] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(961), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10788] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(529), 1,
      anon_sym_RBRACK,
    STATE(614), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10899] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(951), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11010] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(531), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11121] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(963), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11232] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(948), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11343] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(533), 1,
      anon_sym_RPAREN,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11454] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(941), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11565] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(396), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(937), 1,
      sym_expression_list,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11676] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(671), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11784] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(627), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11892] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(640), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12000] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(662), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12108] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(629), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12216] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(535), 1,
      anon_sym_chan,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12324] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(537), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LPAREN,
    ACTIONS(541), 1,
      anon_sym_func,
    ACTIONS(543), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(337), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1041), 1,
      sym_qualified_type,
    STATE(1240), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1050), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12432] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12540] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(244), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1034), 1,
      sym_qualified_type,
    STATE(1259), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1119), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(263), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12648] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(245), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1034), 1,
      sym_qualified_type,
    STATE(1259), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1119), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(263), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12756] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(442), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12864] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(537), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LPAREN,
    ACTIONS(541), 1,
      anon_sym_func,
    ACTIONS(543), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(338), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1041), 1,
      sym_qualified_type,
    STATE(1240), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1050), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12972] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(634), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1161), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13080] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(240), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1034), 1,
      sym_qualified_type,
    STATE(1259), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1119), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(263), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13188] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(243), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1034), 1,
      sym_qualified_type,
    STATE(1259), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1119), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(263), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13296] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(242), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1034), 1,
      sym_qualified_type,
    STATE(1259), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1119), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(263), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13404] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(663), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13512] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(612), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13620] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(598), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13728] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(246), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1034), 1,
      sym_qualified_type,
    STATE(1259), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1119), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(263), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13836] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(535), 1,
      anon_sym_chan,
    ACTIONS(537), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LPAREN,
    ACTIONS(541), 1,
      anon_sym_func,
    ACTIONS(543), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(338), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1041), 1,
      sym_qualified_type,
    STATE(1240), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1050), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13944] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14052] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(537), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LPAREN,
    ACTIONS(541), 1,
      anon_sym_func,
    ACTIONS(543), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(338), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1041), 1,
      sym_qualified_type,
    STATE(1240), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1050), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14160] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(431), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14268] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(649), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1161), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14376] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(535), 1,
      anon_sym_chan,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(246), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1034), 1,
      sym_qualified_type,
    STATE(1259), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1119), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(263), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14484] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14592] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    ACTIONS(535), 1,
      anon_sym_chan,
    STATE(458), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1014), 1,
      sym_qualified_type,
    STATE(1273), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1043), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(527), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14700] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_STAR,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14808] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(651), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14916] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(458), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1014), 1,
      sym_qualified_type,
    STATE(1273), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1043), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(527), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15024] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(673), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1161), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15132] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(665), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15240] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(652), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15348] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(441), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15456] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(657), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15564] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(446), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15672] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(293), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1028), 1,
      sym_qualified_type,
    STATE(1290), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1099), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(311), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15780] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(633), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15888] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(246), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1034), 1,
      sym_qualified_type,
    STATE(1259), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1256), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1119), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(263), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15996] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(535), 1,
      anon_sym_chan,
    STATE(431), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16104] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(499), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16212] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(631), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16320] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(668), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16428] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(690), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16536] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(291), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1028), 1,
      sym_qualified_type,
    STATE(1290), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1099), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(311), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16644] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16752] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(295), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1028), 1,
      sym_qualified_type,
    STATE(1290), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1099), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(311), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16860] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(293), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1028), 1,
      sym_qualified_type,
    STATE(1290), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1099), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(311), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16968] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(384), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17076] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(436), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17184] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(582), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17292] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(435), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17400] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(439), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17508] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(433), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17616] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(428), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17724] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    ACTIONS(535), 1,
      anon_sym_chan,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17832] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(290), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1028), 1,
      sym_qualified_type,
    STATE(1290), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1099), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(311), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17940] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(288), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1028), 1,
      sym_qualified_type,
    STATE(1290), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1099), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(311), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18048] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1028), 1,
      sym_qualified_type,
    STATE(1290), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1099), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(311), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18156] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18264] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(616), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18372] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18480] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(679), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18588] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(646), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1161), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18696] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(464), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1014), 1,
      sym_qualified_type,
    STATE(1273), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1043), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(527), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18804] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(535), 1,
      anon_sym_chan,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18912] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(384), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19020] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(481), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LT_DASH,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(431), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1027), 1,
      sym_qualified_type,
    STATE(1307), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(489), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(487), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1089), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(463), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19128] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(581), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19236] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(580), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19344] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(537), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LPAREN,
    ACTIONS(541), 1,
      anon_sym_func,
    ACTIONS(543), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(336), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1041), 1,
      sym_qualified_type,
    STATE(1240), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1050), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19452] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(537), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LPAREN,
    ACTIONS(541), 1,
      anon_sym_func,
    ACTIONS(543), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(340), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1041), 1,
      sym_qualified_type,
    STATE(1240), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1050), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19560] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(579), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19668] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    ACTIONS(535), 1,
      anon_sym_chan,
    STATE(293), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1028), 1,
      sym_qualified_type,
    STATE(1290), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1099), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(311), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19776] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(467), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1014), 1,
      sym_qualified_type,
    STATE(1273), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1043), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(527), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19884] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(537), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LPAREN,
    ACTIONS(541), 1,
      anon_sym_func,
    ACTIONS(543), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(341), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1041), 1,
      sym_qualified_type,
    STATE(1240), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1050), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19992] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(537), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LPAREN,
    ACTIONS(541), 1,
      anon_sym_func,
    ACTIONS(543), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(335), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1041), 1,
      sym_qualified_type,
    STATE(1240), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1050), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20100] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(537), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_LPAREN,
    ACTIONS(541), 1,
      anon_sym_func,
    ACTIONS(543), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(339), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1041), 1,
      sym_qualified_type,
    STATE(1240), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1239), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1050), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(349), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20208] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(476), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1014), 1,
      sym_qualified_type,
    STATE(1273), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1043), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(527), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20316] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(477), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1014), 1,
      sym_qualified_type,
    STATE(1273), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1043), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(527), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20424] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(461), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1014), 1,
      sym_qualified_type,
    STATE(1273), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1043), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(527), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20532] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(619), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20640] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(591), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20748] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(587), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20856] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(602), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20964] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(537), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21072] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(650), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1161), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21180] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(534), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21288] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(533), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21396] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(458), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(1014), 1,
      sym_qualified_type,
    STATE(1273), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1238), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1043), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(527), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21504] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(666), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21612] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(658), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21720] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(670), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1161), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21828] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21936] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(429), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22044] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      sym_identifier,
    ACTIONS(393), 1,
      anon_sym_STAR,
    ACTIONS(395), 1,
      anon_sym_LT_DASH,
    STATE(589), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(397), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22152] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(384), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22260] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(421), 1,
      sym_identifier,
    ACTIONS(423), 1,
      anon_sym_STAR,
    ACTIONS(427), 1,
      anon_sym_LT_DASH,
    STATE(532), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(429), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22368] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(437), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22476] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(642), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22584] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(434), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22692] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(440), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22800] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(641), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22908] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(383), 1,
      sym__expression,
    STATE(834), 1,
      sym_negated_type,
    STATE(869), 1,
      sym_qualified_type,
    STATE(1301), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(967), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(859), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(887), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(394), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [23016] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(566), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(574), 1,
      anon_sym_LBRACK,
    ACTIONS(580), 1,
      anon_sym_STAR,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    STATE(402), 1,
      sym_literal_value,
    STATE(531), 1,
      aux_sym_type_parameter_declaration_repeat1,
    STATE(860), 1,
      sym_type_arguments,
    STATE(1305), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(583), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(578), 14,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23116] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      anon_sym_COLON,
    STATE(268), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(583), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23187] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACE,
    ACTIONS(605), 1,
      anon_sym_COLON,
    STATE(268), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(583), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23258] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LF,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(615), 1,
      anon_sym_COMMA,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LT_DASH,
    ACTIONS(627), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(629), 1,
      anon_sym_DASH_DASH,
    ACTIONS(633), 1,
      anon_sym_AMP_AMP,
    ACTIONS(635), 1,
      anon_sym_PIPE_PIPE,
    STATE(285), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_expression_list_repeat1,
    STATE(1308), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(609), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(617), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [23346] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(583), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23414] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(285), 1,
      sym_argument_list,
    STATE(1308), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 30,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(641), 30,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      sym_identifier,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23538] = 12,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      anon_sym_AMP_AMP,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(285), 1,
      sym_argument_list,
    STATE(1308), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 23,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
  [23611] = 11,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(285), 1,
      sym_argument_list,
    STATE(1308), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 24,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23682] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(285), 1,
      sym_argument_list,
    STATE(1308), 1,
      sym_type_arguments,
    ACTIONS(639), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23747] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_LF,
    STATE(285), 1,
      sym_argument_list,
    STATE(1308), 1,
      sym_type_arguments,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 34,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23814] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_LF,
    STATE(285), 1,
      sym_argument_list,
    STATE(1308), 1,
      sym_type_arguments,
    ACTIONS(645), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23879] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LF,
    ACTIONS(649), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23933] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(651), 1,
      anon_sym_LPAREN,
    STATE(285), 1,
      sym_special_argument_list,
    ACTIONS(583), 43,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23991] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(653), 1,
      anon_sym_LF,
    ACTIONS(655), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24045] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(657), 1,
      anon_sym_LF,
    ACTIONS(659), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24099] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LF,
    ACTIONS(663), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24153] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(665), 1,
      anon_sym_LF,
    ACTIONS(667), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24206] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LF,
    ACTIONS(671), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24259] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(673), 1,
      anon_sym_LF,
    ACTIONS(675), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24312] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(677), 1,
      anon_sym_LF,
    ACTIONS(679), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24365] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LF,
    ACTIONS(683), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24418] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LF,
    ACTIONS(687), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24471] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_LF,
    ACTIONS(691), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24524] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(693), 1,
      anon_sym_LF,
    ACTIONS(695), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24577] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_LF,
    ACTIONS(699), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24630] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LF,
    ACTIONS(703), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24683] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(705), 1,
      anon_sym_LF,
    ACTIONS(707), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24736] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(583), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24789] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_LF,
    ACTIONS(711), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24842] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LF,
    ACTIONS(715), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24895] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_LF,
    ACTIONS(719), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24948] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(721), 1,
      anon_sym_LF,
    ACTIONS(723), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25001] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(725), 1,
      anon_sym_LF,
    ACTIONS(727), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25054] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LF,
    ACTIONS(731), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25107] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LF,
    ACTIONS(735), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25160] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LF,
    ACTIONS(739), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25213] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LF,
    ACTIONS(743), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25266] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LF,
    ACTIONS(747), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25319] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LF,
    ACTIONS(751), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25372] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LF,
    ACTIONS(755), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25425] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_LF,
    ACTIONS(759), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25478] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(761), 1,
      anon_sym_DOT,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_COMMA,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LT_DASH,
    ACTIONS(777), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(779), 1,
      anon_sym_DASH_DASH,
    ACTIONS(785), 1,
      anon_sym_AMP_AMP,
    ACTIONS(787), 1,
      anon_sym_PIPE_PIPE,
    STATE(313), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_expression_list_repeat1,
    STATE(904), 1,
      sym_block,
    STATE(1304), 1,
      sym_type_arguments,
    ACTIONS(783), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(781), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(769), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(775), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25569] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(789), 1,
      anon_sym_LF,
    ACTIONS(791), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25622] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(761), 1,
      anon_sym_DOT,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_COMMA,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LT_DASH,
    ACTIONS(777), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(779), 1,
      anon_sym_DASH_DASH,
    ACTIONS(785), 1,
      anon_sym_AMP_AMP,
    ACTIONS(787), 1,
      anon_sym_PIPE_PIPE,
    STATE(313), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_expression_list_repeat1,
    STATE(977), 1,
      sym_block,
    STATE(1304), 1,
      sym_type_arguments,
    ACTIONS(783), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(781), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(769), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(775), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25713] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_LF,
    ACTIONS(795), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25766] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(797), 1,
      anon_sym_LF,
    ACTIONS(799), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25819] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LF,
    ACTIONS(803), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25872] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_LF,
    ACTIONS(807), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25925] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_LF,
    ACTIONS(811), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25978] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_LF,
    ACTIONS(815), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26031] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(817), 1,
      anon_sym_LF,
    ACTIONS(819), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26084] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_COMMA,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LT_DASH,
    ACTIONS(777), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(779), 1,
      anon_sym_DASH_DASH,
    ACTIONS(785), 1,
      anon_sym_AMP_AMP,
    ACTIONS(787), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(821), 1,
      anon_sym_DOT,
    ACTIONS(823), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_expression_list_repeat1,
    STATE(1304), 1,
      sym_type_arguments,
    ACTIONS(783), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(781), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(769), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(775), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [26172] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(761), 1,
      anon_sym_DOT,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    STATE(313), 1,
      sym_argument_list,
    STATE(1304), 1,
      sym_type_arguments,
    ACTIONS(783), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(781), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(769), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26241] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LBRACE,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(761), 1,
      anon_sym_DOT,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_COMMA,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    ACTIONS(777), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(779), 1,
      anon_sym_DASH_DASH,
    ACTIONS(785), 1,
      anon_sym_AMP_AMP,
    ACTIONS(787), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(825), 1,
      anon_sym_LT_DASH,
    STATE(313), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_expression_list_repeat1,
    STATE(1304), 1,
      sym_type_arguments,
    ACTIONS(783), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(781), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(769), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(775), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [26326] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_DOT,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    STATE(313), 1,
      sym_argument_list,
    STATE(1304), 1,
      sym_type_arguments,
    ACTIONS(639), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(769), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_DOT,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    STATE(313), 1,
      sym_argument_list,
    STATE(1304), 1,
      sym_type_arguments,
    ACTIONS(639), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26452] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(761), 1,
      anon_sym_DOT,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    ACTIONS(785), 1,
      anon_sym_AMP_AMP,
    STATE(313), 1,
      sym_argument_list,
    STATE(1304), 1,
      sym_type_arguments,
    ACTIONS(783), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(771), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(781), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(769), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [26523] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_DOT,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    STATE(313), 1,
      sym_argument_list,
    STATE(1304), 1,
      sym_type_arguments,
    ACTIONS(645), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26584] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    STATE(314), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26645] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_DOT,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    STATE(313), 1,
      sym_argument_list,
    STATE(1304), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(769), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LPAREN,
    STATE(313), 1,
      sym_special_argument_list,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(653), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(753), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(709), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(717), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(713), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28575] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    ACTIONS(836), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28634] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(842), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(850), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(846), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(848), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(844), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 15,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28698] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(842), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(639), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28754] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(842), 1,
      anon_sym_LBRACK,
    ACTIONS(854), 1,
      anon_sym_EQ,
    ACTIONS(856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(858), 1,
      anon_sym_PIPE_PIPE,
    STATE(352), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(850), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(846), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(848), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(844), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(852), 13,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [28822] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(842), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(645), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28878] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_EQ,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(842), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_AMP_AMP,
    STATE(352), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(850), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(846), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(848), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(844), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 14,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [28944] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(842), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(844), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29002] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_DOT,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    ACTIONS(842), 1,
      anon_sym_LBRACK,
    STATE(352), 1,
      sym_argument_list,
    STATE(1247), 1,
      sym_type_arguments,
    ACTIONS(639), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(846), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(844), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    STATE(352), 1,
      sym_special_argument_list,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 21,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(653), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(709), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(717), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(753), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(713), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30739] = 24,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(864), 1,
      anon_sym_LF,
    ACTIONS(868), 1,
      anon_sym_DOT,
    ACTIONS(870), 1,
      anon_sym_LPAREN,
    ACTIONS(872), 1,
      anon_sym_COMMA,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(892), 1,
      sym_raw_string_literal,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    STATE(611), 1,
      aux_sym_field_declaration_repeat1,
    STATE(802), 1,
      sym_type_arguments,
    STATE(1095), 1,
      sym_interpreted_string_literal,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(892), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(866), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [30824] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(898), 1,
      anon_sym_LF,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(906), 1,
      anon_sym_LBRACK,
    ACTIONS(908), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(914), 1,
      anon_sym_LT_DASH,
    STATE(788), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(820), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(900), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [30895] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(898), 1,
      anon_sym_LF,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(820), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(900), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [30966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(645), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31018] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31070] = 20,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(924), 1,
      anon_sym_LF,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_COMMA,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(934), 1,
      anon_sym_LBRACK,
    ACTIONS(936), 1,
      anon_sym_STAR,
    ACTIONS(938), 1,
      anon_sym_LT_DASH,
    STATE(773), 1,
      aux_sym_const_spec_repeat1,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1368), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(926), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31145] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    STATE(402), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(827), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31198] = 20,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(928), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_COMMA,
    ACTIONS(934), 1,
      anon_sym_LBRACK,
    ACTIONS(936), 1,
      anon_sym_STAR,
    ACTIONS(938), 1,
      anon_sym_LT_DASH,
    ACTIONS(940), 1,
      anon_sym_LF,
    ACTIONS(944), 1,
      anon_sym_EQ,
    STATE(385), 1,
      aux_sym_const_spec_repeat1,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1320), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(942), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(946), 1,
      anon_sym_LPAREN,
    STATE(401), 1,
      sym_special_argument_list,
    ACTIONS(583), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 23,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31398] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(583), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31610] = 15,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym_LF,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(954), 1,
      anon_sym_COMMA,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(966), 1,
      anon_sym_PIPE_PIPE,
    STATE(460), 1,
      sym_argument_list,
    STATE(874), 1,
      aux_sym_expression_list_repeat1,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(960), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(617), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(962), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(958), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [31674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(653), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(753), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(709), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(717), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(713), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32914] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(639), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32963] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
  [33026] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(855), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(898), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33091] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_LF,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(645), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33140] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_LF,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(966), 1,
      anon_sym_PIPE_PIPE,
    STATE(460), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(960), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(854), 6,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(962), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(958), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33199] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(958), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 18,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33250] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33303] = 11,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(960), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(962), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(958), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 8,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33358] = 12,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(964), 1,
      anon_sym_AMP_AMP,
    STATE(460), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(960), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(962), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(639), 7,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
    ACTIONS(958), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33415] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33476] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(855), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(898), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33541] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LF,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(960), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(958), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(639), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33594] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(639), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33651] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(966), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1000), 1,
      anon_sym_LF,
    STATE(460), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(960), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1002), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(962), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(958), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33709] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(966), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1004), 1,
      anon_sym_LF,
    STATE(460), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(960), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1006), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(962), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(958), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33767] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1014), 1,
      anon_sym_LPAREN,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_STAR,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1024), 1,
      anon_sym_TILDE,
    ACTIONS(1026), 1,
      anon_sym_LBRACE,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1034), 1,
      anon_sym_LT_DASH,
    STATE(1068), 1,
      sym_block,
    ACTIONS(1008), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1012), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1002), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33837] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(773), 1,
      anon_sym_LT_DASH,
    ACTIONS(775), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1036), 1,
      anon_sym_DOT,
    ACTIONS(1038), 1,
      anon_sym_LPAREN,
    ACTIONS(1040), 1,
      anon_sym_COMMA,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    ACTIONS(1046), 1,
      anon_sym_PIPE,
    ACTIONS(1048), 1,
      anon_sym_COLON,
    ACTIONS(1058), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1060), 1,
      anon_sym_PIPE_PIPE,
    STATE(524), 1,
      sym_argument_list,
    STATE(933), 1,
      aux_sym_expression_list_repeat1,
    STATE(1287), 1,
      sym_type_arguments,
    ACTIONS(1052), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1056), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1050), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1054), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1044), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33909] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1062), 1,
      anon_sym_LBRACE,
    STATE(409), 1,
      sym_block,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(883), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(898), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33977] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(950), 1,
      anon_sym_DOT,
    ACTIONS(952), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(964), 1,
      anon_sym_AMP_AMP,
    ACTIONS(966), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1064), 1,
      anon_sym_LF,
    STATE(460), 1,
      sym_argument_list,
    STATE(1261), 1,
      sym_type_arguments,
    ACTIONS(960), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1066), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(962), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(958), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34035] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_LBRACE,
    STATE(560), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34085] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(1070), 1,
      anon_sym_LPAREN,
    STATE(460), 1,
      sym_special_argument_list,
    ACTIONS(583), 27,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34127] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1014), 1,
      anon_sym_LPAREN,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_STAR,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1024), 1,
      anon_sym_TILDE,
    ACTIONS(1026), 1,
      anon_sym_LBRACE,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1034), 1,
      anon_sym_LT_DASH,
    STATE(1084), 1,
      sym_block,
    ACTIONS(1072), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1074), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(989), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34197] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1014), 1,
      anon_sym_LPAREN,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_STAR,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1024), 1,
      anon_sym_TILDE,
    ACTIONS(1026), 1,
      anon_sym_LBRACE,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1034), 1,
      anon_sym_LT_DASH,
    STATE(1087), 1,
      sym_block,
    ACTIONS(1076), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1078), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(985), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34267] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1080), 1,
      anon_sym_DOT,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_RPAREN,
    ACTIONS(1086), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LBRACK,
    ACTIONS(1091), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(607), 1,
      aux_sym_type_parameter_declaration_repeat1,
    STATE(860), 1,
      sym_type_arguments,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1288), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34341] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LF,
    ACTIONS(683), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34378] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LF,
    ACTIONS(735), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34415] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1095), 1,
      anon_sym_RPAREN,
    ACTIONS(1097), 1,
      anon_sym_COMMA,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1191), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34484] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_LF,
    ACTIONS(795), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34521] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1014), 1,
      anon_sym_LPAREN,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1018), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_STAR,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1024), 1,
      anon_sym_TILDE,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1034), 1,
      anon_sym_LT_DASH,
    ACTIONS(898), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(900), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34586] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1101), 1,
      anon_sym_RPAREN,
    ACTIONS(1103), 1,
      anon_sym_COMMA,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1200), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34655] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_DOT,
    ACTIONS(1038), 1,
      anon_sym_LPAREN,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    STATE(524), 1,
      sym_argument_list,
    STATE(1287), 1,
      sym_type_arguments,
    ACTIONS(645), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34702] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(725), 1,
      anon_sym_LF,
    ACTIONS(727), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34739] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_LF,
    ACTIONS(815), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_DOT,
    ACTIONS(1038), 1,
      anon_sym_LPAREN,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    STATE(524), 1,
      sym_argument_list,
    STATE(1287), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34823] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(709), 1,
      anon_sym_LF,
    ACTIONS(711), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34860] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(583), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34897] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_DOT,
    ACTIONS(1038), 1,
      anon_sym_LPAREN,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    ACTIONS(1046), 1,
      anon_sym_PIPE,
    ACTIONS(1058), 1,
      anon_sym_AMP_AMP,
    STATE(524), 1,
      sym_argument_list,
    STATE(1287), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1052), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1056), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1050), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(637), 4,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1054), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1044), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34958] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_LF,
    ACTIONS(691), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34995] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(693), 1,
      anon_sym_LF,
    ACTIONS(695), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35032] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_DOT,
    ACTIONS(1038), 1,
      anon_sym_LPAREN,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    ACTIONS(1046), 1,
      anon_sym_PIPE,
    STATE(524), 1,
      sym_argument_list,
    STATE(1287), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1052), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1056), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1050), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1054), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(637), 5,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1044), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35091] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_LF,
    ACTIONS(719), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35128] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(705), 1,
      anon_sym_LF,
    ACTIONS(707), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35165] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1014), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1024), 1,
      anon_sym_TILDE,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1109), 1,
      anon_sym_LBRACK,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1117), 1,
      anon_sym_LT_DASH,
    ACTIONS(898), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(900), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35230] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(665), 1,
      anon_sym_LF,
    ACTIONS(667), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35267] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LF,
    ACTIONS(751), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35304] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LF,
    ACTIONS(715), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35341] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LF,
    ACTIONS(687), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35378] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LF,
    ACTIONS(739), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35415] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_DOT,
    ACTIONS(1038), 1,
      anon_sym_LPAREN,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    ACTIONS(1046), 1,
      anon_sym_PIPE,
    STATE(524), 1,
      sym_argument_list,
    STATE(1287), 1,
      sym_type_arguments,
    ACTIONS(1052), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1050), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(639), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1044), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 9,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35470] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_DOT,
    ACTIONS(1038), 1,
      anon_sym_LPAREN,
    ACTIONS(1042), 1,
      anon_sym_LBRACK,
    STATE(524), 1,
      sym_argument_list,
    STATE(1287), 1,
      sym_type_arguments,
    ACTIONS(1052), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1044), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 12,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35521] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(789), 1,
      anon_sym_LF,
    ACTIONS(791), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35558] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LF,
    ACTIONS(803), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35595] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_LF,
    ACTIONS(759), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35632] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_LF,
    ACTIONS(699), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35669] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LF,
    ACTIONS(743), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35706] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(817), 1,
      anon_sym_LF,
    ACTIONS(819), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35743] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_LF,
    ACTIONS(807), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35780] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(797), 1,
      anon_sym_LF,
    ACTIONS(799), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35817] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LF,
    ACTIONS(755), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35854] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(721), 1,
      anon_sym_LF,
    ACTIONS(723), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35891] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(673), 1,
      anon_sym_LF,
    ACTIONS(675), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35928] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1119), 1,
      anon_sym_RPAREN,
    ACTIONS(1121), 1,
      anon_sym_COMMA,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1154), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35997] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(1072), 1,
      anon_sym_LF,
    ACTIONS(1123), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_block,
    ACTIONS(1074), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1038), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36066] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(1076), 1,
      anon_sym_LF,
    ACTIONS(1123), 1,
      anon_sym_LBRACE,
    STATE(1155), 1,
      sym_block,
    ACTIONS(1078), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1033), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36135] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LF,
    ACTIONS(747), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36172] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LF,
    ACTIONS(671), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36209] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LF,
    ACTIONS(703), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36246] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(677), 1,
      anon_sym_LF,
    ACTIONS(679), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36283] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(653), 1,
      anon_sym_LF,
    ACTIONS(655), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36320] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LF,
    ACTIONS(731), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36357] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_LF,
    ACTIONS(811), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36394] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(854), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(852), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36457] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LF,
    ACTIONS(649), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36494] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(1008), 1,
      anon_sym_LF,
    ACTIONS(1123), 1,
      anon_sym_LBRACE,
    STATE(1159), 1,
      sym_block,
    ACTIONS(1012), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1030), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36563] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(657), 1,
      anon_sym_LF,
    ACTIONS(659), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36600] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LF,
    ACTIONS(663), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36637] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1127), 1,
      anon_sym_RPAREN,
    ACTIONS(1129), 1,
      anon_sym_COMMA,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1128), 1,
      aux_sym_argument_list_repeat1,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36703] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1149), 1,
      anon_sym_RPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1296), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36769] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1151), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1212), 1,
      aux_sym_argument_list_repeat1,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36835] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1155), 1,
      anon_sym_RPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1296), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36901] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1040), 1,
      anon_sym_COMMA,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(933), 1,
      aux_sym_expression_list_repeat1,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(775), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36965] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1157), 1,
      anon_sym_RPAREN,
    ACTIONS(1159), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1174), 1,
      aux_sym_argument_list_repeat1,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37031] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(1161), 1,
      anon_sym_LF,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1076), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(1163), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37095] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1165), 1,
      anon_sym_RPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1296), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37161] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1167), 1,
      anon_sym_RPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1296), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1169), 1,
      anon_sym_RPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1296), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37293] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1171), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1146), 1,
      aux_sym_argument_list_repeat1,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37359] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    STATE(402), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(583), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37407] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1175), 1,
      anon_sym_RPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1296), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37473] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_PIPE,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    ACTIONS(1084), 1,
      anon_sym_COMMA,
    STATE(402), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(827), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    ACTIONS(583), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 15,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37525] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1177), 1,
      anon_sym_RPAREN,
    ACTIONS(1179), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1211), 1,
      aux_sym_argument_list_repeat1,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37591] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym_COLON_EQ,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_COMMA,
    ACTIONS(1181), 1,
      anon_sym_DOT,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    ACTIONS(1197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1199), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(933), 1,
      aux_sym_expression_list_repeat1,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1193), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37657] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    ACTIONS(1203), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1204), 1,
      aux_sym_argument_list_repeat1,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LPAREN,
    STATE(524), 1,
      sym_special_argument_list,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 19,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37798] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1209), 1,
      anon_sym_COMMA,
    ACTIONS(1211), 1,
      anon_sym_EQ,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    STATE(785), 1,
      aux_sym_const_spec_repeat1,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(896), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(653), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37933] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(830), 1,
      anon_sym_LBRACK,
    STATE(402), 1,
      sym_literal_value,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(583), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38013] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1223), 1,
      anon_sym_RBRACE,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1032), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38076] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1209), 1,
      anon_sym_COMMA,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1225), 1,
      anon_sym_EQ,
    STATE(523), 1,
      aux_sym_const_spec_repeat1,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(891), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38141] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1227), 1,
      anon_sym_RBRACE,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1026), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38204] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      aux_sym_type_parameter_declaration_repeat1,
    STATE(1253), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38269] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    ACTIONS(1197), 1,
      anon_sym_AMP_AMP,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(637), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1193), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38326] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1193), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(637), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38381] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1189), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38434] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(531), 1,
      aux_sym_type_parameter_declaration_repeat1,
    STATE(1305), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38534] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38583] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1229), 1,
      anon_sym_RBRACE,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1073), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38646] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_RBRACE,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1073), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(709), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38849] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1233), 1,
      anon_sym_RBRACE,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1073), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38912] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1235), 1,
      anon_sym_RBRACE,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1073), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(717), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39080] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym_SEMI,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1040), 1,
      anon_sym_COMMA,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 1,
      anon_sym_DOT,
    STATE(401), 1,
      sym_argument_list,
    STATE(933), 1,
      aux_sym_expression_list_repeat1,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(749), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39248] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    ACTIONS(1197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1239), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1197), 1,
      aux_sym_expression_list_repeat1,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1193), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(713), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39486] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1241), 1,
      anon_sym_RBRACE,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1073), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39689] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1073), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39752] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1245), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(753), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40093] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1296), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40296] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(637), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40353] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(637), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40408] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(639), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40461] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_DOT,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(639), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(637), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40510] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1247), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40569] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1221), 1,
      sym_identifier,
    ACTIONS(1249), 1,
      anon_sym_RBRACE,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1021), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40667] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1251), 1,
      anon_sym_RBRACK,
    STATE(1258), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1253), 1,
      anon_sym_RPAREN,
    ACTIONS(1255), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40789] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1257), 1,
      anon_sym_LBRACE,
    STATE(317), 1,
      sym_block,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1070), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40851] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1259), 1,
      anon_sym_RPAREN,
    ACTIONS(1261), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1221), 1,
      sym_identifier,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(978), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1073), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40971] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1263), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41031] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1267), 1,
      sym_identifier,
    STATE(267), 1,
      sym_block,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1060), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41093] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1269), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_LBRACK,
    STATE(763), 1,
      sym_type_parameter_list,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(987), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41155] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1273), 1,
      sym_identifier,
    STATE(267), 1,
      sym_block,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1060), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41217] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1275), 1,
      anon_sym_RBRACK,
    ACTIONS(1277), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41277] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1279), 1,
      anon_sym_RBRACK,
    ACTIONS(1281), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1283), 1,
      anon_sym_RBRACK,
    ACTIONS(1285), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1287), 1,
      anon_sym_RPAREN,
    ACTIONS(1289), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41457] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1291), 1,
      anon_sym_RBRACK,
    ACTIONS(1293), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41517] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1295), 1,
      anon_sym_LBRACE,
    STATE(541), 1,
      sym_block,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1074), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1297), 1,
      anon_sym_RBRACK,
    ACTIONS(1299), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41639] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    ACTIONS(1197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1199), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(852), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1193), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41697] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1301), 1,
      anon_sym_RBRACK,
    ACTIONS(1303), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41757] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1305), 1,
      anon_sym_RBRACK,
    ACTIONS(1307), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41817] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1309), 1,
      anon_sym_RBRACK,
    STATE(1258), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41879] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1311), 1,
      anon_sym_RBRACK,
    STATE(1258), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41941] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      aux_sym_type_parameter_declaration_repeat1,
    STATE(1289), 1,
      sym_parenthesized_type,
    STATE(1291), 1,
      sym__simple_type,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1313), 1,
      anon_sym_RBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1317), 1,
      anon_sym_RBRACK,
    ACTIONS(1319), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42125] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1321), 1,
      anon_sym_RBRACK,
    STATE(1258), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42187] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1323), 1,
      anon_sym_COMMA,
    STATE(793), 1,
      aux_sym_field_declaration_repeat1,
    STATE(895), 1,
      sym_parenthesized_type,
    STATE(898), 1,
      sym__simple_type,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42251] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(852), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42309] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1325), 1,
      anon_sym_RBRACK,
    ACTIONS(1327), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42369] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1329), 1,
      anon_sym_RBRACK,
    ACTIONS(1331), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1333), 1,
      anon_sym_RBRACK,
    ACTIONS(1335), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42489] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1004), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42547] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    STATE(357), 1,
      sym_block,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1047), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1339), 1,
      anon_sym_RBRACK,
    ACTIONS(1341), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1343), 1,
      anon_sym_RPAREN,
    ACTIONS(1345), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42729] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    STATE(267), 1,
      sym_block,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1060), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42791] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1347), 1,
      anon_sym_RBRACK,
    STATE(1258), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42853] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1349), 1,
      anon_sym_LBRACE,
    STATE(487), 1,
      sym_block,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1114), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42915] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1351), 1,
      anon_sym_RBRACK,
    ACTIONS(1353), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42975] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1355), 1,
      anon_sym_RBRACK,
    ACTIONS(1357), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1359), 1,
      anon_sym_RBRACK,
    ACTIONS(1361), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43095] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1363), 1,
      anon_sym_RBRACK,
    STATE(1258), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    ACTIONS(1197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1199), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(900), 1,
      sym_block,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1193), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43217] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_RBRACK,
    ACTIONS(1367), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43277] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1369), 1,
      anon_sym_RPAREN,
    ACTIONS(1371), 1,
      anon_sym_COMMA,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1373), 1,
      anon_sym_RBRACK,
    ACTIONS(1375), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43397] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1377), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43454] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1379), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43513] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1381), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43570] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1383), 1,
      anon_sym_RPAREN,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(1258), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43686] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(1150), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43745] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1385), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43802] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(1205), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(1228), 1,
      sym_type_elem,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1110), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43920] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1387), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43977] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1389), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44034] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1391), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44091] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44150] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44209] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44266] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1399), 1,
      anon_sym_RPAREN,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44323] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44380] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1403), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44437] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1405), 1,
      anon_sym_RPAREN,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44494] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1407), 1,
      anon_sym_RPAREN,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44551] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1409), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44608] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1411), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1413), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44724] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1415), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44783] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1417), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44842] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1419), 1,
      anon_sym_type,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1319), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44901] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1421), 1,
      anon_sym_COLON,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44958] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1423), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45015] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1425), 1,
      anon_sym_type,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1319), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45074] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1427), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1429), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45192] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1431), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45249] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    ACTIONS(1197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1433), 1,
      anon_sym_LBRACE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1193), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45306] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1435), 1,
      anon_sym_type,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1358), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45365] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    ACTIONS(1197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1437), 1,
      anon_sym_LBRACE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1193), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45422] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1439), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45479] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1441), 1,
      anon_sym_SEMI,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45536] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1004), 1,
      anon_sym_LBRACE,
    ACTIONS(1187), 1,
      anon_sym_PIPE,
    ACTIONS(1197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1199), 1,
      anon_sym_PIPE_PIPE,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1191), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1193), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1183), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45593] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1443), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45650] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1445), 1,
      anon_sym_RPAREN,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45707] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1447), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45764] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1449), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45823] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(1135), 1,
      anon_sym_PIPE,
    ACTIONS(1145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1451), 1,
      anon_sym_RPAREN,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(1139), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1137), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1141), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45880] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1453), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1455), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45998] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1457), 1,
      anon_sym_type,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1319), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46057] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1459), 1,
      anon_sym_SEMI,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46114] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1461), 1,
      anon_sym_RBRACK,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46173] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1463), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46230] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(968), 1,
      anon_sym_DOT,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1465), 1,
      anon_sym_RBRACK,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46287] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_LT_DASH,
    STATE(849), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46343] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1365), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46399] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_LBRACK,
    ACTIONS(1473), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1477), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46455] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_LBRACK,
    ACTIONS(1473), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1479), 1,
      anon_sym_chan,
    ACTIONS(1481), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(925), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46511] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1313), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46567] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1186), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46623] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1189), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46679] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1311), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46735] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(837), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46791] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(972), 1,
      anon_sym_PIPE,
    ACTIONS(982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1483), 1,
      anon_sym_DOT,
    STATE(401), 1,
      sym_argument_list,
    STATE(1279), 1,
      sym_type_arguments,
    ACTIONS(976), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(980), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(974), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(978), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(970), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46845] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_LT_DASH,
    STATE(841), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46901] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1346), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1485), 1,
      anon_sym_LT_DASH,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(849), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47013] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1372), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47069] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1226), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47125] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1215), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47181] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1487), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 1,
      anon_sym_STAR,
    ACTIONS(1491), 1,
      anon_sym_LT_DASH,
    STATE(788), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(814), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47237] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1391), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47293] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1358), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47349] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1013), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47405] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1493), 1,
      anon_sym_chan,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(864), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47461] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1190), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47517] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1185), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47573] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1329), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47629] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1378), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47685] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1134), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47741] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1497), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(913), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47797] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1151), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47853] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1148), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47909] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(852), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47965] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1370), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48021] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(857), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48077] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1361), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48133] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1497), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(918), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48189] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1497), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(921), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48245] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1319), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48301] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(861), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48357] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1233), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48413] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    ACTIONS(1501), 1,
      anon_sym_chan,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(823), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48469] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1503), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(806), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48525] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(852), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48581] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1210), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48637] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(535), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(864), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48693] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    ACTIONS(1485), 1,
      anon_sym_LT_DASH,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(841), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48749] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1497), 1,
      anon_sym_STAR,
    ACTIONS(1505), 1,
      anon_sym_LT_DASH,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(924), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48805] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_LBRACK,
    ACTIONS(1473), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(913), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48861] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1497), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    ACTIONS(1507), 1,
      anon_sym_chan,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(925), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48917] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1203), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48973] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(819), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49029] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(799), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49085] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1359), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49141] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(812), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49197] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1383), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49253] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(868), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49309] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1232), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49365] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1222), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49421] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1207), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49477] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1386), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49533] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1497), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(931), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49589] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1487), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      anon_sym_LT_DASH,
    STATE(788), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(807), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49645] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(817), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49701] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(858), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49757] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1497), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(928), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49813] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1269), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49869] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1270), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49925] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_LBRACK,
    ACTIONS(1473), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(918), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49981] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_LBRACK,
    ACTIONS(1473), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(921), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50037] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1487), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      anon_sym_LT_DASH,
    STATE(788), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(816), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50093] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(807), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50149] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1503), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(814), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50205] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_LBRACK,
    ACTIONS(1473), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(928), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50261] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1487), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      anon_sym_LT_DASH,
    STATE(788), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(812), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50317] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1487), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      anon_sym_LT_DASH,
    STATE(788), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(817), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50373] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_LBRACK,
    ACTIONS(1473), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(938), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50429] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1487), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      anon_sym_LT_DASH,
    STATE(788), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(799), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50485] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_LBRACK,
    ACTIONS(1473), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(931), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50541] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1340), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50597] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(868), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50653] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(857), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50709] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_LBRACK,
    ACTIONS(1473), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1477), 1,
      anon_sym_LT_DASH,
    STATE(899), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(936), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50765] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1487), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      anon_sym_LT_DASH,
    STATE(788), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(819), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50821] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(984), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50877] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1213), 1,
      anon_sym_LBRACK,
    ACTIONS(1215), 1,
      anon_sym_STAR,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1219), 1,
      anon_sym_LT_DASH,
    STATE(789), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(980), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50933] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(912), 1,
      anon_sym_chan,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1487), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 1,
      anon_sym_STAR,
    ACTIONS(1491), 1,
      anon_sym_LT_DASH,
    STATE(788), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(806), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50989] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(896), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_func,
    ACTIONS(910), 1,
      anon_sym_map,
    ACTIONS(1207), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_TILDE,
    ACTIONS(1487), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      anon_sym_LT_DASH,
    ACTIONS(1511), 1,
      anon_sym_chan,
    STATE(788), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(823), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(801), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51045] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(986), 1,
      anon_sym_LBRACK,
    ACTIONS(988), 1,
      anon_sym_STAR,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(853), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(861), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51101] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      sym_identifier,
    ACTIONS(992), 1,
      anon_sym_func,
    ACTIONS(994), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_LT_DASH,
    ACTIONS(1082), 1,
      anon_sym_LPAREN,
    STATE(834), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(858), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(859), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51157] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      sym_identifier,
    ACTIONS(1016), 1,
      anon_sym_func,
    ACTIONS(1022), 1,
      anon_sym_struct,
    ACTIONS(1028), 1,
      anon_sym_interface,
    ACTIONS(1030), 1,
      anon_sym_map,
    ACTIONS(1032), 1,
      anon_sym_chan,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_TILDE,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1497), 1,
      anon_sym_STAR,
    ACTIONS(1505), 1,
      anon_sym_LT_DASH,
    STATE(903), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(936), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(940), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51213] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LF,
    ACTIONS(1513), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51243] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1519), 1,
      anon_sym_LF,
    ACTIONS(1517), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51273] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_LF,
    ACTIONS(1521), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51303] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_LF,
    ACTIONS(1525), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51333] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LF,
    ACTIONS(1533), 1,
      anon_sym_COMMA,
    STATE(773), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1529), 17,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [51365] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LF,
    ACTIONS(1529), 18,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [51392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1523), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1527), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1519), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1515), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51496] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1527), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1525), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51520] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1515), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1513), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51544] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1523), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1521), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51568] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1519), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1517), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_COMMA,
    STATE(784), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1536), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_COMMA,
    STATE(784), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(852), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_COMMA,
    STATE(785), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1529), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1531), 6,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [51668] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DOT,
    ACTIONS(1084), 1,
      anon_sym_LF,
    ACTIONS(1546), 1,
      anon_sym_LBRACK,
    STATE(802), 1,
      sym_type_arguments,
    ACTIONS(1544), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51696] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DOT,
    ACTIONS(1084), 1,
      anon_sym_LF,
    ACTIONS(1549), 1,
      anon_sym_LBRACK,
    STATE(802), 1,
      sym_type_arguments,
    ACTIONS(1544), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51724] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1551), 1,
      anon_sym_LF,
    ACTIONS(1555), 1,
      anon_sym_LBRACK,
    STATE(810), 1,
      sym_type_arguments,
    ACTIONS(1553), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51749] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1549), 1,
      anon_sym_LBRACK,
    ACTIONS(1551), 1,
      anon_sym_LF,
    STATE(810), 1,
      sym_type_arguments,
    ACTIONS(1553), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1531), 7,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [51795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_COMMA,
    STATE(791), 1,
      aux_sym_type_parameter_declaration_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1558), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1565), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_COMMA,
    STATE(793), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(1571), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1569), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [51866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1576), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1580), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_EQ,
    ACTIONS(1586), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1580), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1580), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [51952] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LF,
    ACTIONS(1592), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51972] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_LF,
    ACTIONS(1596), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51992] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_LF,
    ACTIONS(1600), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52012] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1551), 1,
      anon_sym_LF,
    ACTIONS(1553), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52032] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_LF,
    ACTIONS(1604), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52052] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_LF,
    ACTIONS(1608), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52072] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_LF,
    ACTIONS(1612), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52092] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_LF,
    ACTIONS(1616), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52112] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LF,
    ACTIONS(1620), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52132] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_LF,
    ACTIONS(1624), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52152] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LF,
    ACTIONS(1628), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1632), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [52192] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LF,
    ACTIONS(1636), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52212] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LF,
    ACTIONS(1640), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52232] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LF,
    ACTIONS(1620), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1644), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [52272] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_LF,
    ACTIONS(1648), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52292] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LF,
    ACTIONS(1652), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52312] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LF,
    ACTIONS(1656), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52332] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LF,
    ACTIONS(1660), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52352] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_LF,
    ACTIONS(1664), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52372] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LF,
    ACTIONS(1668), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52392] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_LF,
    ACTIONS(1672), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52412] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1674), 1,
      anon_sym_LF,
    ACTIONS(1676), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52432] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LF,
    ACTIONS(1680), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52452] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_LF,
    ACTIONS(1620), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52472] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_LF,
    ACTIONS(1684), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52492] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LF,
    ACTIONS(1688), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52512] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LF,
    ACTIONS(1692), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1694), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1698), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1702), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOT,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(1084), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOT,
    ACTIONS(1711), 1,
      anon_sym_LBRACK,
    STATE(860), 1,
      sym_type_arguments,
    ACTIONS(1084), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52634] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 1,
      sym_identifier,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1717), 1,
      sym_blank_identifier,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1721), 1,
      sym_raw_string_literal,
    ACTIONS(1723), 1,
      anon_sym_DQUOTE,
    STATE(1117), 1,
      sym_interpreted_string_literal,
    STATE(1157), 1,
      sym_dot,
    STATE(1115), 2,
      sym_import_spec,
      sym_import_spec_list,
  [52666] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1725), 1,
      sym_identifier,
    ACTIONS(1727), 1,
      sym_blank_identifier,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    ACTIONS(1731), 1,
      sym_raw_string_literal,
    STATE(1103), 1,
      sym_interpreted_string_literal,
    STATE(1171), 1,
      sym_dot,
    STATE(1164), 2,
      sym_import_spec,
      sym_import_spec_list,
  [52698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LBRACK,
    STATE(839), 1,
      sym_type_arguments,
    ACTIONS(1551), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52718] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DOT,
    ACTIONS(902), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_LF,
    ACTIONS(1549), 1,
      anon_sym_LBRACK,
    STATE(510), 1,
      sym_parameter_list,
    STATE(802), 1,
      sym_type_arguments,
    ACTIONS(1544), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [52746] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_DOT,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_LBRACK,
    ACTIONS(1736), 1,
      anon_sym_LF,
    ACTIONS(1740), 1,
      sym_raw_string_literal,
    STATE(802), 1,
      sym_type_arguments,
    STATE(1082), 1,
      sym_interpreted_string_literal,
    ACTIONS(1738), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [52776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52821] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_LBRACK,
    ACTIONS(1742), 1,
      anon_sym_LF,
    ACTIONS(1746), 1,
      sym_raw_string_literal,
    STATE(810), 1,
      sym_type_arguments,
    STATE(1081), 1,
      sym_interpreted_string_literal,
    ACTIONS(1744), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [52848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52863] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1725), 1,
      sym_identifier,
    ACTIONS(1727), 1,
      sym_blank_identifier,
    ACTIONS(1731), 1,
      sym_raw_string_literal,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(1066), 1,
      sym_import_spec,
    STATE(1103), 1,
      sym_interpreted_string_literal,
    STATE(1171), 1,
      sym_dot,
  [52894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52909] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1725), 1,
      sym_identifier,
    ACTIONS(1727), 1,
      sym_blank_identifier,
    ACTIONS(1731), 1,
      sym_raw_string_literal,
    ACTIONS(1750), 1,
      anon_sym_RPAREN,
    STATE(1066), 1,
      sym_import_spec,
    STATE(1103), 1,
      sym_interpreted_string_literal,
    STATE(1171), 1,
      sym_dot,
  [52940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_LBRACK,
    STATE(839), 1,
      sym_type_arguments,
    ACTIONS(1551), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53214] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1725), 1,
      sym_identifier,
    ACTIONS(1727), 1,
      sym_blank_identifier,
    ACTIONS(1731), 1,
      sym_raw_string_literal,
    ACTIONS(1752), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      sym_import_spec,
    STATE(1103), 1,
      sym_interpreted_string_literal,
    STATE(1171), 1,
      sym_dot,
  [53245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53260] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_LBRACK,
    ACTIONS(1754), 1,
      anon_sym_LF,
    ACTIONS(1758), 1,
      sym_raw_string_literal,
    STATE(810), 1,
      sym_type_arguments,
    STATE(1096), 1,
      sym_interpreted_string_literal,
    ACTIONS(1756), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53287] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1725), 1,
      sym_identifier,
    ACTIONS(1727), 1,
      sym_blank_identifier,
    ACTIONS(1731), 1,
      sym_raw_string_literal,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    STATE(1066), 1,
      sym_import_spec,
    STATE(1103), 1,
      sym_interpreted_string_literal,
    STATE(1171), 1,
      sym_dot,
  [53318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(1733), 1,
      anon_sym_LBRACK,
    STATE(406), 1,
      sym_literal_value,
    STATE(839), 1,
      sym_type_arguments,
    ACTIONS(1551), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53386] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1725), 1,
      sym_identifier,
    ACTIONS(1727), 1,
      sym_blank_identifier,
    ACTIONS(1731), 1,
      sym_raw_string_literal,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    STATE(1018), 1,
      sym_import_spec,
    STATE(1103), 1,
      sym_interpreted_string_literal,
    STATE(1171), 1,
      sym_dot,
  [53417] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1725), 1,
      sym_identifier,
    ACTIONS(1727), 1,
      sym_blank_identifier,
    ACTIONS(1731), 1,
      sym_raw_string_literal,
    ACTIONS(1764), 1,
      anon_sym_RPAREN,
    STATE(1066), 1,
      sym_import_spec,
    STATE(1103), 1,
      sym_interpreted_string_literal,
    STATE(1171), 1,
      sym_dot,
  [53448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53463] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(954), 1,
      anon_sym_COMMA,
    ACTIONS(1536), 1,
      anon_sym_LF,
    STATE(875), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1766), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53483] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_LF,
    ACTIONS(1768), 1,
      anon_sym_COMMA,
    STATE(875), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(854), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53503] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    STATE(865), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1079), 1,
      sym_field_declaration,
    STATE(1267), 1,
      sym_negated_type,
  [53531] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1715), 1,
      anon_sym_DOT,
    ACTIONS(1725), 1,
      sym_identifier,
    ACTIONS(1727), 1,
      sym_blank_identifier,
    ACTIONS(1731), 1,
      sym_raw_string_literal,
    STATE(1066), 1,
      sym_import_spec,
    STATE(1103), 1,
      sym_interpreted_string_literal,
    STATE(1171), 1,
      sym_dot,
  [53559] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1777), 1,
      anon_sym_RBRACE,
    STATE(865), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1031), 1,
      sym_field_declaration,
    STATE(1267), 1,
      sym_negated_type,
  [53587] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1779), 1,
      anon_sym_RBRACE,
    STATE(865), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1079), 1,
      sym_field_declaration,
    STATE(1267), 1,
      sym_negated_type,
  [53615] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1781), 1,
      anon_sym_RBRACE,
    STATE(865), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1079), 1,
      sym_field_declaration,
    STATE(1267), 1,
      sym_negated_type,
  [53643] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_DOT,
    ACTIONS(1785), 1,
      anon_sym_LBRACK,
    STATE(935), 1,
      sym_type_arguments,
    ACTIONS(1084), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1544), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [53665] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1788), 1,
      anon_sym_RBRACE,
    STATE(865), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1023), 1,
      sym_field_declaration,
    STATE(1267), 1,
      sym_negated_type,
  [53693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_LBRACE,
    STATE(420), 1,
      sym_block,
    ACTIONS(1670), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53711] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1790), 1,
      anon_sym_RBRACE,
    STATE(865), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1079), 1,
      sym_field_declaration,
    STATE(1267), 1,
      sym_negated_type,
  [53739] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1792), 1,
      anon_sym_RBRACE,
    STATE(865), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1079), 1,
      sym_field_declaration,
    STATE(1267), 1,
      sym_negated_type,
  [53767] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_DOT,
    ACTIONS(1794), 1,
      anon_sym_LBRACK,
    STATE(935), 1,
      sym_type_arguments,
    ACTIONS(1084), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1544), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [53789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym_literal_value,
    ACTIONS(1551), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53807] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_RBRACE,
    STATE(865), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1079), 1,
      sym_field_declaration,
    STATE(1267), 1,
      sym_negated_type,
  [53835] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    ACTIONS(1798), 1,
      anon_sym_RBRACE,
    STATE(865), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1020), 1,
      sym_field_declaration,
    STATE(1267), 1,
      sym_negated_type,
  [53863] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1800), 1,
      sym_identifier,
    ACTIONS(1802), 1,
      anon_sym_LF,
    ACTIONS(1804), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53880] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LF,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1808), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53897] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1812), 1,
      anon_sym_LF,
    ACTIONS(1816), 1,
      sym_raw_string_literal,
    STATE(1080), 1,
      sym_interpreted_string_literal,
    ACTIONS(1814), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53918] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_identifier,
    ACTIONS(1820), 1,
      anon_sym_LF,
    ACTIONS(1822), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53935] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_LF,
    STATE(906), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1826), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(1828), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53954] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1830), 1,
      anon_sym_LF,
    ACTIONS(1834), 1,
      sym_raw_string_literal,
    STATE(1064), 1,
      sym_interpreted_string_literal,
    ACTIONS(1832), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53975] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LF,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    ACTIONS(1838), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53992] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1742), 1,
      anon_sym_LF,
    ACTIONS(1746), 1,
      sym_raw_string_literal,
    STATE(1081), 1,
      sym_interpreted_string_literal,
    ACTIONS(1744), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54013] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1830), 1,
      anon_sym_LF,
    ACTIONS(1842), 1,
      sym_raw_string_literal,
    STATE(1083), 1,
      sym_interpreted_string_literal,
    ACTIONS(1832), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54034] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_LBRACK,
    STATE(934), 1,
      sym_type_arguments,
    ACTIONS(1551), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1553), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [54053] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_LF,
    ACTIONS(1851), 1,
      anon_sym_else,
    ACTIONS(1849), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54070] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DQUOTE,
    ACTIONS(1754), 1,
      anon_sym_LF,
    ACTIONS(1758), 1,
      sym_raw_string_literal,
    STATE(1096), 1,
      sym_interpreted_string_literal,
    ACTIONS(1756), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54091] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_LF,
    STATE(902), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1856), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(1859), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54110] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_LBRACK,
    STATE(934), 1,
      sym_type_arguments,
    ACTIONS(1551), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1553), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [54129] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LF,
    ACTIONS(1865), 1,
      anon_sym_else,
    ACTIONS(1863), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1771), 1,
      sym_identifier,
    ACTIONS(1773), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1079), 1,
      sym_field_declaration,
    STATE(1267), 1,
      sym_negated_type,
  [54171] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_LF,
    STATE(902), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1869), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(207), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54190] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_LF,
    ACTIONS(1873), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_RBRACE,
    ACTIONS(1877), 1,
      anon_sym_case,
    ACTIONS(1879), 1,
      anon_sym_default,
    STATE(974), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54222] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1881), 1,
      anon_sym_LF,
    ACTIONS(1883), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54236] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1674), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1676), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54250] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1662), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1664), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54264] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1626), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1628), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54278] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1622), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1624), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54292] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1610), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1612), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54306] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1606), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1608), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54320] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1650), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1652), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54334] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1614), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1616), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54348] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1618), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1620), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54362] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1670), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1672), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54376] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1678), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1680), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54390] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1594), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1596), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(854), 1,
      anon_sym_COLON,
    ACTIONS(1885), 1,
      anon_sym_COMMA,
    STATE(922), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(852), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [54422] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1638), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1640), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54436] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1618), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1620), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54450] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1618), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1620), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54464] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1590), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1592), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_LBRACK,
    ACTIONS(1894), 1,
      anon_sym_PIPE,
    STATE(1116), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1890), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [54498] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1666), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1668), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54512] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_LF,
    ACTIONS(1898), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54526] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1690), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1692), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54540] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1658), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1660), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54554] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1598), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1600), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1040), 1,
      anon_sym_COMMA,
    ACTIONS(1766), 1,
      anon_sym_COLON,
    STATE(922), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1536), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [54586] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1634), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1636), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54600] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1602), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1604), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54614] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1646), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1648), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54628] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LF,
    ACTIONS(1902), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54642] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1654), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1656), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54656] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1686), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1688), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54670] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1551), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1553), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54684] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_LF,
    ACTIONS(1906), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_RBRACE,
    ACTIONS(1910), 1,
      anon_sym_case,
    ACTIONS(1913), 1,
      anon_sym_default,
    STATE(942), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [54716] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_LF,
    ACTIONS(1918), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54730] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1920), 1,
      anon_sym_LF,
    ACTIONS(1922), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_case,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(1924), 1,
      anon_sym_RBRACE,
    STATE(958), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54762] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1926), 1,
      anon_sym_LF,
    ACTIONS(1928), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54776] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1930), 1,
      anon_sym_LF,
    ACTIONS(1932), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54790] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1934), 1,
      anon_sym_LF,
    ACTIONS(1936), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54804] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_LF,
    ACTIONS(1940), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(1942), 1,
      anon_sym_RBRACE,
    ACTIONS(1944), 1,
      anon_sym_case,
    STATE(942), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [54836] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1946), 1,
      anon_sym_LF,
    ACTIONS(1948), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54850] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1950), 1,
      anon_sym_LF,
    ACTIONS(1952), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(1954), 1,
      anon_sym_RBRACE,
    ACTIONS(1956), 1,
      anon_sym_case,
    STATE(1009), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [54882] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1682), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1684), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_case,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(1958), 1,
      anon_sym_RBRACE,
    STATE(1004), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54914] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1960), 1,
      anon_sym_LF,
    ACTIONS(1962), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54928] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_LF,
    ACTIONS(1966), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_RBRACE,
    ACTIONS(1970), 1,
      anon_sym_case,
    ACTIONS(1973), 1,
      anon_sym_default,
    STATE(958), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54960] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_LF,
    ACTIONS(1978), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54974] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1980), 1,
      anon_sym_LF,
    ACTIONS(1982), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54988] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_LF,
    ACTIONS(1986), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55002] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1988), 1,
      anon_sym_LF,
    ACTIONS(1990), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55016] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_LF,
    ACTIONS(1994), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_case,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(1996), 1,
      anon_sym_RBRACE,
    STATE(945), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55048] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1998), 1,
      anon_sym_LF,
    ACTIONS(2000), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(1956), 1,
      anon_sym_case,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    STATE(953), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [55080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [55092] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_LF,
    ACTIONS(2008), 1,
      anon_sym_PIPE,
    STATE(999), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2006), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55110] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LF,
    ACTIONS(2012), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55124] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2014), 1,
      anon_sym_LF,
    ACTIONS(2016), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55138] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_LF,
    ACTIONS(2020), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55152] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_LF,
    ACTIONS(2024), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55166] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2026), 1,
      anon_sym_LF,
    ACTIONS(2028), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_case,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(2030), 1,
      anon_sym_RBRACE,
    STATE(958), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(1944), 1,
      anon_sym_case,
    ACTIONS(2032), 1,
      anon_sym_RBRACE,
    STATE(950), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [55216] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_LF,
    ACTIONS(1859), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55230] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_LF,
    ACTIONS(2038), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55244] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_LF,
    ACTIONS(2008), 1,
      anon_sym_PIPE,
    STATE(968), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2040), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55262] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2042), 1,
      anon_sym_LF,
    ACTIONS(2044), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55276] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2046), 1,
      anon_sym_LF,
    ACTIONS(2048), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55290] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2050), 1,
      anon_sym_LF,
    ACTIONS(2052), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55304] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_LF,
    ACTIONS(2056), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55318] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2058), 1,
      anon_sym_LF,
    ACTIONS(2060), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55332] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2062), 1,
      anon_sym_LF,
    ACTIONS(2064), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55346] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_LBRACE,
    STATE(1059), 1,
      sym_block,
    ACTIONS(2066), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2068), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55364] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_LF,
    ACTIONS(2072), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55378] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2074), 1,
      anon_sym_LF,
    ACTIONS(2076), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55392] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_LBRACE,
    ACTIONS(1706), 1,
      anon_sym_DOT,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    STATE(490), 1,
      sym_parameter_list,
    STATE(860), 1,
      sym_type_arguments,
  [55414] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_LBRACE,
    STATE(1061), 1,
      sym_block,
    ACTIONS(2080), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2082), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55432] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_LF,
    ACTIONS(2086), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55446] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LF,
    ACTIONS(2090), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55460] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LF,
    ACTIONS(2094), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_case,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(2096), 1,
      anon_sym_RBRACE,
    STATE(958), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55492] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_LF,
    ACTIONS(2100), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55506] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_LF,
    ACTIONS(2104), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55520] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2106), 1,
      anon_sym_LF,
    ACTIONS(2108), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55534] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LF,
    ACTIONS(2112), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55548] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2114), 1,
      anon_sym_LF,
    ACTIONS(2116), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55562] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LF,
    ACTIONS(2122), 1,
      anon_sym_PIPE,
    STATE(999), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2120), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55580] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2125), 1,
      anon_sym_LF,
    ACTIONS(2127), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55594] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LF,
    ACTIONS(2131), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55608] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_LBRACE,
    STATE(1086), 1,
      sym_block,
    ACTIONS(2133), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2135), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55626] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_LF,
    ACTIONS(2139), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_case,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
    STATE(958), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55658] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2143), 1,
      anon_sym_LF,
    ACTIONS(2145), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55672] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_LBRACE,
    ACTIONS(1706), 1,
      anon_sym_DOT,
    ACTIONS(1708), 1,
      anon_sym_LBRACK,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_parameter_list,
    STATE(860), 1,
      sym_type_arguments,
  [55694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_case,
    ACTIONS(1879), 1,
      anon_sym_default,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    STATE(993), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55712] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_LF,
    ACTIONS(2153), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(2157), 1,
      anon_sym_case,
    ACTIONS(2160), 1,
      anon_sym_default,
    STATE(1009), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [55744] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LF,
    ACTIONS(2165), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55758] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LF,
    ACTIONS(2171), 1,
      anon_sym_RPAREN,
    STATE(1040), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2169), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55775] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2173), 1,
      anon_sym_LF,
    ACTIONS(2177), 1,
      anon_sym_RBRACE,
    STATE(1019), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2175), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55792] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LF,
    ACTIONS(2120), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [55805] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1068), 1,
      anon_sym_LBRACE,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_LBRACK,
    STATE(536), 1,
      sym_literal_value,
    STATE(839), 1,
      sym_type_arguments,
  [55824] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2179), 1,
      anon_sym_LF,
    ACTIONS(2185), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2182), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2187), 1,
      sym_identifier,
    ACTIONS(2190), 1,
      anon_sym_RPAREN,
    STATE(1016), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1199), 2,
      sym_type_alias,
      sym_type_spec,
  [55858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2192), 1,
      sym_identifier,
    ACTIONS(2194), 1,
      anon_sym_RPAREN,
    STATE(1016), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1199), 2,
      sym_type_alias,
      sym_type_spec,
  [55875] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_LF,
    ACTIONS(2200), 1,
      anon_sym_RPAREN,
    STATE(1011), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2198), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55892] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2202), 1,
      anon_sym_LF,
    ACTIONS(2208), 1,
      anon_sym_RBRACE,
    STATE(1019), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2205), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55909] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_LF,
    ACTIONS(2214), 1,
      anon_sym_RBRACE,
    STATE(1036), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2212), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55926] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2216), 1,
      anon_sym_LF,
    ACTIONS(2220), 1,
      anon_sym_RBRACE,
    STATE(1037), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2218), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(2222), 1,
      sym_identifier,
    STATE(840), 1,
      sym_qualified_type,
    STATE(897), 1,
      sym_generic_type,
    STATE(1267), 1,
      sym_negated_type,
  [55962] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_LF,
    ACTIONS(2228), 1,
      anon_sym_RBRACE,
    STATE(1024), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2226), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55979] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LF,
    ACTIONS(2234), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2232), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55996] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_LF,
    ACTIONS(2240), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2238), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56013] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_LF,
    ACTIONS(2246), 1,
      anon_sym_RBRACE,
    STATE(1012), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2244), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_LBRACK,
    ACTIONS(2248), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_literal_value,
    STATE(839), 1,
      sym_type_arguments,
  [56049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_LBRACK,
    ACTIONS(2250), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_literal_value,
    STATE(839), 1,
      sym_type_arguments,
  [56068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2192), 1,
      sym_identifier,
    ACTIONS(2252), 1,
      anon_sym_RPAREN,
    STATE(1017), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1199), 2,
      sym_type_alias,
      sym_type_spec,
  [56085] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_LBRACE,
    ACTIONS(2133), 1,
      anon_sym_LF,
    STATE(1153), 1,
      sym_block,
    ACTIONS(2135), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56102] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LF,
    ACTIONS(2258), 1,
      anon_sym_RBRACE,
    STATE(1042), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2256), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56119] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LF,
    ACTIONS(2264), 1,
      anon_sym_RBRACE,
    STATE(1039), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2262), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56136] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_LBRACE,
    ACTIONS(2066), 1,
      anon_sym_LF,
    STATE(1144), 1,
      sym_block,
    ACTIONS(2068), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_LBRACK,
    ACTIONS(2266), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_literal_value,
    STATE(839), 1,
      sym_type_arguments,
  [56172] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LF,
    ACTIONS(2272), 1,
      anon_sym_RPAREN,
    STATE(1040), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2270), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56189] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2274), 1,
      anon_sym_LF,
    ACTIONS(2278), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2276), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56206] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LF,
    ACTIONS(2284), 1,
      anon_sym_RBRACE,
    STATE(1019), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2282), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56223] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_LBRACE,
    ACTIONS(2080), 1,
      anon_sym_LF,
    STATE(1141), 1,
      sym_block,
    ACTIONS(2082), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56240] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2286), 1,
      anon_sym_LF,
    ACTIONS(2290), 1,
      anon_sym_RBRACE,
    STATE(1019), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2288), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56257] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LF,
    ACTIONS(2298), 1,
      anon_sym_RPAREN,
    STATE(1040), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2295), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LBRACE,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_LBRACK,
    STATE(355), 1,
      sym_literal_value,
    STATE(839), 1,
      sym_type_arguments,
  [56293] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_LF,
    ACTIONS(2304), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2302), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1068), 1,
      anon_sym_LBRACE,
    STATE(536), 1,
      sym_literal_value,
    ACTIONS(1551), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56324] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2306), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2308), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_COMMA,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    STATE(1225), 1,
      aux_sym_literal_value_repeat1,
  [56352] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2316), 1,
      anon_sym_DQUOTE2,
    STATE(1046), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2318), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACE,
    STATE(365), 1,
      sym_block,
    ACTIONS(1670), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2323), 1,
      anon_sym_RBRACE,
    STATE(1137), 1,
      aux_sym_literal_value_repeat1,
  [56396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_RBRACE,
    STATE(1221), 1,
      aux_sym_literal_value_repeat1,
  [56412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_literal_value,
    ACTIONS(1551), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56426] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_DQUOTE2,
    STATE(1054), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2331), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_type_case_repeat1,
    ACTIONS(2336), 2,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [56454] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2338), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2340), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56466] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_DQUOTE2,
    STATE(1046), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2344), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2192), 1,
      sym_identifier,
    ACTIONS(2346), 1,
      anon_sym_LPAREN,
    STATE(965), 2,
      sym_type_alias,
      sym_type_spec,
  [56494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 1,
      sym_identifier,
    ACTIONS(2351), 1,
      anon_sym_RPAREN,
    STATE(1056), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1175), 1,
      sym_const_spec,
  [56510] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE2,
    STATE(1072), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2355), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56524] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2357), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2359), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56536] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2361), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2363), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(262), 1,
      sym_block,
    ACTIONS(1670), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56562] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2365), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2367), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      sym_identifier,
    ACTIONS(2372), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1182), 1,
      sym_var_spec,
  [56590] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_LF,
    ACTIONS(2376), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56602] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_LF,
    ACTIONS(2376), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56614] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_LF,
    ACTIONS(2376), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56626] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_LF,
    ACTIONS(2298), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [56638] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_DQUOTE2,
    STATE(1046), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2344), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56652] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2382), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2384), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_RBRACE,
    STATE(1198), 1,
      aux_sym_literal_value_repeat1,
  [56680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_LBRACE,
    STATE(324), 1,
      sym_block,
    ACTIONS(1670), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2390), 1,
      anon_sym_if,
    STATE(986), 2,
      sym_block,
      sym_if_statement,
  [56708] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2392), 1,
      anon_sym_DQUOTE2,
    STATE(1046), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2344), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56722] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_LF,
    ACTIONS(2208), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_LBRACE,
    STATE(550), 1,
      sym_block,
    ACTIONS(1670), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2396), 1,
      anon_sym_COMMA,
    ACTIONS(2398), 1,
      anon_sym_RBRACE,
    STATE(1180), 1,
      aux_sym_literal_value_repeat1,
  [56764] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2400), 1,
      anon_sym_LF,
    ACTIONS(2402), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      sym_identifier,
    ACTIONS(2406), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1182), 1,
      sym_var_spec,
  [56792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 1,
      sym_identifier,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    STATE(1056), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1175), 1,
      sym_const_spec,
  [56808] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LF,
    ACTIONS(2185), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56820] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_LF,
    ACTIONS(2416), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56832] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_LF,
    ACTIONS(2420), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56844] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LF,
    ACTIONS(2424), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56856] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_LF,
    ACTIONS(2376), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56868] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2426), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2428), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    ACTIONS(2430), 1,
      anon_sym_LBRACK,
    STATE(501), 1,
      sym_parameter_list,
    STATE(1271), 1,
      sym_type_parameter_list,
  [56896] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2432), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2434), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56908] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2436), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2438), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56920] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_DQUOTE2,
    STATE(1106), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2442), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_literal_value,
    ACTIONS(1551), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56948] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_DQUOTE2,
    STATE(1046), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2344), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56962] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2446), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2448), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56974] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2450), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2452), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56986] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2454), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2456), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56998] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2458), 1,
      ts_builtin_sym_end,
    ACTIONS(2460), 1,
      anon_sym_LF,
    ACTIONS(2462), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57012] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LF,
    ACTIONS(2466), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57024] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_LF,
    ACTIONS(2470), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57036] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_DQUOTE2,
    STATE(1067), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2474), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57050] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2476), 1,
      anon_sym_DQUOTE2,
    STATE(1046), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2344), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_literal_value,
    ACTIONS(1551), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57078] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2478), 1,
      anon_sym_DQUOTE2,
    STATE(1090), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2480), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57092] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2482), 1,
      anon_sym_DQUOTE2,
    STATE(1102), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2484), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57106] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2486), 1,
      anon_sym_DQUOTE2,
    STATE(1046), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2344), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57120] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_LF,
    ACTIONS(2490), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [57132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2390), 1,
      anon_sym_if,
    STATE(1001), 2,
      sym_block,
      sym_if_statement,
  [57146] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(647), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(649), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57158] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2492), 1,
      anon_sym_DQUOTE2,
    STATE(1046), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2344), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57172] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LF,
    ACTIONS(2456), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [57184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    ACTIONS(2430), 1,
      anon_sym_LBRACK,
    STATE(443), 1,
      sym_parameter_list,
    STATE(1280), 1,
      sym_type_parameter_list,
  [57200] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_LF,
    ACTIONS(2448), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [57212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_PIPE,
    STATE(1116), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1890), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57226] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(657), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(659), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      sym_identifier,
    ACTIONS(2494), 1,
      anon_sym_RPAREN,
    STATE(1077), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1182), 1,
      sym_var_spec,
  [57254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 1,
      sym_identifier,
    ACTIONS(2496), 1,
      anon_sym_RPAREN,
    STATE(1078), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1175), 1,
      sym_const_spec,
  [57270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_LBRACE,
    STATE(469), 1,
      sym_block,
    ACTIONS(1670), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57284] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2498), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2500), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_PIPE,
    STATE(1120), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57310] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2488), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2490), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57322] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2502), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2504), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_literal_value,
    ACTIONS(1551), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_PIPE,
    STATE(1120), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2118), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2509), 1,
      anon_sym_COMMA,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    STATE(1140), 1,
      aux_sym_literal_value_repeat1,
  [57378] = 4,
    ACTIONS(75), 1,
      ts_builtin_sym_end,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2460), 1,
      anon_sym_LF,
    ACTIONS(2462), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57392] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_DQUOTE2,
    STATE(1098), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2515), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57406] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(653), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(655), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57418] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(661), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(663), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 1,
      anon_sym_COMMA,
    STATE(1212), 1,
      aux_sym_argument_list_repeat1,
  [57443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_RPAREN,
    ACTIONS(2517), 1,
      anon_sym_COMMA,
    STATE(1127), 1,
      aux_sym_expression_list_repeat1,
  [57456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_RPAREN,
    ACTIONS(2520), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_argument_list_repeat1,
  [57469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 1,
      sym_identifier,
    ACTIONS(2522), 1,
      anon_sym_LPAREN,
    STATE(956), 1,
      sym_const_spec,
  [57482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 1,
      anon_sym_RPAREN,
    ACTIONS(2524), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_parameter_list_repeat1,
  [57495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      sym_identifier,
    ACTIONS(2526), 1,
      anon_sym_LPAREN,
    STATE(960), 1,
      sym_var_spec,
  [57508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_RPAREN,
    ACTIONS(2528), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_argument_list_repeat1,
  [57521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 1,
      anon_sym_RBRACK,
    ACTIONS(2531), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_type_case_repeat1,
  [57534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 1,
      anon_sym_COMMA,
    ACTIONS(2535), 1,
      anon_sym_RBRACK,
    STATE(1143), 1,
      aux_sym_type_case_repeat1,
  [57547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(2537), 1,
      sym_identifier,
    STATE(592), 1,
      sym_parameter_list,
  [57560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_RPAREN,
    ACTIONS(2539), 1,
      anon_sym_COMMA,
    STATE(1127), 1,
      aux_sym_expression_list_repeat1,
  [57573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    ACTIONS(2541), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_literal_value_repeat1,
  [57586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_RBRACK,
    ACTIONS(2543), 1,
      anon_sym_COMMA,
    STATE(1214), 1,
      aux_sym_type_arguments_repeat1,
  [57599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      anon_sym_RBRACK,
    ACTIONS(2545), 1,
      anon_sym_COMMA,
    STATE(1214), 1,
      aux_sym_type_arguments_repeat1,
  [57612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_RBRACE,
    ACTIONS(2547), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_literal_value_repeat1,
  [57625] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_LF,
    ACTIONS(2367), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_RPAREN,
    ACTIONS(2549), 1,
      anon_sym_COMMA,
    STATE(1127), 1,
      aux_sym_expression_list_repeat1,
  [57649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_RBRACK,
    ACTIONS(2551), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_type_case_repeat1,
  [57662] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2361), 1,
      anon_sym_LF,
    ACTIONS(2363), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 1,
      anon_sym_COMMA,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    STATE(1140), 1,
      aux_sym_literal_value_repeat1,
  [57686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_RPAREN,
    ACTIONS(2553), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_argument_list_repeat1,
  [57699] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_LF,
    ACTIONS(2308), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [57719] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2426), 1,
      anon_sym_LF,
    ACTIONS(2428), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2555), 1,
      anon_sym_COMMA,
    ACTIONS(2557), 1,
      anon_sym_RBRACK,
    STATE(1138), 1,
      aux_sym_type_arguments_repeat1,
  [57743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2559), 1,
      anon_sym_RPAREN,
    ACTIONS(2561), 1,
      anon_sym_COMMA,
    STATE(1136), 1,
      aux_sym_expression_list_repeat1,
  [57756] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2460), 1,
      anon_sym_LF,
    ACTIONS(2462), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57767] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_LF,
    ACTIONS(2434), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_RPAREN,
    ACTIONS(2565), 1,
      anon_sym_COMMA,
    STATE(1130), 1,
      aux_sym_parameter_list_repeat1,
  [57791] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_LF,
    ACTIONS(2438), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2567), 1,
      anon_sym_COMMA,
    ACTIONS(2569), 1,
      anon_sym_COLON,
    STATE(1052), 1,
      aux_sym_type_case_repeat1,
  [57815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DQUOTE,
    ACTIONS(2571), 1,
      sym_raw_string_literal,
    STATE(1093), 1,
      sym_interpreted_string_literal,
  [57828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DQUOTE,
    ACTIONS(2573), 1,
      sym_raw_string_literal,
    STATE(1091), 1,
      sym_interpreted_string_literal,
  [57841] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2382), 1,
      anon_sym_LF,
    ACTIONS(2384), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57852] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_LF,
    ACTIONS(2340), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_LBRACK,
    ACTIONS(2575), 1,
      anon_sym_RPAREN,
  [57876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57885] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_LF,
    ACTIONS(2452), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57896] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_LF,
    ACTIONS(2500), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_LBRACE,
    ACTIONS(2577), 1,
      anon_sym_COMMA,
    STATE(1165), 1,
      aux_sym_expression_list_repeat1,
  [57920] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_LF,
    ACTIONS(2504), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(2582), 1,
      sym_identifier,
    STATE(594), 1,
      sym_parameter_list,
  [57953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym_RPAREN,
    ACTIONS(2588), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_parameter_list_repeat1,
  [57975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(2591), 1,
      sym_raw_string_literal,
    STATE(1107), 1,
      sym_interpreted_string_literal,
  [57988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(2593), 1,
      sym_raw_string_literal,
    STATE(1109), 1,
      sym_interpreted_string_literal,
  [58001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(403), 1,
      anon_sym_RPAREN,
    ACTIONS(2597), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_argument_list_repeat1,
  [58023] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_LF,
    ACTIONS(2601), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2603), 1,
      sym_identifier,
    ACTIONS(2605), 1,
      anon_sym_RBRACK,
    STATE(1252), 1,
      sym_type_parameter_declaration,
  [58047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      anon_sym_RBRACK,
    ACTIONS(2607), 1,
      anon_sym_COMMA,
    STATE(1202), 1,
      aux_sym_type_parameter_list_repeat1,
  [58060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 1,
      anon_sym_RBRACK,
    ACTIONS(2609), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_type_case_repeat1,
  [58073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_RBRACE,
    ACTIONS(2613), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_literal_value_repeat1,
  [58095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_RPAREN,
    ACTIONS(2615), 1,
      anon_sym_COMMA,
    STATE(1127), 1,
      aux_sym_expression_list_repeat1,
  [58108] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2617), 1,
      anon_sym_LF,
    ACTIONS(2619), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_RPAREN,
    ACTIONS(1159), 1,
      anon_sym_COMMA,
    STATE(1174), 1,
      aux_sym_argument_list_repeat1,
  [58141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2623), 1,
      anon_sym_RPAREN,
    ACTIONS(2625), 1,
      anon_sym_COMMA,
    STATE(1196), 1,
      aux_sym_expression_list_repeat1,
  [58154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(2629), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      aux_sym_type_case_repeat1,
  [58167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 1,
      anon_sym_COMMA,
    ACTIONS(2398), 1,
      anon_sym_RBRACE,
    STATE(1180), 1,
      aux_sym_literal_value_repeat1,
  [58180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 1,
      anon_sym_RBRACE,
    STATE(1198), 1,
      aux_sym_literal_value_repeat1,
  [58193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 1,
      anon_sym_RPAREN,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    STATE(1181), 1,
      aux_sym_expression_list_repeat1,
  [58206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2635), 1,
      anon_sym_COMMA,
    ACTIONS(2637), 1,
      anon_sym_RBRACK,
    STATE(1201), 1,
      aux_sym_type_case_repeat1,
  [58219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 1,
      anon_sym_RPAREN,
    ACTIONS(2641), 1,
      anon_sym_COMMA,
    STATE(1195), 1,
      aux_sym_parameter_list_repeat1,
  [58232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    ACTIONS(1203), 1,
      anon_sym_COMMA,
    STATE(1204), 1,
      aux_sym_argument_list_repeat1,
  [58245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2645), 1,
      anon_sym_COMMA,
    ACTIONS(2647), 1,
      anon_sym_RBRACK,
    STATE(1177), 1,
      aux_sym_type_parameter_list_repeat1,
  [58267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      anon_sym_RPAREN,
    ACTIONS(2649), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_parameter_list_repeat1,
  [58280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      anon_sym_RPAREN,
    ACTIONS(2651), 1,
      anon_sym_COMMA,
    STATE(1127), 1,
      aux_sym_expression_list_repeat1,
  [58293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_COMMA,
    ACTIONS(1536), 1,
      anon_sym_LBRACE,
    STATE(1165), 1,
      aux_sym_expression_list_repeat1,
  [58306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_RBRACE,
    ACTIONS(2653), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_literal_value_repeat1,
  [58319] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2655), 1,
      anon_sym_LF,
    ACTIONS(2657), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2659), 1,
      anon_sym_RPAREN,
    ACTIONS(2661), 1,
      anon_sym_COMMA,
    STATE(1220), 1,
      aux_sym_parameter_list_repeat1,
  [58343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 1,
      anon_sym_RBRACK,
    ACTIONS(2663), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_type_case_repeat1,
  [58356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 1,
      anon_sym_COMMA,
    ACTIONS(2668), 1,
      anon_sym_RBRACK,
    STATE(1202), 1,
      aux_sym_type_parameter_list_repeat1,
  [58369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    ACTIONS(2672), 1,
      anon_sym_COMMA,
    STATE(1227), 1,
      aux_sym_expression_list_repeat1,
  [58382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_RPAREN,
    ACTIONS(2674), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_argument_list_repeat1,
  [58395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_COMMA,
    ACTIONS(2678), 1,
      anon_sym_RBRACK,
    STATE(1224), 1,
      aux_sym_type_arguments_repeat1,
  [58408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_RBRACE,
    STATE(1221), 1,
      aux_sym_literal_value_repeat1,
  [58421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2567), 1,
      anon_sym_COMMA,
    ACTIONS(2680), 1,
      anon_sym_COLON,
    STATE(1156), 1,
      aux_sym_type_case_repeat1,
  [58434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2603), 1,
      sym_identifier,
    ACTIONS(2682), 1,
      anon_sym_RBRACK,
    STATE(1252), 1,
      sym_type_parameter_declaration,
  [58447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_RPAREN,
    ACTIONS(1173), 1,
      anon_sym_COMMA,
    STATE(1146), 1,
      aux_sym_argument_list_repeat1,
  [58460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2684), 1,
      anon_sym_COMMA,
    ACTIONS(2686), 1,
      anon_sym_RBRACK,
    STATE(1216), 1,
      aux_sym_type_case_repeat1,
  [58473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      anon_sym_RPAREN,
    ACTIONS(2688), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_argument_list_repeat1,
  [58486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(411), 1,
      anon_sym_RPAREN,
    ACTIONS(2690), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_argument_list_repeat1,
  [58499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(507), 1,
      anon_sym_RPAREN,
    ACTIONS(2692), 1,
      anon_sym_COMMA,
    STATE(1127), 1,
      aux_sym_expression_list_repeat1,
  [58512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    ACTIONS(2697), 1,
      anon_sym_RBRACK,
    STATE(1214), 1,
      aux_sym_type_arguments_repeat1,
  [58525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 1,
      anon_sym_RPAREN,
    ACTIONS(2701), 1,
      anon_sym_COMMA,
    STATE(1213), 1,
      aux_sym_expression_list_repeat1,
  [58538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      anon_sym_RBRACK,
    ACTIONS(2703), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_type_case_repeat1,
  [58551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_RPAREN,
    ACTIONS(1129), 1,
      anon_sym_COMMA,
    STATE(1128), 1,
      aux_sym_argument_list_repeat1,
  [58564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    ACTIONS(2705), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58575] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2357), 1,
      anon_sym_LF,
    ACTIONS(2359), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_RPAREN,
    ACTIONS(2707), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_parameter_list_repeat1,
  [58599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(351), 1,
      anon_sym_RBRACE,
    ACTIONS(2709), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_literal_value_repeat1,
  [58612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2711), 1,
      anon_sym_COMMA,
    ACTIONS(2713), 1,
      anon_sym_RBRACK,
    STATE(1133), 1,
      aux_sym_type_case_repeat1,
  [58625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_COMMA,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
    STATE(1225), 1,
      aux_sym_literal_value_repeat1,
  [58638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      anon_sym_RBRACK,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    STATE(1214), 1,
      aux_sym_type_arguments_repeat1,
  [58651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_RBRACE,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_literal_value_repeat1,
  [58664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2719), 1,
      anon_sym_COMMA,
    ACTIONS(2721), 1,
      anon_sym_RBRACK,
    STATE(1234), 1,
      aux_sym_type_case_repeat1,
  [58677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_RPAREN,
    ACTIONS(2723), 1,
      anon_sym_COMMA,
    STATE(1127), 1,
      aux_sym_expression_list_repeat1,
  [58690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2725), 1,
      anon_sym_COMMA,
    ACTIONS(2727), 1,
      anon_sym_RBRACK,
    STATE(1139), 1,
      aux_sym_type_arguments_repeat1,
  [58703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_RPAREN,
    ACTIONS(1179), 1,
      anon_sym_COMMA,
    STATE(1211), 1,
      aux_sym_argument_list_repeat1,
  [58716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2321), 1,
      anon_sym_COMMA,
    ACTIONS(2323), 1,
      anon_sym_RBRACE,
    STATE(1137), 1,
      aux_sym_literal_value_repeat1,
  [58729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    ACTIONS(2729), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_literal_value_repeat1,
  [58742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 1,
      anon_sym_RPAREN,
    ACTIONS(2734), 1,
      anon_sym_COMMA,
    STATE(1142), 1,
      aux_sym_expression_list_repeat1,
  [58755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [58764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_RBRACK,
    ACTIONS(2736), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_type_case_repeat1,
  [58777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [58786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      sym_identifier,
    ACTIONS(2740), 1,
      anon_sym_LPAREN,
  [58796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2603), 1,
      sym_identifier,
    STATE(1252), 1,
      sym_type_parameter_declaration,
  [58806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_LPAREN,
    ACTIONS(2744), 1,
      anon_sym_LBRACK,
  [58816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_LPAREN,
    ACTIONS(2748), 1,
      anon_sym_LBRACK,
  [58826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_literal_value,
  [58836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(456), 1,
      sym_parameter_list,
  [58854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 1,
      anon_sym_LPAREN,
    ACTIONS(2754), 1,
      anon_sym_LBRACK,
  [58872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 1,
      anon_sym_LPAREN,
    ACTIONS(2758), 1,
      anon_sym_LBRACK,
  [58882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      sym_identifier,
    ACTIONS(2762), 1,
      anon_sym_LPAREN,
  [58892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_LPAREN,
    STATE(364), 1,
      sym_argument_list,
  [58902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [58910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_LBRACK,
  [58920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym_field_declaration_list,
  [58930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    STATE(600), 1,
      sym_parameter_list,
  [58940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2668), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2768), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [58964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 1,
      sym_identifier,
    ACTIONS(2772), 1,
      anon_sym_LPAREN,
  [58974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_LPAREN,
    ACTIONS(2776), 1,
      anon_sym_LBRACK,
  [58984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    STATE(617), 1,
      sym_parameter_list,
  [58994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_literal_value,
  [59012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 1,
      anon_sym_LPAREN,
    STATE(468), 1,
      sym_argument_list,
  [59030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 2,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [59038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2372), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [59046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 1,
      sym_identifier,
    ACTIONS(2786), 1,
      anon_sym_LPAREN,
  [59056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    STATE(588), 1,
      sym_parameter_list,
  [59066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      sym_identifier,
    ACTIONS(2790), 1,
      anon_sym_LPAREN,
  [59076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    STATE(810), 1,
      sym_type_arguments,
  [59086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      sym_identifier,
    ACTIONS(2794), 1,
      anon_sym_LPAREN,
  [59096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2796), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    STATE(491), 1,
      sym_parameter_list,
  [59122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    STATE(445), 1,
      sym_parameter_list,
  [59132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1068), 1,
      anon_sym_LBRACE,
    STATE(536), 1,
      sym_literal_value,
  [59142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1904), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [59166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(470), 1,
      sym_parameter_list,
  [59184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    STATE(419), 1,
      sym_argument_list,
  [59194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(450), 1,
      sym_parameter_list,
  [59204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    STATE(622), 1,
      sym_parameter_list,
  [59222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2603), 1,
      sym_identifier,
    STATE(1194), 1,
      sym_type_parameter_declaration,
  [59232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      sym_identifier,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
  [59242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2802), 1,
      sym_identifier,
    ACTIONS(2804), 1,
      anon_sym_LPAREN,
  [59252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 1,
      anon_sym_LPAREN,
    STATE(548), 1,
      sym_argument_list,
  [59270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_literal_value,
  [59296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    STATE(438), 1,
      sym_parameter_list,
  [59314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_parameter_list,
  [59332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    STATE(620), 1,
      sym_parameter_list,
  [59342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(977), 1,
      sym_block,
  [59360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2812), 1,
      anon_sym_LBRACE,
    STATE(825), 1,
      sym_field_declaration_list,
  [59370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LPAREN,
    STATE(381), 1,
      sym_parameter_list,
  [59380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      sym_identifier,
    ACTIONS(2814), 1,
      anon_sym_LPAREN,
  [59390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym_literal_value,
  [59400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [59408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    STATE(430), 1,
      sym_parameter_list,
  [59418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 1,
      anon_sym_LPAREN,
    STATE(323), 1,
      sym_argument_list,
  [59428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_field_declaration_list,
  [59446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_literal_value,
  [59456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_LPAREN,
    STATE(266), 1,
      sym_argument_list,
  [59466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 1,
      sym_identifier,
    ACTIONS(2822), 1,
      anon_sym_LPAREN,
  [59476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 1,
      sym_identifier,
  [59483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_RPAREN,
  [59490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 1,
      anon_sym_RPAREN,
  [59497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_RPAREN,
  [59504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_RBRACE,
  [59511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      anon_sym_LBRACE,
  [59518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_chan,
  [59525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      sym_identifier,
  [59532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 1,
      anon_sym_RPAREN,
  [59539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_RPAREN,
  [59546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_EQ,
  [59553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_RPAREN,
  [59560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 1,
      sym_identifier,
  [59567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_chan,
  [59574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      anon_sym_RBRACE,
  [59581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 1,
      anon_sym_LBRACE,
  [59588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2856), 1,
      anon_sym_LBRACE,
  [59595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_LBRACE,
  [59602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_SEMI,
  [59609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_RBRACK,
  [59616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2388), 1,
      anon_sym_RBRACE,
  [59623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_RBRACE,
  [59630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_LBRACE,
  [59637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_SEMI,
  [59644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_LBRACE,
  [59651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 1,
      anon_sym_RPAREN,
  [59658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_SEMI,
  [59665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_RPAREN,
  [59672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 1,
      sym_identifier,
  [59679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2878), 1,
      anon_sym_LBRACE,
  [59686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2880), 1,
      anon_sym_LBRACE,
  [59693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      anon_sym_RBRACE,
  [59700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_chan,
  [59707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 1,
      anon_sym_LBRACE,
  [59714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2398), 1,
      anon_sym_RBRACE,
  [59721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_LBRACE,
  [59728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      anon_sym_RBRACK,
  [59735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_LBRACE,
  [59742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      sym_identifier,
  [59749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_RBRACE,
  [59756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_RBRACK,
  [59763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2900), 1,
      anon_sym_chan,
  [59770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      anon_sym_chan,
  [59777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2904), 1,
      sym_identifier,
  [59784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_RPAREN,
  [59791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2908), 1,
      sym_identifier,
  [59798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2910), 1,
      anon_sym_RBRACE,
  [59805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2659), 1,
      anon_sym_RPAREN,
  [59812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_RPAREN,
  [59819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_RBRACK,
  [59826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2916), 1,
      sym_identifier,
  [59833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2575), 1,
      anon_sym_RPAREN,
  [59840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACE,
  [59847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2327), 1,
      anon_sym_RBRACE,
  [59854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_COLON,
  [59861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_RBRACK,
  [59868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_RPAREN,
  [59875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 1,
      anon_sym_COLON_EQ,
  [59882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_EQ,
  [59889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COLON,
  [59896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_RBRACK,
  [59903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_RPAREN,
  [59910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_RPAREN,
  [59917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_COLON,
  [59924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      ts_builtin_sym_end,
  [59931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
  [59938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 1,
      anon_sym_LBRACE,
  [59945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      sym_identifier,
  [59952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 1,
      anon_sym_RPAREN,
  [59959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_RPAREN,
  [59966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
  [59973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_LBRACE,
  [59980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2323), 1,
      anon_sym_RBRACE,
  [59987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_RPAREN,
  [59994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_RPAREN,
  [60001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 1,
      anon_sym_RPAREN,
  [60008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_RPAREN,
  [60015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 1,
      sym_identifier,
  [60022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACK,
  [60029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_RBRACE,
  [60036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACK,
  [60043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_RBRACK,
  [60050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACK,
  [60057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_RBRACE,
  [60064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2972), 1,
      anon_sym_LBRACK,
  [60071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_chan,
  [60078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_LBRACK,
  [60085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_RPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(28)] = 0,
  [SMALL_STATE(29)] = 119,
  [SMALL_STATE(30)] = 245,
  [SMALL_STATE(31)] = 371,
  [SMALL_STATE(32)] = 497,
  [SMALL_STATE(33)] = 623,
  [SMALL_STATE(34)] = 749,
  [SMALL_STATE(35)] = 875,
  [SMALL_STATE(36)] = 998,
  [SMALL_STATE(37)] = 1121,
  [SMALL_STATE(38)] = 1244,
  [SMALL_STATE(39)] = 1367,
  [SMALL_STATE(40)] = 1490,
  [SMALL_STATE(41)] = 1613,
  [SMALL_STATE(42)] = 1736,
  [SMALL_STATE(43)] = 1859,
  [SMALL_STATE(44)] = 1982,
  [SMALL_STATE(45)] = 2105,
  [SMALL_STATE(46)] = 2228,
  [SMALL_STATE(47)] = 2351,
  [SMALL_STATE(48)] = 2471,
  [SMALL_STATE(49)] = 2586,
  [SMALL_STATE(50)] = 2703,
  [SMALL_STATE(51)] = 2817,
  [SMALL_STATE(52)] = 2931,
  [SMALL_STATE(53)] = 3045,
  [SMALL_STATE(54)] = 3159,
  [SMALL_STATE(55)] = 3273,
  [SMALL_STATE(56)] = 3387,
  [SMALL_STATE(57)] = 3501,
  [SMALL_STATE(58)] = 3615,
  [SMALL_STATE(59)] = 3729,
  [SMALL_STATE(60)] = 3843,
  [SMALL_STATE(61)] = 3957,
  [SMALL_STATE(62)] = 4071,
  [SMALL_STATE(63)] = 4185,
  [SMALL_STATE(64)] = 4299,
  [SMALL_STATE(65)] = 4413,
  [SMALL_STATE(66)] = 4527,
  [SMALL_STATE(67)] = 4641,
  [SMALL_STATE(68)] = 4755,
  [SMALL_STATE(69)] = 4869,
  [SMALL_STATE(70)] = 4983,
  [SMALL_STATE(71)] = 5097,
  [SMALL_STATE(72)] = 5211,
  [SMALL_STATE(73)] = 5325,
  [SMALL_STATE(74)] = 5439,
  [SMALL_STATE(75)] = 5553,
  [SMALL_STATE(76)] = 5667,
  [SMALL_STATE(77)] = 5781,
  [SMALL_STATE(78)] = 5895,
  [SMALL_STATE(79)] = 6009,
  [SMALL_STATE(80)] = 6123,
  [SMALL_STATE(81)] = 6237,
  [SMALL_STATE(82)] = 6348,
  [SMALL_STATE(83)] = 6459,
  [SMALL_STATE(84)] = 6570,
  [SMALL_STATE(85)] = 6681,
  [SMALL_STATE(86)] = 6792,
  [SMALL_STATE(87)] = 6903,
  [SMALL_STATE(88)] = 7014,
  [SMALL_STATE(89)] = 7125,
  [SMALL_STATE(90)] = 7236,
  [SMALL_STATE(91)] = 7347,
  [SMALL_STATE(92)] = 7458,
  [SMALL_STATE(93)] = 7569,
  [SMALL_STATE(94)] = 7680,
  [SMALL_STATE(95)] = 7791,
  [SMALL_STATE(96)] = 7902,
  [SMALL_STATE(97)] = 8013,
  [SMALL_STATE(98)] = 8124,
  [SMALL_STATE(99)] = 8235,
  [SMALL_STATE(100)] = 8346,
  [SMALL_STATE(101)] = 8457,
  [SMALL_STATE(102)] = 8568,
  [SMALL_STATE(103)] = 8679,
  [SMALL_STATE(104)] = 8790,
  [SMALL_STATE(105)] = 8901,
  [SMALL_STATE(106)] = 9012,
  [SMALL_STATE(107)] = 9123,
  [SMALL_STATE(108)] = 9234,
  [SMALL_STATE(109)] = 9345,
  [SMALL_STATE(110)] = 9456,
  [SMALL_STATE(111)] = 9567,
  [SMALL_STATE(112)] = 9678,
  [SMALL_STATE(113)] = 9789,
  [SMALL_STATE(114)] = 9900,
  [SMALL_STATE(115)] = 10011,
  [SMALL_STATE(116)] = 10122,
  [SMALL_STATE(117)] = 10233,
  [SMALL_STATE(118)] = 10344,
  [SMALL_STATE(119)] = 10455,
  [SMALL_STATE(120)] = 10566,
  [SMALL_STATE(121)] = 10677,
  [SMALL_STATE(122)] = 10788,
  [SMALL_STATE(123)] = 10899,
  [SMALL_STATE(124)] = 11010,
  [SMALL_STATE(125)] = 11121,
  [SMALL_STATE(126)] = 11232,
  [SMALL_STATE(127)] = 11343,
  [SMALL_STATE(128)] = 11454,
  [SMALL_STATE(129)] = 11565,
  [SMALL_STATE(130)] = 11676,
  [SMALL_STATE(131)] = 11784,
  [SMALL_STATE(132)] = 11892,
  [SMALL_STATE(133)] = 12000,
  [SMALL_STATE(134)] = 12108,
  [SMALL_STATE(135)] = 12216,
  [SMALL_STATE(136)] = 12324,
  [SMALL_STATE(137)] = 12432,
  [SMALL_STATE(138)] = 12540,
  [SMALL_STATE(139)] = 12648,
  [SMALL_STATE(140)] = 12756,
  [SMALL_STATE(141)] = 12864,
  [SMALL_STATE(142)] = 12972,
  [SMALL_STATE(143)] = 13080,
  [SMALL_STATE(144)] = 13188,
  [SMALL_STATE(145)] = 13296,
  [SMALL_STATE(146)] = 13404,
  [SMALL_STATE(147)] = 13512,
  [SMALL_STATE(148)] = 13620,
  [SMALL_STATE(149)] = 13728,
  [SMALL_STATE(150)] = 13836,
  [SMALL_STATE(151)] = 13944,
  [SMALL_STATE(152)] = 14052,
  [SMALL_STATE(153)] = 14160,
  [SMALL_STATE(154)] = 14268,
  [SMALL_STATE(155)] = 14376,
  [SMALL_STATE(156)] = 14484,
  [SMALL_STATE(157)] = 14592,
  [SMALL_STATE(158)] = 14700,
  [SMALL_STATE(159)] = 14808,
  [SMALL_STATE(160)] = 14916,
  [SMALL_STATE(161)] = 15024,
  [SMALL_STATE(162)] = 15132,
  [SMALL_STATE(163)] = 15240,
  [SMALL_STATE(164)] = 15348,
  [SMALL_STATE(165)] = 15456,
  [SMALL_STATE(166)] = 15564,
  [SMALL_STATE(167)] = 15672,
  [SMALL_STATE(168)] = 15780,
  [SMALL_STATE(169)] = 15888,
  [SMALL_STATE(170)] = 15996,
  [SMALL_STATE(171)] = 16104,
  [SMALL_STATE(172)] = 16212,
  [SMALL_STATE(173)] = 16320,
  [SMALL_STATE(174)] = 16428,
  [SMALL_STATE(175)] = 16536,
  [SMALL_STATE(176)] = 16644,
  [SMALL_STATE(177)] = 16752,
  [SMALL_STATE(178)] = 16860,
  [SMALL_STATE(179)] = 16968,
  [SMALL_STATE(180)] = 17076,
  [SMALL_STATE(181)] = 17184,
  [SMALL_STATE(182)] = 17292,
  [SMALL_STATE(183)] = 17400,
  [SMALL_STATE(184)] = 17508,
  [SMALL_STATE(185)] = 17616,
  [SMALL_STATE(186)] = 17724,
  [SMALL_STATE(187)] = 17832,
  [SMALL_STATE(188)] = 17940,
  [SMALL_STATE(189)] = 18048,
  [SMALL_STATE(190)] = 18156,
  [SMALL_STATE(191)] = 18264,
  [SMALL_STATE(192)] = 18372,
  [SMALL_STATE(193)] = 18480,
  [SMALL_STATE(194)] = 18588,
  [SMALL_STATE(195)] = 18696,
  [SMALL_STATE(196)] = 18804,
  [SMALL_STATE(197)] = 18912,
  [SMALL_STATE(198)] = 19020,
  [SMALL_STATE(199)] = 19128,
  [SMALL_STATE(200)] = 19236,
  [SMALL_STATE(201)] = 19344,
  [SMALL_STATE(202)] = 19452,
  [SMALL_STATE(203)] = 19560,
  [SMALL_STATE(204)] = 19668,
  [SMALL_STATE(205)] = 19776,
  [SMALL_STATE(206)] = 19884,
  [SMALL_STATE(207)] = 19992,
  [SMALL_STATE(208)] = 20100,
  [SMALL_STATE(209)] = 20208,
  [SMALL_STATE(210)] = 20316,
  [SMALL_STATE(211)] = 20424,
  [SMALL_STATE(212)] = 20532,
  [SMALL_STATE(213)] = 20640,
  [SMALL_STATE(214)] = 20748,
  [SMALL_STATE(215)] = 20856,
  [SMALL_STATE(216)] = 20964,
  [SMALL_STATE(217)] = 21072,
  [SMALL_STATE(218)] = 21180,
  [SMALL_STATE(219)] = 21288,
  [SMALL_STATE(220)] = 21396,
  [SMALL_STATE(221)] = 21504,
  [SMALL_STATE(222)] = 21612,
  [SMALL_STATE(223)] = 21720,
  [SMALL_STATE(224)] = 21828,
  [SMALL_STATE(225)] = 21936,
  [SMALL_STATE(226)] = 22044,
  [SMALL_STATE(227)] = 22152,
  [SMALL_STATE(228)] = 22260,
  [SMALL_STATE(229)] = 22368,
  [SMALL_STATE(230)] = 22476,
  [SMALL_STATE(231)] = 22584,
  [SMALL_STATE(232)] = 22692,
  [SMALL_STATE(233)] = 22800,
  [SMALL_STATE(234)] = 22908,
  [SMALL_STATE(235)] = 23016,
  [SMALL_STATE(236)] = 23116,
  [SMALL_STATE(237)] = 23187,
  [SMALL_STATE(238)] = 23258,
  [SMALL_STATE(239)] = 23346,
  [SMALL_STATE(240)] = 23414,
  [SMALL_STATE(241)] = 23483,
  [SMALL_STATE(242)] = 23538,
  [SMALL_STATE(243)] = 23611,
  [SMALL_STATE(244)] = 23682,
  [SMALL_STATE(245)] = 23747,
  [SMALL_STATE(246)] = 23814,
  [SMALL_STATE(247)] = 23879,
  [SMALL_STATE(248)] = 23933,
  [SMALL_STATE(249)] = 23991,
  [SMALL_STATE(250)] = 24045,
  [SMALL_STATE(251)] = 24099,
  [SMALL_STATE(252)] = 24153,
  [SMALL_STATE(253)] = 24206,
  [SMALL_STATE(254)] = 24259,
  [SMALL_STATE(255)] = 24312,
  [SMALL_STATE(256)] = 24365,
  [SMALL_STATE(257)] = 24418,
  [SMALL_STATE(258)] = 24471,
  [SMALL_STATE(259)] = 24524,
  [SMALL_STATE(260)] = 24577,
  [SMALL_STATE(261)] = 24630,
  [SMALL_STATE(262)] = 24683,
  [SMALL_STATE(263)] = 24736,
  [SMALL_STATE(264)] = 24789,
  [SMALL_STATE(265)] = 24842,
  [SMALL_STATE(266)] = 24895,
  [SMALL_STATE(267)] = 24948,
  [SMALL_STATE(268)] = 25001,
  [SMALL_STATE(269)] = 25054,
  [SMALL_STATE(270)] = 25107,
  [SMALL_STATE(271)] = 25160,
  [SMALL_STATE(272)] = 25213,
  [SMALL_STATE(273)] = 25266,
  [SMALL_STATE(274)] = 25319,
  [SMALL_STATE(275)] = 25372,
  [SMALL_STATE(276)] = 25425,
  [SMALL_STATE(277)] = 25478,
  [SMALL_STATE(278)] = 25569,
  [SMALL_STATE(279)] = 25622,
  [SMALL_STATE(280)] = 25713,
  [SMALL_STATE(281)] = 25766,
  [SMALL_STATE(282)] = 25819,
  [SMALL_STATE(283)] = 25872,
  [SMALL_STATE(284)] = 25925,
  [SMALL_STATE(285)] = 25978,
  [SMALL_STATE(286)] = 26031,
  [SMALL_STATE(287)] = 26084,
  [SMALL_STATE(288)] = 26172,
  [SMALL_STATE(289)] = 26241,
  [SMALL_STATE(290)] = 26326,
  [SMALL_STATE(291)] = 26391,
  [SMALL_STATE(292)] = 26452,
  [SMALL_STATE(293)] = 26523,
  [SMALL_STATE(294)] = 26584,
  [SMALL_STATE(295)] = 26645,
  [SMALL_STATE(296)] = 26708,
  [SMALL_STATE(297)] = 26762,
  [SMALL_STATE(298)] = 26811,
  [SMALL_STATE(299)] = 26860,
  [SMALL_STATE(300)] = 26909,
  [SMALL_STATE(301)] = 26958,
  [SMALL_STATE(302)] = 27007,
  [SMALL_STATE(303)] = 27056,
  [SMALL_STATE(304)] = 27105,
  [SMALL_STATE(305)] = 27154,
  [SMALL_STATE(306)] = 27203,
  [SMALL_STATE(307)] = 27252,
  [SMALL_STATE(308)] = 27301,
  [SMALL_STATE(309)] = 27350,
  [SMALL_STATE(310)] = 27399,
  [SMALL_STATE(311)] = 27448,
  [SMALL_STATE(312)] = 27497,
  [SMALL_STATE(313)] = 27546,
  [SMALL_STATE(314)] = 27595,
  [SMALL_STATE(315)] = 27644,
  [SMALL_STATE(316)] = 27693,
  [SMALL_STATE(317)] = 27742,
  [SMALL_STATE(318)] = 27791,
  [SMALL_STATE(319)] = 27840,
  [SMALL_STATE(320)] = 27889,
  [SMALL_STATE(321)] = 27938,
  [SMALL_STATE(322)] = 27987,
  [SMALL_STATE(323)] = 28036,
  [SMALL_STATE(324)] = 28085,
  [SMALL_STATE(325)] = 28134,
  [SMALL_STATE(326)] = 28183,
  [SMALL_STATE(327)] = 28232,
  [SMALL_STATE(328)] = 28281,
  [SMALL_STATE(329)] = 28330,
  [SMALL_STATE(330)] = 28379,
  [SMALL_STATE(331)] = 28428,
  [SMALL_STATE(332)] = 28477,
  [SMALL_STATE(333)] = 28526,
  [SMALL_STATE(334)] = 28575,
  [SMALL_STATE(335)] = 28634,
  [SMALL_STATE(336)] = 28698,
  [SMALL_STATE(337)] = 28754,
  [SMALL_STATE(338)] = 28822,
  [SMALL_STATE(339)] = 28878,
  [SMALL_STATE(340)] = 28944,
  [SMALL_STATE(341)] = 29002,
  [SMALL_STATE(342)] = 29062,
  [SMALL_STATE(343)] = 29111,
  [SMALL_STATE(344)] = 29155,
  [SMALL_STATE(345)] = 29199,
  [SMALL_STATE(346)] = 29243,
  [SMALL_STATE(347)] = 29287,
  [SMALL_STATE(348)] = 29331,
  [SMALL_STATE(349)] = 29375,
  [SMALL_STATE(350)] = 29419,
  [SMALL_STATE(351)] = 29463,
  [SMALL_STATE(352)] = 29507,
  [SMALL_STATE(353)] = 29551,
  [SMALL_STATE(354)] = 29595,
  [SMALL_STATE(355)] = 29639,
  [SMALL_STATE(356)] = 29683,
  [SMALL_STATE(357)] = 29727,
  [SMALL_STATE(358)] = 29771,
  [SMALL_STATE(359)] = 29815,
  [SMALL_STATE(360)] = 29859,
  [SMALL_STATE(361)] = 29903,
  [SMALL_STATE(362)] = 29947,
  [SMALL_STATE(363)] = 29991,
  [SMALL_STATE(364)] = 30035,
  [SMALL_STATE(365)] = 30079,
  [SMALL_STATE(366)] = 30123,
  [SMALL_STATE(367)] = 30167,
  [SMALL_STATE(368)] = 30211,
  [SMALL_STATE(369)] = 30255,
  [SMALL_STATE(370)] = 30299,
  [SMALL_STATE(371)] = 30343,
  [SMALL_STATE(372)] = 30387,
  [SMALL_STATE(373)] = 30431,
  [SMALL_STATE(374)] = 30475,
  [SMALL_STATE(375)] = 30519,
  [SMALL_STATE(376)] = 30563,
  [SMALL_STATE(377)] = 30607,
  [SMALL_STATE(378)] = 30651,
  [SMALL_STATE(379)] = 30695,
  [SMALL_STATE(380)] = 30739,
  [SMALL_STATE(381)] = 30824,
  [SMALL_STATE(382)] = 30895,
  [SMALL_STATE(383)] = 30966,
  [SMALL_STATE(384)] = 31018,
  [SMALL_STATE(385)] = 31070,
  [SMALL_STATE(386)] = 31145,
  [SMALL_STATE(387)] = 31198,
  [SMALL_STATE(388)] = 31273,
  [SMALL_STATE(389)] = 31318,
  [SMALL_STATE(390)] = 31358,
  [SMALL_STATE(391)] = 31398,
  [SMALL_STATE(392)] = 31450,
  [SMALL_STATE(393)] = 31490,
  [SMALL_STATE(394)] = 31530,
  [SMALL_STATE(395)] = 31570,
  [SMALL_STATE(396)] = 31610,
  [SMALL_STATE(397)] = 31674,
  [SMALL_STATE(398)] = 31714,
  [SMALL_STATE(399)] = 31754,
  [SMALL_STATE(400)] = 31794,
  [SMALL_STATE(401)] = 31834,
  [SMALL_STATE(402)] = 31874,
  [SMALL_STATE(403)] = 31914,
  [SMALL_STATE(404)] = 31954,
  [SMALL_STATE(405)] = 31994,
  [SMALL_STATE(406)] = 32034,
  [SMALL_STATE(407)] = 32074,
  [SMALL_STATE(408)] = 32114,
  [SMALL_STATE(409)] = 32154,
  [SMALL_STATE(410)] = 32194,
  [SMALL_STATE(411)] = 32234,
  [SMALL_STATE(412)] = 32274,
  [SMALL_STATE(413)] = 32314,
  [SMALL_STATE(414)] = 32354,
  [SMALL_STATE(415)] = 32394,
  [SMALL_STATE(416)] = 32434,
  [SMALL_STATE(417)] = 32474,
  [SMALL_STATE(418)] = 32514,
  [SMALL_STATE(419)] = 32554,
  [SMALL_STATE(420)] = 32594,
  [SMALL_STATE(421)] = 32634,
  [SMALL_STATE(422)] = 32674,
  [SMALL_STATE(423)] = 32714,
  [SMALL_STATE(424)] = 32754,
  [SMALL_STATE(425)] = 32794,
  [SMALL_STATE(426)] = 32834,
  [SMALL_STATE(427)] = 32874,
  [SMALL_STATE(428)] = 32914,
  [SMALL_STATE(429)] = 32963,
  [SMALL_STATE(430)] = 33026,
  [SMALL_STATE(431)] = 33091,
  [SMALL_STATE(432)] = 33140,
  [SMALL_STATE(433)] = 33199,
  [SMALL_STATE(434)] = 33250,
  [SMALL_STATE(435)] = 33303,
  [SMALL_STATE(436)] = 33358,
  [SMALL_STATE(437)] = 33415,
  [SMALL_STATE(438)] = 33476,
  [SMALL_STATE(439)] = 33541,
  [SMALL_STATE(440)] = 33594,
  [SMALL_STATE(441)] = 33651,
  [SMALL_STATE(442)] = 33709,
  [SMALL_STATE(443)] = 33767,
  [SMALL_STATE(444)] = 33837,
  [SMALL_STATE(445)] = 33909,
  [SMALL_STATE(446)] = 33977,
  [SMALL_STATE(447)] = 34035,
  [SMALL_STATE(448)] = 34085,
  [SMALL_STATE(449)] = 34127,
  [SMALL_STATE(450)] = 34197,
  [SMALL_STATE(451)] = 34267,
  [SMALL_STATE(452)] = 34341,
  [SMALL_STATE(453)] = 34378,
  [SMALL_STATE(454)] = 34415,
  [SMALL_STATE(455)] = 34484,
  [SMALL_STATE(456)] = 34521,
  [SMALL_STATE(457)] = 34586,
  [SMALL_STATE(458)] = 34655,
  [SMALL_STATE(459)] = 34702,
  [SMALL_STATE(460)] = 34739,
  [SMALL_STATE(461)] = 34776,
  [SMALL_STATE(462)] = 34823,
  [SMALL_STATE(463)] = 34860,
  [SMALL_STATE(464)] = 34897,
  [SMALL_STATE(465)] = 34958,
  [SMALL_STATE(466)] = 34995,
  [SMALL_STATE(467)] = 35032,
  [SMALL_STATE(468)] = 35091,
  [SMALL_STATE(469)] = 35128,
  [SMALL_STATE(470)] = 35165,
  [SMALL_STATE(471)] = 35230,
  [SMALL_STATE(472)] = 35267,
  [SMALL_STATE(473)] = 35304,
  [SMALL_STATE(474)] = 35341,
  [SMALL_STATE(475)] = 35378,
  [SMALL_STATE(476)] = 35415,
  [SMALL_STATE(477)] = 35470,
  [SMALL_STATE(478)] = 35521,
  [SMALL_STATE(479)] = 35558,
  [SMALL_STATE(480)] = 35595,
  [SMALL_STATE(481)] = 35632,
  [SMALL_STATE(482)] = 35669,
  [SMALL_STATE(483)] = 35706,
  [SMALL_STATE(484)] = 35743,
  [SMALL_STATE(485)] = 35780,
  [SMALL_STATE(486)] = 35817,
  [SMALL_STATE(487)] = 35854,
  [SMALL_STATE(488)] = 35891,
  [SMALL_STATE(489)] = 35928,
  [SMALL_STATE(490)] = 35997,
  [SMALL_STATE(491)] = 36066,
  [SMALL_STATE(492)] = 36135,
  [SMALL_STATE(493)] = 36172,
  [SMALL_STATE(494)] = 36209,
  [SMALL_STATE(495)] = 36246,
  [SMALL_STATE(496)] = 36283,
  [SMALL_STATE(497)] = 36320,
  [SMALL_STATE(498)] = 36357,
  [SMALL_STATE(499)] = 36394,
  [SMALL_STATE(500)] = 36457,
  [SMALL_STATE(501)] = 36494,
  [SMALL_STATE(502)] = 36563,
  [SMALL_STATE(503)] = 36600,
  [SMALL_STATE(504)] = 36637,
  [SMALL_STATE(505)] = 36703,
  [SMALL_STATE(506)] = 36769,
  [SMALL_STATE(507)] = 36835,
  [SMALL_STATE(508)] = 36901,
  [SMALL_STATE(509)] = 36965,
  [SMALL_STATE(510)] = 37031,
  [SMALL_STATE(511)] = 37095,
  [SMALL_STATE(512)] = 37161,
  [SMALL_STATE(513)] = 37227,
  [SMALL_STATE(514)] = 37293,
  [SMALL_STATE(515)] = 37359,
  [SMALL_STATE(516)] = 37407,
  [SMALL_STATE(517)] = 37473,
  [SMALL_STATE(518)] = 37525,
  [SMALL_STATE(519)] = 37591,
  [SMALL_STATE(520)] = 37657,
  [SMALL_STATE(521)] = 37723,
  [SMALL_STATE(522)] = 37763,
  [SMALL_STATE(523)] = 37798,
  [SMALL_STATE(524)] = 37863,
  [SMALL_STATE(525)] = 37898,
  [SMALL_STATE(526)] = 37933,
  [SMALL_STATE(527)] = 37978,
  [SMALL_STATE(528)] = 38013,
  [SMALL_STATE(529)] = 38076,
  [SMALL_STATE(530)] = 38141,
  [SMALL_STATE(531)] = 38204,
  [SMALL_STATE(532)] = 38269,
  [SMALL_STATE(533)] = 38326,
  [SMALL_STATE(534)] = 38381,
  [SMALL_STATE(535)] = 38434,
  [SMALL_STATE(536)] = 38499,
  [SMALL_STATE(537)] = 38534,
  [SMALL_STATE(538)] = 38583,
  [SMALL_STATE(539)] = 38646,
  [SMALL_STATE(540)] = 38709,
  [SMALL_STATE(541)] = 38744,
  [SMALL_STATE(542)] = 38779,
  [SMALL_STATE(543)] = 38814,
  [SMALL_STATE(544)] = 38849,
  [SMALL_STATE(545)] = 38912,
  [SMALL_STATE(546)] = 38975,
  [SMALL_STATE(547)] = 39010,
  [SMALL_STATE(548)] = 39045,
  [SMALL_STATE(549)] = 39080,
  [SMALL_STATE(550)] = 39143,
  [SMALL_STATE(551)] = 39178,
  [SMALL_STATE(552)] = 39213,
  [SMALL_STATE(553)] = 39248,
  [SMALL_STATE(554)] = 39311,
  [SMALL_STATE(555)] = 39346,
  [SMALL_STATE(556)] = 39381,
  [SMALL_STATE(557)] = 39416,
  [SMALL_STATE(558)] = 39451,
  [SMALL_STATE(559)] = 39486,
  [SMALL_STATE(560)] = 39549,
  [SMALL_STATE(561)] = 39584,
  [SMALL_STATE(562)] = 39619,
  [SMALL_STATE(563)] = 39654,
  [SMALL_STATE(564)] = 39689,
  [SMALL_STATE(565)] = 39752,
  [SMALL_STATE(566)] = 39813,
  [SMALL_STATE(567)] = 39848,
  [SMALL_STATE(568)] = 39883,
  [SMALL_STATE(569)] = 39918,
  [SMALL_STATE(570)] = 39953,
  [SMALL_STATE(571)] = 39988,
  [SMALL_STATE(572)] = 40023,
  [SMALL_STATE(573)] = 40058,
  [SMALL_STATE(574)] = 40093,
  [SMALL_STATE(575)] = 40156,
  [SMALL_STATE(576)] = 40191,
  [SMALL_STATE(577)] = 40226,
  [SMALL_STATE(578)] = 40261,
  [SMALL_STATE(579)] = 40296,
  [SMALL_STATE(580)] = 40353,
  [SMALL_STATE(581)] = 40408,
  [SMALL_STATE(582)] = 40461,
  [SMALL_STATE(583)] = 40510,
  [SMALL_STATE(584)] = 40569,
  [SMALL_STATE(585)] = 40632,
  [SMALL_STATE(586)] = 40667,
  [SMALL_STATE(587)] = 40729,
  [SMALL_STATE(588)] = 40789,
  [SMALL_STATE(589)] = 40851,
  [SMALL_STATE(590)] = 40911,
  [SMALL_STATE(591)] = 40971,
  [SMALL_STATE(592)] = 41031,
  [SMALL_STATE(593)] = 41093,
  [SMALL_STATE(594)] = 41155,
  [SMALL_STATE(595)] = 41217,
  [SMALL_STATE(596)] = 41277,
  [SMALL_STATE(597)] = 41337,
  [SMALL_STATE(598)] = 41397,
  [SMALL_STATE(599)] = 41457,
  [SMALL_STATE(600)] = 41517,
  [SMALL_STATE(601)] = 41579,
  [SMALL_STATE(602)] = 41639,
  [SMALL_STATE(603)] = 41697,
  [SMALL_STATE(604)] = 41757,
  [SMALL_STATE(605)] = 41817,
  [SMALL_STATE(606)] = 41879,
  [SMALL_STATE(607)] = 41941,
  [SMALL_STATE(608)] = 42005,
  [SMALL_STATE(609)] = 42065,
  [SMALL_STATE(610)] = 42125,
  [SMALL_STATE(611)] = 42187,
  [SMALL_STATE(612)] = 42251,
  [SMALL_STATE(613)] = 42309,
  [SMALL_STATE(614)] = 42369,
  [SMALL_STATE(615)] = 42429,
  [SMALL_STATE(616)] = 42489,
  [SMALL_STATE(617)] = 42547,
  [SMALL_STATE(618)] = 42609,
  [SMALL_STATE(619)] = 42669,
  [SMALL_STATE(620)] = 42729,
  [SMALL_STATE(621)] = 42791,
  [SMALL_STATE(622)] = 42853,
  [SMALL_STATE(623)] = 42915,
  [SMALL_STATE(624)] = 42975,
  [SMALL_STATE(625)] = 43035,
  [SMALL_STATE(626)] = 43095,
  [SMALL_STATE(627)] = 43157,
  [SMALL_STATE(628)] = 43217,
  [SMALL_STATE(629)] = 43277,
  [SMALL_STATE(630)] = 43337,
  [SMALL_STATE(631)] = 43397,
  [SMALL_STATE(632)] = 43454,
  [SMALL_STATE(633)] = 43513,
  [SMALL_STATE(634)] = 43570,
  [SMALL_STATE(635)] = 43627,
  [SMALL_STATE(636)] = 43686,
  [SMALL_STATE(637)] = 43745,
  [SMALL_STATE(638)] = 43802,
  [SMALL_STATE(639)] = 43861,
  [SMALL_STATE(640)] = 43920,
  [SMALL_STATE(641)] = 43977,
  [SMALL_STATE(642)] = 44034,
  [SMALL_STATE(643)] = 44091,
  [SMALL_STATE(644)] = 44150,
  [SMALL_STATE(645)] = 44209,
  [SMALL_STATE(646)] = 44266,
  [SMALL_STATE(647)] = 44323,
  [SMALL_STATE(648)] = 44380,
  [SMALL_STATE(649)] = 44437,
  [SMALL_STATE(650)] = 44494,
  [SMALL_STATE(651)] = 44551,
  [SMALL_STATE(652)] = 44608,
  [SMALL_STATE(653)] = 44665,
  [SMALL_STATE(654)] = 44724,
  [SMALL_STATE(655)] = 44783,
  [SMALL_STATE(656)] = 44842,
  [SMALL_STATE(657)] = 44901,
  [SMALL_STATE(658)] = 44958,
  [SMALL_STATE(659)] = 45015,
  [SMALL_STATE(660)] = 45074,
  [SMALL_STATE(661)] = 45133,
  [SMALL_STATE(662)] = 45192,
  [SMALL_STATE(663)] = 45249,
  [SMALL_STATE(664)] = 45306,
  [SMALL_STATE(665)] = 45365,
  [SMALL_STATE(666)] = 45422,
  [SMALL_STATE(667)] = 45479,
  [SMALL_STATE(668)] = 45536,
  [SMALL_STATE(669)] = 45593,
  [SMALL_STATE(670)] = 45650,
  [SMALL_STATE(671)] = 45707,
  [SMALL_STATE(672)] = 45764,
  [SMALL_STATE(673)] = 45823,
  [SMALL_STATE(674)] = 45880,
  [SMALL_STATE(675)] = 45939,
  [SMALL_STATE(676)] = 45998,
  [SMALL_STATE(677)] = 46057,
  [SMALL_STATE(678)] = 46114,
  [SMALL_STATE(679)] = 46173,
  [SMALL_STATE(680)] = 46230,
  [SMALL_STATE(681)] = 46287,
  [SMALL_STATE(682)] = 46343,
  [SMALL_STATE(683)] = 46399,
  [SMALL_STATE(684)] = 46455,
  [SMALL_STATE(685)] = 46511,
  [SMALL_STATE(686)] = 46567,
  [SMALL_STATE(687)] = 46623,
  [SMALL_STATE(688)] = 46679,
  [SMALL_STATE(689)] = 46735,
  [SMALL_STATE(690)] = 46791,
  [SMALL_STATE(691)] = 46845,
  [SMALL_STATE(692)] = 46901,
  [SMALL_STATE(693)] = 46957,
  [SMALL_STATE(694)] = 47013,
  [SMALL_STATE(695)] = 47069,
  [SMALL_STATE(696)] = 47125,
  [SMALL_STATE(697)] = 47181,
  [SMALL_STATE(698)] = 47237,
  [SMALL_STATE(699)] = 47293,
  [SMALL_STATE(700)] = 47349,
  [SMALL_STATE(701)] = 47405,
  [SMALL_STATE(702)] = 47461,
  [SMALL_STATE(703)] = 47517,
  [SMALL_STATE(704)] = 47573,
  [SMALL_STATE(705)] = 47629,
  [SMALL_STATE(706)] = 47685,
  [SMALL_STATE(707)] = 47741,
  [SMALL_STATE(708)] = 47797,
  [SMALL_STATE(709)] = 47853,
  [SMALL_STATE(710)] = 47909,
  [SMALL_STATE(711)] = 47965,
  [SMALL_STATE(712)] = 48021,
  [SMALL_STATE(713)] = 48077,
  [SMALL_STATE(714)] = 48133,
  [SMALL_STATE(715)] = 48189,
  [SMALL_STATE(716)] = 48245,
  [SMALL_STATE(717)] = 48301,
  [SMALL_STATE(718)] = 48357,
  [SMALL_STATE(719)] = 48413,
  [SMALL_STATE(720)] = 48469,
  [SMALL_STATE(721)] = 48525,
  [SMALL_STATE(722)] = 48581,
  [SMALL_STATE(723)] = 48637,
  [SMALL_STATE(724)] = 48693,
  [SMALL_STATE(725)] = 48749,
  [SMALL_STATE(726)] = 48805,
  [SMALL_STATE(727)] = 48861,
  [SMALL_STATE(728)] = 48917,
  [SMALL_STATE(729)] = 48973,
  [SMALL_STATE(730)] = 49029,
  [SMALL_STATE(731)] = 49085,
  [SMALL_STATE(732)] = 49141,
  [SMALL_STATE(733)] = 49197,
  [SMALL_STATE(734)] = 49253,
  [SMALL_STATE(735)] = 49309,
  [SMALL_STATE(736)] = 49365,
  [SMALL_STATE(737)] = 49421,
  [SMALL_STATE(738)] = 49477,
  [SMALL_STATE(739)] = 49533,
  [SMALL_STATE(740)] = 49589,
  [SMALL_STATE(741)] = 49645,
  [SMALL_STATE(742)] = 49701,
  [SMALL_STATE(743)] = 49757,
  [SMALL_STATE(744)] = 49813,
  [SMALL_STATE(745)] = 49869,
  [SMALL_STATE(746)] = 49925,
  [SMALL_STATE(747)] = 49981,
  [SMALL_STATE(748)] = 50037,
  [SMALL_STATE(749)] = 50093,
  [SMALL_STATE(750)] = 50149,
  [SMALL_STATE(751)] = 50205,
  [SMALL_STATE(752)] = 50261,
  [SMALL_STATE(753)] = 50317,
  [SMALL_STATE(754)] = 50373,
  [SMALL_STATE(755)] = 50429,
  [SMALL_STATE(756)] = 50485,
  [SMALL_STATE(757)] = 50541,
  [SMALL_STATE(758)] = 50597,
  [SMALL_STATE(759)] = 50653,
  [SMALL_STATE(760)] = 50709,
  [SMALL_STATE(761)] = 50765,
  [SMALL_STATE(762)] = 50821,
  [SMALL_STATE(763)] = 50877,
  [SMALL_STATE(764)] = 50933,
  [SMALL_STATE(765)] = 50989,
  [SMALL_STATE(766)] = 51045,
  [SMALL_STATE(767)] = 51101,
  [SMALL_STATE(768)] = 51157,
  [SMALL_STATE(769)] = 51213,
  [SMALL_STATE(770)] = 51243,
  [SMALL_STATE(771)] = 51273,
  [SMALL_STATE(772)] = 51303,
  [SMALL_STATE(773)] = 51333,
  [SMALL_STATE(774)] = 51365,
  [SMALL_STATE(775)] = 51392,
  [SMALL_STATE(776)] = 51418,
  [SMALL_STATE(777)] = 51444,
  [SMALL_STATE(778)] = 51470,
  [SMALL_STATE(779)] = 51496,
  [SMALL_STATE(780)] = 51520,
  [SMALL_STATE(781)] = 51544,
  [SMALL_STATE(782)] = 51568,
  [SMALL_STATE(783)] = 51592,
  [SMALL_STATE(784)] = 51617,
  [SMALL_STATE(785)] = 51642,
  [SMALL_STATE(786)] = 51668,
  [SMALL_STATE(787)] = 51696,
  [SMALL_STATE(788)] = 51724,
  [SMALL_STATE(789)] = 51749,
  [SMALL_STATE(790)] = 51774,
  [SMALL_STATE(791)] = 51795,
  [SMALL_STATE(792)] = 51820,
  [SMALL_STATE(793)] = 51841,
  [SMALL_STATE(794)] = 51866,
  [SMALL_STATE(795)] = 51887,
  [SMALL_STATE(796)] = 51908,
  [SMALL_STATE(797)] = 51931,
  [SMALL_STATE(798)] = 51952,
  [SMALL_STATE(799)] = 51972,
  [SMALL_STATE(800)] = 51992,
  [SMALL_STATE(801)] = 52012,
  [SMALL_STATE(802)] = 52032,
  [SMALL_STATE(803)] = 52052,
  [SMALL_STATE(804)] = 52072,
  [SMALL_STATE(805)] = 52092,
  [SMALL_STATE(806)] = 52112,
  [SMALL_STATE(807)] = 52132,
  [SMALL_STATE(808)] = 52152,
  [SMALL_STATE(809)] = 52172,
  [SMALL_STATE(810)] = 52192,
  [SMALL_STATE(811)] = 52212,
  [SMALL_STATE(812)] = 52232,
  [SMALL_STATE(813)] = 52252,
  [SMALL_STATE(814)] = 52272,
  [SMALL_STATE(815)] = 52292,
  [SMALL_STATE(816)] = 52312,
  [SMALL_STATE(817)] = 52332,
  [SMALL_STATE(818)] = 52352,
  [SMALL_STATE(819)] = 52372,
  [SMALL_STATE(820)] = 52392,
  [SMALL_STATE(821)] = 52412,
  [SMALL_STATE(822)] = 52432,
  [SMALL_STATE(823)] = 52452,
  [SMALL_STATE(824)] = 52472,
  [SMALL_STATE(825)] = 52492,
  [SMALL_STATE(826)] = 52512,
  [SMALL_STATE(827)] = 52532,
  [SMALL_STATE(828)] = 52551,
  [SMALL_STATE(829)] = 52570,
  [SMALL_STATE(830)] = 52589,
  [SMALL_STATE(831)] = 52612,
  [SMALL_STATE(832)] = 52634,
  [SMALL_STATE(833)] = 52666,
  [SMALL_STATE(834)] = 52698,
  [SMALL_STATE(835)] = 52718,
  [SMALL_STATE(836)] = 52746,
  [SMALL_STATE(837)] = 52776,
  [SMALL_STATE(838)] = 52791,
  [SMALL_STATE(839)] = 52806,
  [SMALL_STATE(840)] = 52821,
  [SMALL_STATE(841)] = 52848,
  [SMALL_STATE(842)] = 52863,
  [SMALL_STATE(843)] = 52894,
  [SMALL_STATE(844)] = 52909,
  [SMALL_STATE(845)] = 52940,
  [SMALL_STATE(846)] = 52955,
  [SMALL_STATE(847)] = 52970,
  [SMALL_STATE(848)] = 52985,
  [SMALL_STATE(849)] = 53000,
  [SMALL_STATE(850)] = 53015,
  [SMALL_STATE(851)] = 53030,
  [SMALL_STATE(852)] = 53045,
  [SMALL_STATE(853)] = 53060,
  [SMALL_STATE(854)] = 53079,
  [SMALL_STATE(855)] = 53094,
  [SMALL_STATE(856)] = 53109,
  [SMALL_STATE(857)] = 53124,
  [SMALL_STATE(858)] = 53139,
  [SMALL_STATE(859)] = 53154,
  [SMALL_STATE(860)] = 53169,
  [SMALL_STATE(861)] = 53184,
  [SMALL_STATE(862)] = 53199,
  [SMALL_STATE(863)] = 53214,
  [SMALL_STATE(864)] = 53245,
  [SMALL_STATE(865)] = 53260,
  [SMALL_STATE(866)] = 53287,
  [SMALL_STATE(867)] = 53318,
  [SMALL_STATE(868)] = 53333,
  [SMALL_STATE(869)] = 53348,
  [SMALL_STATE(870)] = 53371,
  [SMALL_STATE(871)] = 53386,
  [SMALL_STATE(872)] = 53417,
  [SMALL_STATE(873)] = 53448,
  [SMALL_STATE(874)] = 53463,
  [SMALL_STATE(875)] = 53483,
  [SMALL_STATE(876)] = 53503,
  [SMALL_STATE(877)] = 53531,
  [SMALL_STATE(878)] = 53559,
  [SMALL_STATE(879)] = 53587,
  [SMALL_STATE(880)] = 53615,
  [SMALL_STATE(881)] = 53643,
  [SMALL_STATE(882)] = 53665,
  [SMALL_STATE(883)] = 53693,
  [SMALL_STATE(884)] = 53711,
  [SMALL_STATE(885)] = 53739,
  [SMALL_STATE(886)] = 53767,
  [SMALL_STATE(887)] = 53789,
  [SMALL_STATE(888)] = 53807,
  [SMALL_STATE(889)] = 53835,
  [SMALL_STATE(890)] = 53863,
  [SMALL_STATE(891)] = 53880,
  [SMALL_STATE(892)] = 53897,
  [SMALL_STATE(893)] = 53918,
  [SMALL_STATE(894)] = 53935,
  [SMALL_STATE(895)] = 53954,
  [SMALL_STATE(896)] = 53975,
  [SMALL_STATE(897)] = 53992,
  [SMALL_STATE(898)] = 54013,
  [SMALL_STATE(899)] = 54034,
  [SMALL_STATE(900)] = 54053,
  [SMALL_STATE(901)] = 54070,
  [SMALL_STATE(902)] = 54091,
  [SMALL_STATE(903)] = 54110,
  [SMALL_STATE(904)] = 54129,
  [SMALL_STATE(905)] = 54146,
  [SMALL_STATE(906)] = 54171,
  [SMALL_STATE(907)] = 54190,
  [SMALL_STATE(908)] = 54204,
  [SMALL_STATE(909)] = 54222,
  [SMALL_STATE(910)] = 54236,
  [SMALL_STATE(911)] = 54250,
  [SMALL_STATE(912)] = 54264,
  [SMALL_STATE(913)] = 54278,
  [SMALL_STATE(914)] = 54292,
  [SMALL_STATE(915)] = 54306,
  [SMALL_STATE(916)] = 54320,
  [SMALL_STATE(917)] = 54334,
  [SMALL_STATE(918)] = 54348,
  [SMALL_STATE(919)] = 54362,
  [SMALL_STATE(920)] = 54376,
  [SMALL_STATE(921)] = 54390,
  [SMALL_STATE(922)] = 54404,
  [SMALL_STATE(923)] = 54422,
  [SMALL_STATE(924)] = 54436,
  [SMALL_STATE(925)] = 54450,
  [SMALL_STATE(926)] = 54464,
  [SMALL_STATE(927)] = 54478,
  [SMALL_STATE(928)] = 54498,
  [SMALL_STATE(929)] = 54512,
  [SMALL_STATE(930)] = 54526,
  [SMALL_STATE(931)] = 54540,
  [SMALL_STATE(932)] = 54554,
  [SMALL_STATE(933)] = 54568,
  [SMALL_STATE(934)] = 54586,
  [SMALL_STATE(935)] = 54600,
  [SMALL_STATE(936)] = 54614,
  [SMALL_STATE(937)] = 54628,
  [SMALL_STATE(938)] = 54642,
  [SMALL_STATE(939)] = 54656,
  [SMALL_STATE(940)] = 54670,
  [SMALL_STATE(941)] = 54684,
  [SMALL_STATE(942)] = 54698,
  [SMALL_STATE(943)] = 54716,
  [SMALL_STATE(944)] = 54730,
  [SMALL_STATE(945)] = 54744,
  [SMALL_STATE(946)] = 54762,
  [SMALL_STATE(947)] = 54776,
  [SMALL_STATE(948)] = 54790,
  [SMALL_STATE(949)] = 54804,
  [SMALL_STATE(950)] = 54818,
  [SMALL_STATE(951)] = 54836,
  [SMALL_STATE(952)] = 54850,
  [SMALL_STATE(953)] = 54864,
  [SMALL_STATE(954)] = 54882,
  [SMALL_STATE(955)] = 54896,
  [SMALL_STATE(956)] = 54914,
  [SMALL_STATE(957)] = 54928,
  [SMALL_STATE(958)] = 54942,
  [SMALL_STATE(959)] = 54960,
  [SMALL_STATE(960)] = 54974,
  [SMALL_STATE(961)] = 54988,
  [SMALL_STATE(962)] = 55002,
  [SMALL_STATE(963)] = 55016,
  [SMALL_STATE(964)] = 55030,
  [SMALL_STATE(965)] = 55048,
  [SMALL_STATE(966)] = 55062,
  [SMALL_STATE(967)] = 55080,
  [SMALL_STATE(968)] = 55092,
  [SMALL_STATE(969)] = 55110,
  [SMALL_STATE(970)] = 55124,
  [SMALL_STATE(971)] = 55138,
  [SMALL_STATE(972)] = 55152,
  [SMALL_STATE(973)] = 55166,
  [SMALL_STATE(974)] = 55180,
  [SMALL_STATE(975)] = 55198,
  [SMALL_STATE(976)] = 55216,
  [SMALL_STATE(977)] = 55230,
  [SMALL_STATE(978)] = 55244,
  [SMALL_STATE(979)] = 55262,
  [SMALL_STATE(980)] = 55276,
  [SMALL_STATE(981)] = 55290,
  [SMALL_STATE(982)] = 55304,
  [SMALL_STATE(983)] = 55318,
  [SMALL_STATE(984)] = 55332,
  [SMALL_STATE(985)] = 55346,
  [SMALL_STATE(986)] = 55364,
  [SMALL_STATE(987)] = 55378,
  [SMALL_STATE(988)] = 55392,
  [SMALL_STATE(989)] = 55414,
  [SMALL_STATE(990)] = 55432,
  [SMALL_STATE(991)] = 55446,
  [SMALL_STATE(992)] = 55460,
  [SMALL_STATE(993)] = 55474,
  [SMALL_STATE(994)] = 55492,
  [SMALL_STATE(995)] = 55506,
  [SMALL_STATE(996)] = 55520,
  [SMALL_STATE(997)] = 55534,
  [SMALL_STATE(998)] = 55548,
  [SMALL_STATE(999)] = 55562,
  [SMALL_STATE(1000)] = 55580,
  [SMALL_STATE(1001)] = 55594,
  [SMALL_STATE(1002)] = 55608,
  [SMALL_STATE(1003)] = 55626,
  [SMALL_STATE(1004)] = 55640,
  [SMALL_STATE(1005)] = 55658,
  [SMALL_STATE(1006)] = 55672,
  [SMALL_STATE(1007)] = 55694,
  [SMALL_STATE(1008)] = 55712,
  [SMALL_STATE(1009)] = 55726,
  [SMALL_STATE(1010)] = 55744,
  [SMALL_STATE(1011)] = 55758,
  [SMALL_STATE(1012)] = 55775,
  [SMALL_STATE(1013)] = 55792,
  [SMALL_STATE(1014)] = 55805,
  [SMALL_STATE(1015)] = 55824,
  [SMALL_STATE(1016)] = 55841,
  [SMALL_STATE(1017)] = 55858,
  [SMALL_STATE(1018)] = 55875,
  [SMALL_STATE(1019)] = 55892,
  [SMALL_STATE(1020)] = 55909,
  [SMALL_STATE(1021)] = 55926,
  [SMALL_STATE(1022)] = 55943,
  [SMALL_STATE(1023)] = 55962,
  [SMALL_STATE(1024)] = 55979,
  [SMALL_STATE(1025)] = 55996,
  [SMALL_STATE(1026)] = 56013,
  [SMALL_STATE(1027)] = 56030,
  [SMALL_STATE(1028)] = 56049,
  [SMALL_STATE(1029)] = 56068,
  [SMALL_STATE(1030)] = 56085,
  [SMALL_STATE(1031)] = 56102,
  [SMALL_STATE(1032)] = 56119,
  [SMALL_STATE(1033)] = 56136,
  [SMALL_STATE(1034)] = 56153,
  [SMALL_STATE(1035)] = 56172,
  [SMALL_STATE(1036)] = 56189,
  [SMALL_STATE(1037)] = 56206,
  [SMALL_STATE(1038)] = 56223,
  [SMALL_STATE(1039)] = 56240,
  [SMALL_STATE(1040)] = 56257,
  [SMALL_STATE(1041)] = 56274,
  [SMALL_STATE(1042)] = 56293,
  [SMALL_STATE(1043)] = 56310,
  [SMALL_STATE(1044)] = 56324,
  [SMALL_STATE(1045)] = 56336,
  [SMALL_STATE(1046)] = 56352,
  [SMALL_STATE(1047)] = 56366,
  [SMALL_STATE(1048)] = 56380,
  [SMALL_STATE(1049)] = 56396,
  [SMALL_STATE(1050)] = 56412,
  [SMALL_STATE(1051)] = 56426,
  [SMALL_STATE(1052)] = 56440,
  [SMALL_STATE(1053)] = 56454,
  [SMALL_STATE(1054)] = 56466,
  [SMALL_STATE(1055)] = 56480,
  [SMALL_STATE(1056)] = 56494,
  [SMALL_STATE(1057)] = 56510,
  [SMALL_STATE(1058)] = 56524,
  [SMALL_STATE(1059)] = 56536,
  [SMALL_STATE(1060)] = 56548,
  [SMALL_STATE(1061)] = 56562,
  [SMALL_STATE(1062)] = 56574,
  [SMALL_STATE(1063)] = 56590,
  [SMALL_STATE(1064)] = 56602,
  [SMALL_STATE(1065)] = 56614,
  [SMALL_STATE(1066)] = 56626,
  [SMALL_STATE(1067)] = 56638,
  [SMALL_STATE(1068)] = 56652,
  [SMALL_STATE(1069)] = 56664,
  [SMALL_STATE(1070)] = 56680,
  [SMALL_STATE(1071)] = 56694,
  [SMALL_STATE(1072)] = 56708,
  [SMALL_STATE(1073)] = 56722,
  [SMALL_STATE(1074)] = 56734,
  [SMALL_STATE(1075)] = 56748,
  [SMALL_STATE(1076)] = 56764,
  [SMALL_STATE(1077)] = 56776,
  [SMALL_STATE(1078)] = 56792,
  [SMALL_STATE(1079)] = 56808,
  [SMALL_STATE(1080)] = 56820,
  [SMALL_STATE(1081)] = 56832,
  [SMALL_STATE(1082)] = 56844,
  [SMALL_STATE(1083)] = 56856,
  [SMALL_STATE(1084)] = 56868,
  [SMALL_STATE(1085)] = 56880,
  [SMALL_STATE(1086)] = 56896,
  [SMALL_STATE(1087)] = 56908,
  [SMALL_STATE(1088)] = 56920,
  [SMALL_STATE(1089)] = 56934,
  [SMALL_STATE(1090)] = 56948,
  [SMALL_STATE(1091)] = 56962,
  [SMALL_STATE(1092)] = 56974,
  [SMALL_STATE(1093)] = 56986,
  [SMALL_STATE(1094)] = 56998,
  [SMALL_STATE(1095)] = 57012,
  [SMALL_STATE(1096)] = 57024,
  [SMALL_STATE(1097)] = 57036,
  [SMALL_STATE(1098)] = 57050,
  [SMALL_STATE(1099)] = 57064,
  [SMALL_STATE(1100)] = 57078,
  [SMALL_STATE(1101)] = 57092,
  [SMALL_STATE(1102)] = 57106,
  [SMALL_STATE(1103)] = 57120,
  [SMALL_STATE(1104)] = 57132,
  [SMALL_STATE(1105)] = 57146,
  [SMALL_STATE(1106)] = 57158,
  [SMALL_STATE(1107)] = 57172,
  [SMALL_STATE(1108)] = 57184,
  [SMALL_STATE(1109)] = 57200,
  [SMALL_STATE(1110)] = 57212,
  [SMALL_STATE(1111)] = 57226,
  [SMALL_STATE(1112)] = 57238,
  [SMALL_STATE(1113)] = 57254,
  [SMALL_STATE(1114)] = 57270,
  [SMALL_STATE(1115)] = 57284,
  [SMALL_STATE(1116)] = 57296,
  [SMALL_STATE(1117)] = 57310,
  [SMALL_STATE(1118)] = 57322,
  [SMALL_STATE(1119)] = 57334,
  [SMALL_STATE(1120)] = 57348,
  [SMALL_STATE(1121)] = 57362,
  [SMALL_STATE(1122)] = 57378,
  [SMALL_STATE(1123)] = 57392,
  [SMALL_STATE(1124)] = 57406,
  [SMALL_STATE(1125)] = 57418,
  [SMALL_STATE(1126)] = 57430,
  [SMALL_STATE(1127)] = 57443,
  [SMALL_STATE(1128)] = 57456,
  [SMALL_STATE(1129)] = 57469,
  [SMALL_STATE(1130)] = 57482,
  [SMALL_STATE(1131)] = 57495,
  [SMALL_STATE(1132)] = 57508,
  [SMALL_STATE(1133)] = 57521,
  [SMALL_STATE(1134)] = 57534,
  [SMALL_STATE(1135)] = 57547,
  [SMALL_STATE(1136)] = 57560,
  [SMALL_STATE(1137)] = 57573,
  [SMALL_STATE(1138)] = 57586,
  [SMALL_STATE(1139)] = 57599,
  [SMALL_STATE(1140)] = 57612,
  [SMALL_STATE(1141)] = 57625,
  [SMALL_STATE(1142)] = 57636,
  [SMALL_STATE(1143)] = 57649,
  [SMALL_STATE(1144)] = 57662,
  [SMALL_STATE(1145)] = 57673,
  [SMALL_STATE(1146)] = 57686,
  [SMALL_STATE(1147)] = 57699,
  [SMALL_STATE(1148)] = 57710,
  [SMALL_STATE(1149)] = 57719,
  [SMALL_STATE(1150)] = 57730,
  [SMALL_STATE(1151)] = 57743,
  [SMALL_STATE(1152)] = 57756,
  [SMALL_STATE(1153)] = 57767,
  [SMALL_STATE(1154)] = 57778,
  [SMALL_STATE(1155)] = 57791,
  [SMALL_STATE(1156)] = 57802,
  [SMALL_STATE(1157)] = 57815,
  [SMALL_STATE(1158)] = 57828,
  [SMALL_STATE(1159)] = 57841,
  [SMALL_STATE(1160)] = 57852,
  [SMALL_STATE(1161)] = 57863,
  [SMALL_STATE(1162)] = 57876,
  [SMALL_STATE(1163)] = 57885,
  [SMALL_STATE(1164)] = 57896,
  [SMALL_STATE(1165)] = 57907,
  [SMALL_STATE(1166)] = 57920,
  [SMALL_STATE(1167)] = 57931,
  [SMALL_STATE(1168)] = 57940,
  [SMALL_STATE(1169)] = 57953,
  [SMALL_STATE(1170)] = 57962,
  [SMALL_STATE(1171)] = 57975,
  [SMALL_STATE(1172)] = 57988,
  [SMALL_STATE(1173)] = 58001,
  [SMALL_STATE(1174)] = 58010,
  [SMALL_STATE(1175)] = 58023,
  [SMALL_STATE(1176)] = 58034,
  [SMALL_STATE(1177)] = 58047,
  [SMALL_STATE(1178)] = 58060,
  [SMALL_STATE(1179)] = 58073,
  [SMALL_STATE(1180)] = 58082,
  [SMALL_STATE(1181)] = 58095,
  [SMALL_STATE(1182)] = 58108,
  [SMALL_STATE(1183)] = 58119,
  [SMALL_STATE(1184)] = 58128,
  [SMALL_STATE(1185)] = 58141,
  [SMALL_STATE(1186)] = 58154,
  [SMALL_STATE(1187)] = 58167,
  [SMALL_STATE(1188)] = 58180,
  [SMALL_STATE(1189)] = 58193,
  [SMALL_STATE(1190)] = 58206,
  [SMALL_STATE(1191)] = 58219,
  [SMALL_STATE(1192)] = 58232,
  [SMALL_STATE(1193)] = 58245,
  [SMALL_STATE(1194)] = 58254,
  [SMALL_STATE(1195)] = 58267,
  [SMALL_STATE(1196)] = 58280,
  [SMALL_STATE(1197)] = 58293,
  [SMALL_STATE(1198)] = 58306,
  [SMALL_STATE(1199)] = 58319,
  [SMALL_STATE(1200)] = 58330,
  [SMALL_STATE(1201)] = 58343,
  [SMALL_STATE(1202)] = 58356,
  [SMALL_STATE(1203)] = 58369,
  [SMALL_STATE(1204)] = 58382,
  [SMALL_STATE(1205)] = 58395,
  [SMALL_STATE(1206)] = 58408,
  [SMALL_STATE(1207)] = 58421,
  [SMALL_STATE(1208)] = 58434,
  [SMALL_STATE(1209)] = 58447,
  [SMALL_STATE(1210)] = 58460,
  [SMALL_STATE(1211)] = 58473,
  [SMALL_STATE(1212)] = 58486,
  [SMALL_STATE(1213)] = 58499,
  [SMALL_STATE(1214)] = 58512,
  [SMALL_STATE(1215)] = 58525,
  [SMALL_STATE(1216)] = 58538,
  [SMALL_STATE(1217)] = 58551,
  [SMALL_STATE(1218)] = 58564,
  [SMALL_STATE(1219)] = 58575,
  [SMALL_STATE(1220)] = 58586,
  [SMALL_STATE(1221)] = 58599,
  [SMALL_STATE(1222)] = 58612,
  [SMALL_STATE(1223)] = 58625,
  [SMALL_STATE(1224)] = 58638,
  [SMALL_STATE(1225)] = 58651,
  [SMALL_STATE(1226)] = 58664,
  [SMALL_STATE(1227)] = 58677,
  [SMALL_STATE(1228)] = 58690,
  [SMALL_STATE(1229)] = 58703,
  [SMALL_STATE(1230)] = 58716,
  [SMALL_STATE(1231)] = 58729,
  [SMALL_STATE(1232)] = 58742,
  [SMALL_STATE(1233)] = 58755,
  [SMALL_STATE(1234)] = 58764,
  [SMALL_STATE(1235)] = 58777,
  [SMALL_STATE(1236)] = 58786,
  [SMALL_STATE(1237)] = 58796,
  [SMALL_STATE(1238)] = 58806,
  [SMALL_STATE(1239)] = 58816,
  [SMALL_STATE(1240)] = 58826,
  [SMALL_STATE(1241)] = 58836,
  [SMALL_STATE(1242)] = 58844,
  [SMALL_STATE(1243)] = 58854,
  [SMALL_STATE(1244)] = 58862,
  [SMALL_STATE(1245)] = 58872,
  [SMALL_STATE(1246)] = 58882,
  [SMALL_STATE(1247)] = 58892,
  [SMALL_STATE(1248)] = 58902,
  [SMALL_STATE(1249)] = 58910,
  [SMALL_STATE(1250)] = 58920,
  [SMALL_STATE(1251)] = 58930,
  [SMALL_STATE(1252)] = 58940,
  [SMALL_STATE(1253)] = 58948,
  [SMALL_STATE(1254)] = 58956,
  [SMALL_STATE(1255)] = 58964,
  [SMALL_STATE(1256)] = 58974,
  [SMALL_STATE(1257)] = 58984,
  [SMALL_STATE(1258)] = 58994,
  [SMALL_STATE(1259)] = 59002,
  [SMALL_STATE(1260)] = 59012,
  [SMALL_STATE(1261)] = 59020,
  [SMALL_STATE(1262)] = 59030,
  [SMALL_STATE(1263)] = 59038,
  [SMALL_STATE(1264)] = 59046,
  [SMALL_STATE(1265)] = 59056,
  [SMALL_STATE(1266)] = 59066,
  [SMALL_STATE(1267)] = 59076,
  [SMALL_STATE(1268)] = 59086,
  [SMALL_STATE(1269)] = 59096,
  [SMALL_STATE(1270)] = 59104,
  [SMALL_STATE(1271)] = 59112,
  [SMALL_STATE(1272)] = 59122,
  [SMALL_STATE(1273)] = 59132,
  [SMALL_STATE(1274)] = 59142,
  [SMALL_STATE(1275)] = 59150,
  [SMALL_STATE(1276)] = 59158,
  [SMALL_STATE(1277)] = 59166,
  [SMALL_STATE(1278)] = 59174,
  [SMALL_STATE(1279)] = 59184,
  [SMALL_STATE(1280)] = 59194,
  [SMALL_STATE(1281)] = 59204,
  [SMALL_STATE(1282)] = 59212,
  [SMALL_STATE(1283)] = 59222,
  [SMALL_STATE(1284)] = 59232,
  [SMALL_STATE(1285)] = 59242,
  [SMALL_STATE(1286)] = 59252,
  [SMALL_STATE(1287)] = 59260,
  [SMALL_STATE(1288)] = 59270,
  [SMALL_STATE(1289)] = 59278,
  [SMALL_STATE(1290)] = 59286,
  [SMALL_STATE(1291)] = 59296,
  [SMALL_STATE(1292)] = 59304,
  [SMALL_STATE(1293)] = 59314,
  [SMALL_STATE(1294)] = 59322,
  [SMALL_STATE(1295)] = 59332,
  [SMALL_STATE(1296)] = 59342,
  [SMALL_STATE(1297)] = 59350,
  [SMALL_STATE(1298)] = 59360,
  [SMALL_STATE(1299)] = 59370,
  [SMALL_STATE(1300)] = 59380,
  [SMALL_STATE(1301)] = 59390,
  [SMALL_STATE(1302)] = 59400,
  [SMALL_STATE(1303)] = 59408,
  [SMALL_STATE(1304)] = 59418,
  [SMALL_STATE(1305)] = 59428,
  [SMALL_STATE(1306)] = 59436,
  [SMALL_STATE(1307)] = 59446,
  [SMALL_STATE(1308)] = 59456,
  [SMALL_STATE(1309)] = 59466,
  [SMALL_STATE(1310)] = 59476,
  [SMALL_STATE(1311)] = 59483,
  [SMALL_STATE(1312)] = 59490,
  [SMALL_STATE(1313)] = 59497,
  [SMALL_STATE(1314)] = 59504,
  [SMALL_STATE(1315)] = 59511,
  [SMALL_STATE(1316)] = 59518,
  [SMALL_STATE(1317)] = 59525,
  [SMALL_STATE(1318)] = 59532,
  [SMALL_STATE(1319)] = 59539,
  [SMALL_STATE(1320)] = 59546,
  [SMALL_STATE(1321)] = 59553,
  [SMALL_STATE(1322)] = 59560,
  [SMALL_STATE(1323)] = 59567,
  [SMALL_STATE(1324)] = 59574,
  [SMALL_STATE(1325)] = 59581,
  [SMALL_STATE(1326)] = 59588,
  [SMALL_STATE(1327)] = 59595,
  [SMALL_STATE(1328)] = 59602,
  [SMALL_STATE(1329)] = 59609,
  [SMALL_STATE(1330)] = 59616,
  [SMALL_STATE(1331)] = 59623,
  [SMALL_STATE(1332)] = 59630,
  [SMALL_STATE(1333)] = 59637,
  [SMALL_STATE(1334)] = 59644,
  [SMALL_STATE(1335)] = 59651,
  [SMALL_STATE(1336)] = 59658,
  [SMALL_STATE(1337)] = 59665,
  [SMALL_STATE(1338)] = 59672,
  [SMALL_STATE(1339)] = 59679,
  [SMALL_STATE(1340)] = 59686,
  [SMALL_STATE(1341)] = 59693,
  [SMALL_STATE(1342)] = 59700,
  [SMALL_STATE(1343)] = 59707,
  [SMALL_STATE(1344)] = 59714,
  [SMALL_STATE(1345)] = 59721,
  [SMALL_STATE(1346)] = 59728,
  [SMALL_STATE(1347)] = 59735,
  [SMALL_STATE(1348)] = 59742,
  [SMALL_STATE(1349)] = 59749,
  [SMALL_STATE(1350)] = 59756,
  [SMALL_STATE(1351)] = 59763,
  [SMALL_STATE(1352)] = 59770,
  [SMALL_STATE(1353)] = 59777,
  [SMALL_STATE(1354)] = 59784,
  [SMALL_STATE(1355)] = 59791,
  [SMALL_STATE(1356)] = 59798,
  [SMALL_STATE(1357)] = 59805,
  [SMALL_STATE(1358)] = 59812,
  [SMALL_STATE(1359)] = 59819,
  [SMALL_STATE(1360)] = 59826,
  [SMALL_STATE(1361)] = 59833,
  [SMALL_STATE(1362)] = 59840,
  [SMALL_STATE(1363)] = 59847,
  [SMALL_STATE(1364)] = 59854,
  [SMALL_STATE(1365)] = 59861,
  [SMALL_STATE(1366)] = 59868,
  [SMALL_STATE(1367)] = 59875,
  [SMALL_STATE(1368)] = 59882,
  [SMALL_STATE(1369)] = 59889,
  [SMALL_STATE(1370)] = 59896,
  [SMALL_STATE(1371)] = 59903,
  [SMALL_STATE(1372)] = 59910,
  [SMALL_STATE(1373)] = 59917,
  [SMALL_STATE(1374)] = 59924,
  [SMALL_STATE(1375)] = 59931,
  [SMALL_STATE(1376)] = 59938,
  [SMALL_STATE(1377)] = 59945,
  [SMALL_STATE(1378)] = 59952,
  [SMALL_STATE(1379)] = 59959,
  [SMALL_STATE(1380)] = 59966,
  [SMALL_STATE(1381)] = 59973,
  [SMALL_STATE(1382)] = 59980,
  [SMALL_STATE(1383)] = 59987,
  [SMALL_STATE(1384)] = 59994,
  [SMALL_STATE(1385)] = 60001,
  [SMALL_STATE(1386)] = 60008,
  [SMALL_STATE(1387)] = 60015,
  [SMALL_STATE(1388)] = 60022,
  [SMALL_STATE(1389)] = 60029,
  [SMALL_STATE(1390)] = 60036,
  [SMALL_STATE(1391)] = 60043,
  [SMALL_STATE(1392)] = 60050,
  [SMALL_STATE(1393)] = 60057,
  [SMALL_STATE(1394)] = 60064,
  [SMALL_STATE(1395)] = 60071,
  [SMALL_STATE(1396)] = 60078,
  [SMALL_STATE(1397)] = 60085,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [75] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(236),
  [82] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(981),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1338),
  [88] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(833),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(142),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1129),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1131),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1168),
  [103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(72),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1055),
  [109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(149),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1250),
  [115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(689),
  [118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(13),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1381),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1380),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(693),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(155),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(929),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(890),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(893),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1377),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(28),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(164),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(166),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(27),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(21),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(22),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1376),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(248),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(169),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(263),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1123),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(263),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 3, .production_id = 39),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 3, .production_id = 39),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 3, .production_id = 88),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_communication_case, 3, .production_id = 88),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, .production_id = 102),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 4, .production_id = 102),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 3, .production_id = 7),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_case, 3, .production_id = 7),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 2),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_case, 2),
  [205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 2),
  [207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 2),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 3),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 3),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 26),
  [229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 26),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 86),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 55),
  [261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 56),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 2),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(1322),
  [566] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1), SHIFT(713),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [574] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1), SHIFT(76),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(766),
  [583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(1322),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1),
  [597] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1), SHIFT(639),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 1),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 32),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 32),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 6),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 6),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 2),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 2),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 3),
  [659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 3),
  [661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 3),
  [667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 3),
  [669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 6, .dynamic_precedence = -1, .production_id = 19),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 6, .dynamic_precedence = -1, .production_id = 19),
  [673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 5),
  [675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 5),
  [677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, .production_id = 100),
  [679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, .production_id = 100),
  [681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, .production_id = 13),
  [683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, .production_id = 13),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 4, .dynamic_precedence = -1, .production_id = 19),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 4, .dynamic_precedence = -1, .production_id = 19),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 3, .production_id = 34),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 3, .production_id = 34),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 4),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 4),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 4, .production_id = 44),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 4, .production_id = 44),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 2),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 2),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 59),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 59),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 36),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 36),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 3, .production_id = 22),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 3, .production_id = 22),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, .production_id = 12),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, .production_id = 12),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 7, .production_id = 103),
  [731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 7, .production_id = 103),
  [733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, .production_id = 91),
  [735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, .production_id = 91),
  [737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 59),
  [743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 59),
  [745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 5),
  [747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 5),
  [749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 3),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 3),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, .production_id = 90),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, .production_id = 90),
  [757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 4),
  [759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 4),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, .production_id = 60),
  [791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, .production_id = 60),
  [793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, .production_id = 61),
  [803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, .production_id = 61),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion_expression, 5, .production_id = 89),
  [807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion_expression, 5, .production_id = 89),
  [809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 8, .production_id = 106),
  [811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 8, .production_id = 106),
  [813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 5, .dynamic_precedence = -1, .production_id = 19),
  [819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 5, .dynamic_precedence = -1, .production_id = 19),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1),
  [830] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym__expression, 1), SHIFT(639),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, .production_id = 25),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, .production_id = 25),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, .production_id = 5),
  [900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 5),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 2, .production_id = 17),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 2, .production_id = 17),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 1, .production_id = 4),
  [942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 1, .production_id = 4),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_go_statement, 2),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_go_statement, 2),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_statement, 3, .production_id = 35),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_statement, 3, .production_id = 35),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, .production_id = 20),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, .production_id = 20),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_statement, 1, .production_id = 58),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 43),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 4, .production_id = 43),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 40),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 40),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1),
  [1086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(1355),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_elem, 2, .production_id = 53),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_elem, 2, .production_id = 53),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_element, 1),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_statement, 3, .production_id = 33),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 4, .production_id = 84),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 2, .production_id = 29),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [1513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 5),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1353),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [1538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(136),
  [1541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1310),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1),
  [1546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(638),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1), SHIFT(638),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_parameter_declaration_repeat1, 2, .production_id = 67),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_declaration_repeat1, 2, .production_id = 67),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_declaration_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1355),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 67),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 67),
  [1573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1317),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 3),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 3),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, .production_id = 46),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, .production_id = 46),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 1, .production_id = 11),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 1, .production_id = 11),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 4),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 4),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 5),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 5),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 4),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 4),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 3, .production_id = 27),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 3, .production_id = 27),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type, 5, .production_id = 80),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type, 5, .production_id = 80),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .dynamic_precedence = 2),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .dynamic_precedence = 2),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 76),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 76),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 1, .production_id = 14),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 1, .production_id = 14),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type, 3, .production_id = 31),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type, 3, .production_id = 31),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_parameter_declaration_repeat1, 2, .production_id = 64),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_declaration_repeat1, 2, .production_id = 64),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 2, .production_id = 7),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 2, .production_id = 7),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .dynamic_precedence = 2),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .dynamic_precedence = 2),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_type, 2),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_type, 2),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 3, .production_id = 23),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 3, .production_id = 23),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 5),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 5),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 21),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 21),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 6),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 6),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .dynamic_precedence = 2),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .dynamic_precedence = 2),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 2),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 2),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 5),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 5),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 4),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 4),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 3),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 3),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [1708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(639),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1), SHIFT(639),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 49),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 49),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 39),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 39),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, .production_id = 19),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, .production_id = 19),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [1768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(176),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [1785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(636),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [1804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 2, .production_id = 18),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 2, .production_id = 18),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 51),
  [1814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 51),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [1822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 1),
  [1830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 78),
  [1832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 78),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, .production_id = 38),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, .production_id = 38),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [1844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1), SHIFT(636),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 81),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 81),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [1853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(19),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(19),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 28),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 28),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 4, .production_id = 57),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 4, .production_id = 57),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 3),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 3),
  [1885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(171),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_elem, 1),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallthrough_statement, 1),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallthrough_statement, 1),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_short_var_declaration, 3, .production_id = 33),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_short_var_declaration, 3, .production_id = 33),
  [1904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, .production_id = 32),
  [1906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_statement, 3, .production_id = 32),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2),
  [1910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(48),
  [1913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(1369),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 4),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 4),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statement, 1),
  [1928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statement, 1),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 26),
  [1932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 26),
  [1934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 5, .production_id = 92),
  [1936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 5, .production_id = 92),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4, .production_id = 7),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4, .production_id = 7),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 5, .production_id = 92),
  [1948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 5, .production_id = 92),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 3),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 3),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 2),
  [1962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 2),
  [1964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, .production_id = 62),
  [1966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, .production_id = 62),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2),
  [1970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(102),
  [1973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(1369),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, .production_id = 63),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, .production_id = 63),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 2),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 2),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, .production_id = 62),
  [1986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, .production_id = 62),
  [1988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, .production_id = 63),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, .production_id = 63),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 2),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 2),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_elem, 2),
  [2006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_elem, 2),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, .production_id = 8),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, .production_id = 8),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, .production_id = 8),
  [2016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, .production_id = 8),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 2, .production_id = 8),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 2, .production_id = 8),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, .production_id = 9),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, .production_id = 9),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, .production_id = 30),
  [2038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, .production_id = 30),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_elem, 1),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 7, .production_id = 98),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 7, .production_id = 98),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 3, .production_id = 48),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 3, .production_id = 48),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inc_statement, 2),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inc_statement, 2),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dec_statement, 2),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dec_statement, 2),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 3, .production_id = 47),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 3, .production_id = 47),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 69),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 69),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 101),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 101),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 2, .production_id = 24),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 2, .production_id = 24),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, .production_id = 72),
  [2082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, .production_id = 72),
  [2084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4),
  [2086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 4),
  [2088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3),
  [2090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 3),
  [2092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 3, .production_id = 37),
  [2094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 3, .production_id = 37),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 98),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 98),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 4),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 87),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, .production_id = 87),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 3),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 3),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 7),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 7),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_elem_repeat1, 2),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_elem_repeat1, 2),
  [2122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_elem_repeat1, 2), SHIFT_REPEAT(700),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 3),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 3),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 82),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 82),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 41),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 87),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, .production_id = 87),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, .production_id = 37),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, .production_id = 37),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 5, .production_id = 57),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 5, .production_id = 57),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2),
  [2157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(737),
  [2160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(1369),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(905),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(905),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(593),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [2202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2), SHIFT_REPEAT(590),
  [2205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2), SHIFT_REPEAT(590),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(877),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(877),
  [2298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 5),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 5),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2),
  [2318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2), SHIFT_REPEAT(1046),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_case_repeat1, 2), SHIFT_REPEAT(718),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_case_repeat1, 2),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 3),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 3),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(387),
  [2351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 4),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 4),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 94),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 94),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, .production_id = 95),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, .production_id = 95),
  [2369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_declaration_repeat1, 2), SHIFT_REPEAT(529),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_declaration_repeat1, 2),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 96),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 96),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 42),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 42),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_elem, 3, .production_id = 79),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_elem, 3, .production_id = 79),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 77),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 77),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 75),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 75),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 74),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 74),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, .production_id = 73),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, .production_id = 73),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 71),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 71),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 70),
  [2438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 70),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, .production_id = 16),
  [2448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, .production_id = 16),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 2),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 2),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, .production_id = 15),
  [2456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, .production_id = 15),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 50),
  [2466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 50),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 52),
  [2470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 52),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 1, .production_id = 3),
  [2490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 1, .production_id = 3),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 2),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, .production_id = 2),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_clause, 2, .production_id = 2),
  [2506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_elem_repeat1, 2), SHIFT_REPEAT(709),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(147),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(86),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(215),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 5, .production_id = 102),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, .production_id = 39),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [2588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(574),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 4, .production_id = 88),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 4, .production_id = 7),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 4),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 3),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2), SHIFT_REPEAT(1237),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(635),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(47),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyed_element, 3),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 3, .production_id = 93),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_argument, 2),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot, 1),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 3, .production_id = 65),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, .production_id = 39),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 19),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 18),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, .production_id = 66),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, .production_id = 68),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 5, .production_id = 99),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, .production_id = 104),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, .production_id = 105),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 83),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 9, .production_id = 107),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_length_array_type, 4, .production_id = 45),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 5, .production_id = 97),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 85),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 54),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2938] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_go() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
